var is_survey_open = 0;
var survey_method = 0;
var prevY = 0

jQuery(document).ready(function( $ ) {

	/* General */
	$(document).on('click', '#survey-next-button', function(e) {
  		e.preventDefault();
		survsnt_send_answer(0)
  	});

	$(document).on('click', '#survey-next-button-embed', function(e) {
  		e.preventDefault();
		survsnt_send_answer(1)
  	});

	$(document).on('click', '#survey-finish-button', function(e) {
  		e.preventDefault();
		survsnt_send_emailoptin(0);
  	});

	// sends all questions in a quiz
	$(document).on('click', '#survey-front-finish-button', function(e) {
  		e.preventDefault();
		survsnt_send_answers_front();
  	});

	// sends optin form in an embedded survey
	$(document).on('click', '#survey-finish-button-embed', function(e) {
  		e.preventDefault();
		survsnt_send_emailoptin(1);
  	});

	$(document).on('click', '#survey-quiz-next-button', function(e) {
  		e.preventDefault();
		survsnt_send_answers_quiz_front();
  	});


/*	$(document).on('click', '#survey-front-top-next-button', function(e) {
  		e.preventDefault();
		survsnt_send_answer_topbar();
  	});*/


	/* 2. Top Bar*/

	$(document).on('click', '.reveal-survey', function(e) {
  		e.preventDefault();
  		jQuery(this).parent().hide();
  		jQuery('#survsnt_top_content').show();
  		bar_height = $('#survsnt_top_content').height()+32+45;
  		// $('.survsnt_top_bar').css('height', bar_height+'px');
  		$('.survsnt_top_bar').animate({height:+ bar_height+'px'}, {duration: 1000, easing: 'easeOutBounce'});
  	});


	/* 3. Sidebar*/

	$(document).on('click', '.survsnt_side_display_q', function(e) {
  		e.preventDefault();
		jQuery('#survsnt_sidebar_question').animate({ width: 'show' }, 'slow', function() {
    			jQuery('#survsnt_top_content_inner').show('slow');
  			}
		);
  	});

	$(document).on('click', '.survsnt_sidebar_close_btn', function(e) {
  		e.preventDefault();
		jQuery('#survsnt_sidebar_question').animate({ width: 'hide' }, 'slow', function() {
    			jQuery('#survsnt_top_content_inner').hide();
  			}
  		);
  	});

// jQuery('#survsnt_top_content').css('marginL', (jQuery('#survsnt_survey_content').width() / (-2)))
// console.log(jQuery('#survsnt_survey_content').width() / (-2))
/*
	$(document).on('click', '.survsnt_btnsubmit', function(e) {
  		e.preventDefault();
  		survsnt_submit_signup_details();
  	});
*/

	/* 5. Chat*/

	$('#survsnt_chat .closebox').click(function() {
	 	jQuery('#survsnt_chat').slideUp("slow", function() {
	 		jQuery('#survsnt_chat_call').slideDown("slow");	
	  	}); 		
	});

	$('#survsnt_chat_call').click(function() {
	 	jQuery('#survsnt_chat_call').slideUp("slow", function() {
	 		jQuery('#survsnt_chat').slideDown("slow");	
	  	});  		
	});


});

/* SURVEY METHODS BEGIN */
/* 1. Popup */

function survsnt_show_popup_timer(seconds) {
	if (!seconds)
		survsnt_show_popup()
	else
		setTimeout('survsnt_show_popup()',seconds*1000);
}

function survsnt_show_popup() {
 	is_survey_open = 1
 	jQuery('#survsnt_popup').reveal({
	     animation: 'fadeAndPop',                   //fade, fadeAndPop, none
	     animationspeed: 300,                       //how fast animtions are
	     closeonbackgroundclick: true,              //if you click background will modal close?
	     dismissmodalclass: 'close-reveal-modal'    //the class of a button or element that will close an open modal
	});	
}

/* 2. Top Bar */

var stub_showing = false;

function survsnt_show_topbar_timer(seconds) {
	if (!seconds)
		survsnt_top_bar_show()
	else
		setTimeout('survsnt_top_bar_show()',seconds*1000);
}


function survsnt_top_bar_show() { 
	is_survey_open = 1

    if(stub_showing) {
      jQuery('.survsnt_top_bar-stub').slideUp('fast', function() {
        jQuery('.survsnt_top_bar').show('bounce', { times:3, distance:15 }, 300);
        jQuery('body').animate({"marginTop": "32px"}, 300);
      }); 
    }
    else {
      jQuery('.survsnt_top_bar').show('bounce', { times:3, distance:15 }, 500);
      jQuery('body').animate({"marginTop": "32px"}, 250);
    }
}


function survsnt_top_bar_hide() { 
	is_survey_open = 0

    jQuery('.survsnt_top_bar').slideUp('fast', function() {
      jQuery('.survsnt_top_bar-stub').show('bounce', { times:3, distance:15 }, 100);
      stub_showing = true;
    }); 

    if( jQuery(window).width() > 1024 ) {
      jQuery('body').animate({"marginTop": "0px"}, 250); // if width greater than 1024 pull up the body
    }
}
 

function survsnt_show_question_topbar(display) {
	if (display)
		jQuery('#survsnt_survey_content').show();
	else
		jQuery('#survsnt_survey_content').hide();
}


function survsnt_show_loading_topbar(display) {
	if (display)
		jQuery('#loading_topbar_img').show();
	else
		jQuery('#loading_topbar_img').hide();
}



function survsnt_show_splash_timer(seconds) {
	if (!seconds)
		survsnt_show_splash()
	else
		setTimeout('survsnt_show_splash()',seconds*1000);
}

function survsnt_show_chat_timer(seconds) {
	if (!seconds)
		survsnt_show_chat()
	else
		setTimeout('survsnt_show_chat()',seconds*1000);
}


/* 3. Sidebar */

function survsnt_show_sidebar_timer(seconds) {
	if (!seconds)
		survsnt_show_sidebar()
	else
		setTimeout('survsnt_show_sidebar()',seconds*1000);
}

function survsnt_show_sidebar() {
	jQuery('.survsnt_sidebar').animate({ width: 'show' }, 'slow');	
}


/* 4. Exit Popup */


/* 5. Chat */

function survsnt_show_chat() {
 	jQuery('#survsnt_chat_call').slideUp("slow", function() {
 		jQuery('#survsnt_chat').slideDown("slow");	
  	});
}

/* 6. Splash */

function survsnt_show_splash() {
	if (!survsnt_splash_background)
		splash_background = survsnt_splash_background_color;
	else
		splash_background = survsnt_splash_background_color+' url('+survsnt_vars.plugin_url+'/img/front/splash/img'+survsnt_splash_background+'.png) no-repeat center center';

	jQuery('.meerkat').meerkat({
	    background: splash_background,
	    height: '100%',
	    width: '100%',
	    position: 'bottom',
	    close: '.close-meerkat',
	    dontShowAgain: '.dont-show',
	    animationIn: 'fade',
	    animationSpeed: 1000
	});
}


/* 7. Scroll down */

function survsnt_schedule_scroll(pos, element) {
	if (pos) {
		//pos = %
		height = jQuery(document).height();
		final_pos = height * pos / 100;
		// console.log(height);
		
		// console.log(final_pos);
		// scroll down to pos px
		jQuery(document).scroll(function() {
		  if (jQuery(document).scrollTop() > final_pos) {
		  	   // console.log('evento1')
		  	  jQuery(document).unbind('scroll');
		  	  // survsnt_show_popup_timer(0);
		  	  survsnt_display_survey_fe(0)
		  }
		});		
	}
	else if (element) {
		// scroll down to element y pos
		if (jQuery(document).scrollTop() > jQuery('#'+element).top) {

		}
	}
}


/* SURVEY METHODS END */

/* GENERIC FUNCTIONS */

var is_first_question = 1;
// var is_feedback = 0;
var survsnt_selected_option = 0;
var survsnt_current_survey = 0;

function survsnt_hide_loading(is_embed) {
	if (is_embed)
		jQuery('#survsnt_survey_content_embed').html('');
	else
		jQuery('#survsnt_survey_content').html('');
}

function survsnt_show_loading(is_embed) {
	if (is_embed) {
		prev_width = jQuery('#survsnt_survey_content_embed .survsnt_frontend_wrapper').css('width');//.width();
		prev_height = jQuery('#survsnt_survey_content_embed').height();
		loading_html = '<div class="survsnt_loading" style="width:'+prev_width+'px;height:'+prev_height+'px;"><img class="survsnt_show_loading" src="'+survsnt_vars.plugin_url+'/img/loading.gif" /></div>';
		jQuery('#survsnt_survey_content_embed').css('width',prev_width+'px');
		jQuery('#survsnt_survey_content_embed').css('height',prev_height+'px');
		jQuery('#survsnt_survey_content_embed').html(loading_html);	

	}
	else {
		prev_width = jQuery('#survsnt_survey_content .survsnt_frontend_wrapper').css('width');//.width();

		prev_height = jQuery('#survsnt_survey_content').height();
		loading_html = '<div class="survsnt_loading" style="width:'+prev_width+'px;height:'+prev_height+'px;"><img class="survsnt_show_loading" src="'+survsnt_vars.plugin_url+'/img/loading.gif" /></div>';
		jQuery('#survsnt_survey_content').css('width',prev_width);
		jQuery('#survsnt_survey_content').css('height',prev_height+'px');

		jQuery('#survsnt_survey_content').html(loading_html);
	}
}

function survsnt_is_valid_email(txt) {
	if (!txt) return 0;
   return txt.length > 0 && txt.indexOf('@')>0;
}

function survsnt_send_emailoptin(is_embed) {
		is_first_question = 0;

	// check that min there's an e-mail and is valid
	if (is_embed) {
		email_field = jQuery('#survsnt_survey_content_embed #survsnt_email')
		name_field = jQuery('#survsnt_survey_content_embed #survsnt_name')
	}
	else {
		email_field = jQuery('#survsnt_survey_content #survsnt_email')
		name_field = jQuery('#survsnt_survey_content #survsnt_name')
	}


	if (!survsnt_is_valid_email(email_field.val())) {
		email_field.attr("placeholder", "Please enter a valid e-mail");
		email_field.addClass('survsnt_error');
		return;
	}

	if (is_embed)
		question_id = jQuery("#survsnt_optin_question_id_embed").val()
	else
		question_id = jQuery("#survsnt_optin_question_id").val()

	var data = {
		action: 'survsnt_send_email_submit',
		survey_id : survsnt_survey_id,
		question_id : question_id,
		name : name_field.val(),
		email : email_field.val(),
		// answer_txt : open_q,
		 is_first : is_first_question,
		 is_embed : is_embed
	};

	survsnt_show_loading(is_embed);

	
  	jQuery.post(survsnt_vars.ajax_url, data, function(response) {
  		if (is_embed) {
			if (!response || response == 'close' || response == '0')
				survsnt_hide_loading(is_embed);
			else if (response) {
				if (survsnt_validate_url(response))
					document.location = response;
				else
					survsnt_hide_loading(is_embed);
			}
			return;
  		}
		if (!response || response == 'close' || response == '0')
			survsnt_close_survey_method();
		else if (response) {
			if (survsnt_validate_url(response))
				document.location = response;
			else
				survsnt_close_survey_method();
		}
  	});	
}

function survsnt_validate_url(value) {
    return /^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(value);
}

function survsnt_send_answer(is_embed) {
	if (is_embed) {
		option_sel =  jQuery("#survsnt_survey_content_embed input[type='radio']:checked").val();
		question_id = jQuery("#survsnt_question_id_"+survsnt_front_survey_id).val()
		open_q_el = jQuery('#survsnt_survey_content_embed #open_question_val')
		open_q_val = open_q_el.val();
		if (!open_q_val) open_q_val = '';			
		current_survey = survsnt_front_survey_id
	}
	else {
		option_sel =  jQuery("#survsnt_survey_content input[type='radio']:checked").val();
		question_id = jQuery("#survsnt_question_id_"+survsnt_survey_id).val()
		open_q_el = jQuery('#survsnt_survey_content #open_question_val')
		open_q_val = open_q_el.val();
		if (!open_q_val) open_q_val = '';				
		current_survey = survsnt_survey_id
	}	

	// console.log(option_sel)
/*
	if (open_q_el.length()) {
		if (!open_q_val.length) {
			// open question, empty

			//return;
		}
	}
	else {
		// Multiple choice
		if (!option_sel.length) {
			// multiple choice, empty
			// return;
		}
	}*/

	survsnt_show_loading(is_embed);
	 // return;
	var data = {
		action: 'survsnt_send_vote',
		option : option_sel,
		survey_id : current_survey,
		question_id : question_id,
		answer_txt : open_q_val,
		is_embed : is_embed,
		is_first : is_first_question
	};
// return;
	is_first_question = 0;
	
  	jQuery.post(survsnt_vars.ajax_url, data, function(response) {
  		if (response == 'close-survey') {
  			// survsnt_show_loading(0);
  			survsnt_hide_loading(is_embed);
			survsnt_close_survey_method();
  			return;
  		}

		if (is_embed) {  		
			jQuery('#survsnt_survey_content_embed').css('width','auto');
			jQuery('#survsnt_survey_content_embed').css('height','auto');
			jQuery('#survsnt_survey_content_embed').html(response);
		}
		else {
			jQuery('#survsnt_survey_content').css('width','auto');
			jQuery('#survsnt_survey_content').css('height','auto');
			jQuery('#survsnt_survey_content').html(response);

	// console.log(survey_method)
			if (survey_method == '2') {
				// see if we need to resize ?
				// console.log(jQuery('#survsnt_survey_content').css('height'))
				new_height = jQuery('#survsnt_survey_content').css('height')
				new_height = jQuery('#survsnt_survey_content').height() + 30;
	  			// jQuery('.survsnt_top_bar').animate({'height':+ '\''+new_height+'\''}, {duration: 1000, easing: 'easeOutBounce'});
	  			jQuery('.survsnt_top_bar').css('height', new_height+'px');

			}
		}

		if (jQuery('.answer').length) {
			jQuery('.answer').first().attr('checked', 'checked');
		}
  	});	
}


/* Just for a quiz, all questions in a row */
function survsnt_send_answers_quiz_front() {
	responses = new Array()
	jQuery('#survsnt_survey_content_embed .survsnt_frontend_wrapper').each(function( index ) {
		this_question = jQuery(this);
		question_id = this_question.find('.survsnt_question_id').val()
		question_type = this_question.find('.survsnt_question_type').val()
		if (question_type == 1) {
			// multiple
			response =this_question.find(".survsnt_question_list input[type='radio']:checked").val();
			if (!response)
				response = 0;
			responses.push(new Array(question_id, question_type, response));
		}
		else if (question_type == 2) {
			// open
			response = this_question.find('.open_question_val').val()
			if (!response) response = ''
			responses.push(new Array(question_id, question_type, response));
		}
	});

	survsnt_show_loading(1);
	var data = {
		action: 'survsnt_send_votes',
		survey_id : survsnt_front_survey_id,
		responses : responses
	};

  	jQuery.post(survsnt_vars.ajax_url, data, function(response) {
		jQuery('#survsnt_survey_content_embed').html(response);
  	});	
}


function survsnt_is_empty(obj) {
    if (typeof obj == 'undefined' || obj === null || obj === '') return true;
    if (typeof obj == 'number' && isNaN(obj)) return true;
    if (obj instanceof Date && isNaN(Number(obj))) return true;
    return false;
}


/* Decidir si mantener o no */

function survsnt_submit_signup_details() {
	//rmi353, TODO: Obligatorio nombre/e-mail???

	survsnt_show_loading(0);
	var data = {
		action: 'survsnt_submit_signup_details',
		email : jQuery('#survsnt_email').val(),
		name : jQuery('#survsnt_name').val(),
		autoresponder : jQuery('#survsnt_ar_type').val(),
		list_id : jQuery('#survsnt_list_id').val(),
		ar_tag : jQuery('#survsnt_ar_tag').val(),
		webinar : jQuery('#survsnt_webinar').val(),
		webinar_id : jQuery('#survsnt_webinar_id').val()
	};

	
  	jQuery.post(survsnt_vars.ajax_url, data, function(response) {
		// jQuery('#survey_front').html(response);
		var obj = jQuery.parseJSON(response);

		if (0) {
			// redirect to url
			document.location = document.location;
		}
		else if (0) {
			// close popup
		}

  	});	
}


/* Used only for exit popup */
function survsnt_display_survey_fe() {
	switch (survey_method) {
		case 1:
			// 1. Popup
			survsnt_show_popup();
			break;
		case 2:
			// 2. Top Bar
			survsnt_top_bar_show();
			break;
		case 3:
			// 3. SideBar
 			is_survey_open = 1
			survsnt_show_sidebar()
			jQuery('#survsnt_sidebar_question').animate({ width: 'show' }, 'slow', function() {
    			jQuery('#survsnt_top_content_inner').show('slow');
  				}
			);
			break;
		case 5:
			// 5. Chat
			survsnt_show_chat();
			break;
		case 6:
			// 6. Splash
			survsnt_show_splash();
			break;
		default:
			break;
	}	
}

function survsnt_close_survey_method() {
  	survsnt_hide_loading(0);

	switch (survey_method) {
		case 1:
			// 1. Popup
			jQuery('#survsnt_popup').trigger('reveal:close');
			break;
		case 2:
			// 2. Top Bar
			survsnt_top_bar_hide();
			break;
		case 3:
			// 3. SideBar
			jQuery('#survsnt_sidebar_question').animate({ width: 'hide' }, 'slow', function() {
	    			jQuery('#survsnt_top_content_inner').hide();
	  			}
	  		);
			break;
		case 5:
			// Chat
			jQuery('#survsnt_chat').slideUp("slow", function() {
	 			jQuery('#survsnt_chat_call').slideDown("slow");	
	  		}); 
	  		break;
		case 6:
			// Splash
			jQuery('.close-meerkat').trigger("click");	
	  		break;
		default:
			break;
	}	
}