<?php

function survsnt_footer_html() {
	if (isset($_GET['fbsv'])) return;
    if (is_404()) return;

 	global $do_once;
 	$do_once = 0;
 	$current_survey = survsnt_decide_current_survey();

 	if (!$current_survey[0]) return;
 	$survey_data = survsnt_get_survey($current_survey[0]);

	// survsnt_delete_survey_shown_cookie($survey_data->id);
 	 // if ($survey_data->cookie)  // rmi353, cookie
 	survsnt_schedule_survey_shown_cookie($survey_data->id, $survey_data->cookie);

 	$survey_styles = survsnt_get_survey_styles($current_survey[0]);

 	survsnt_new_survey_view($current_survey[0]);

 	$survey_questions = survsnt_get_survey_questions ($current_survey[0]);

 	if (!$survey_questions) return;
	 $first_question = $survey_questions[0];

 	if ($first_question->type == 1) {
	 	$survey_answers = survsnt_get_question_answers ($first_question->id);
 		if (!$survey_answers) $survey_answers = 0;
 	}
 	else
 		$survey_answers = 0;

 	echo '<script>var survsnt_survey_id = "'.$current_survey[0].'";survsnt_question_id = "'.$first_question->id.'";</script>';

	// print_survey_styles($current_survey[0]);

	if ($survey_data->display_option == 1) { // Popup	?>
		<div id="survsnt_popup" class="reveal-modal">
			<div id="survsnt_survey_content" >
				<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);  ?>
			</div>
			<a class="close-reveal-modal">&#215;</a>
		</div>
		<script>
			survey_method = 1;
		</script>
		<?php if ($current_survey[1]) { ?>
			<script>
				jQuery(document).ready(function( $ ) {
					<?php if ($survey_styles['scroll']['trigger']) { ?>
						survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
					<?php } else { ?>
						survsnt_show_popup_timer(<?php echo $survey_data->delay;?>);
					<?php } ?>	
					 // if (jQuery('#survsnt_popup .survsnt_frontend_wrapper').css('background-image') != 'none')
					 // 	jQuery('#survsnt_popup').css('background', 'transparent')
				});
			</script>	
			<style type="text/css">
				.survsnt_frontend_wrapper { border-radius : 5px;}
			</style>
		<?php } ?>

	<?php } else if ($survey_data->display_option == 2) { // Top Bar ?>
		<div class="survsnt_top_bar" style="display:none;background-color:<?php echo $survey_styles['top_bar']['color'];?>">
			<span class="survey-reveal-me">
				 <?php echo survsnt_replace_placeholder($survey_styles['top_bar']['text']);?>
			</span>
			<div id="survsnt_top_content" >
				<div id="survsnt_top_content_inner" style="position:relative" >
					<div id="loading_topbar_img" >
						<img src="<?php echo SURVSNT_URL.'/img/';?>loading.gif" />
					</div>
					<div id="survsnt_survey_content"  >
						<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);?>
					</div>
				</div>
			</div>    
			<a class="close-notify" style="background-color:<?php echo $survey_styles['top_bar']['color'];?>" onclick="survsnt_top_bar_hide();"><img class="survsnt_top_bar-up-arrow" src="<?php echo SURVSNT_URL.'/img/front/';?>up-arrow.png"></a>
		</div>
		<div class="survsnt_top_bar-stub" style="display:none">
			<a class="show-notify" style="background-color:<?php echo $survey_styles['top_bar']['color'];?>" onclick="survsnt_top_bar_show();"><img class="survsnt_top_bar-down-arrow" src="<?php echo SURVSNT_URL.'/img/front/';?>down-arrow.png"></a>
		</div>

		<script>
			survey_method = 2;
		</script>

		<?php if ($current_survey[1]) { ?>
			<script>
				jQuery(document).ready(function( $ ) {
					<?php if ($survey_styles['scroll']['trigger']) { ?>
						survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
					<?php } else { ?>
						survsnt_show_topbar_timer(<?php echo $survey_data->delay;?>);
					<?php } ?>					
				});
			</script>
		<?php } ?>

	<?php } else if ($survey_data->display_option == 3) { //Sidebar	?>
			<div class="survsnt_sidebar" style="display:none">
				<a class="survsnt_side_display_q"><img style="cursor:pointer" src="<?php echo survsnt_sidebar_img($survey_styles['sidebar']['image'], $survey_styles['sidebar']['custom']);?>" /></a>
				<div id="survsnt_sidebar_question">
					<div id="survsnt_top_content" style="display:block">
						<div id="survsnt_top_content_inner" style="position:relative;display:none" >
							<div id="loading_topbar_img" >
								<img src="<?php echo SURVSNT_URL.'/img/';?>loading.gif" />
							</div>
							<div id="survsnt_survey_content"  >
								<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);?>
							</div>
						</div>
					</div>
					<div class="survsnt_sidebar_close">
						<a class="survsnt_sidebar_close_btn"></a>
					</div>
				</div>
			</div>
			<script>
				survey_method = 3;
			</script>
			<?php if ($current_survey[1]) { ?>
				<script>
					jQuery(document).ready(function( $ ) {
						<?php if ($survey_styles['scroll']['trigger']) { ?>
							survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
						<?php } else { ?>
							survsnt_show_sidebar_timer(<?php echo $survey_data->delay;?>);
						<?php } ?>
					});
				</script>
			<?php } ?>		

	<?php } else if ($survey_data->display_option == 4) { //Exit Popup	?>
		<div id="survsnt_popup" class="reveal-modal">
			<div id="survsnt_survey_content" >
				<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);  ?>
			</div>
			<a class="close-reveal-modal">&#215;</a>
		</div>
		<script>
			survey_method = 1;
		</script>
			<script>
				jQuery(document).ready(function( $ ) {
					$(document).mousemove(function(e) {
						if (!is_survey_open && e.pageY < $(document).scrollTop() + 3 && e.pageY < prevY)
							survsnt_show_popup_timer(0);
						else
							prevY = e.pageY;
					 // if (jQuery('#survsnt_popup .survsnt_frontend_wrapper').css('background-image') != 'none')
					 // 	jQuery('#survsnt_popup').css('background', 'transparent')

					});
				});
			</script>	
			<style type="text/css">
				.survsnt_frontend_wrapper { border-radius : 5px;}
			</style>
			<!-- exit popup here -->

	<?php } else if ($survey_data->display_option == 5) { //Chat ?>
			<div id="survsnt_chat" style="display:none">
				<div class="chat_title"><?php echo $survey_styles['chat']['title'];?>
				<div class="closebox">X</div></div>
				<div class="chat_body">
					<div id="survsnt_survey_content"  >
								<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);?>
							</div>
				</div>
				<div class="chat_footer"><input type="text" /></div>

			</div>
			<div id="survsnt_chat_call" style="display:none">
				Click here to chat
			</div>
			<script>
				survey_method = 5;
			</script>
			<?php if ($current_survey[1]) { ?>
				<script>
					jQuery(document).ready(function( $ ) {
						<?php if ($survey_styles['scroll']['trigger']) { ?>
							survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
						<?php } else { ?>
							survsnt_show_chat_timer(<?php echo $survey_data->delay;?>);
						<?php } ?>						
					});
				</script>
			<?php } ?>		
	<?php } else if ($survey_data->display_option == 6) { //Splash	?>

			<div class="meerkat">
				<a href="#" class="close-meerkat">close</a>
				<div id="splash-content">
					<div id="survsnt_survey_content"  >
						<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);?>
					</div>
				</div>
			</div>
			
			<script>
				survey_method = 6;
				var survsnt_splash_background = <?php echo intval($survey_styles['splash']['background']);?>; 
				var survsnt_splash_background_color = "<?php echo $survey_styles['splash']['background-color'];?>"; 
			</script>
			<?php if ($current_survey[1]) { ?>
				<script>
					jQuery(document).ready(function( $ ) {
						<?php if ($survey_styles['scroll']['trigger']) { ?>
							survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
						<?php } else { ?>
							survsnt_show_splash_timer(<?php echo $survey_data->delay;?>);
						<?php } ?>							
						 jQuery('.survsnt_frontend_wrapper').css('overflow', 'auto');

					  // if (jQuery('#survsnt_popup .survsnt_frontend_wrapper').css('background-image') != 'none')
					  	jQuery('#splash-content').css('width', jQuery('.survsnt_frontend_wrapper').css('width')); 
					});
				</script>
			<?php } ?>	

	<?php } else if ($survey_data->display_option == 7) { //Scroll	?>
		<div id="survsnt_popup" class="reveal-modal">
			<div id="survsnt_survey_content" >
				<?php survsnt_question_html($first_question, $survey_answers, $current_survey[0]);  ?>
			</div>
			<a class="close-reveal-modal">&#215;</a>
		</div>	
			<script>
				survey_method = 1;
			</script>

			<?php if ($current_survey[1]) { ?>
				<script>
					jQuery(document).ready(function( $ ) {
						survsnt_schedule_scroll(<?php echo $survey_styles['scroll']['percentage'];?>);
					});
				</script>
			<?php } ?>		

	<?php } else if ($survey_data->display_option == 9) { // Viral Rating	?>

			<!-- viral rating code here -->

	<?php }  ?>

	<?php
	}

// if (!did_action('wp_footer'))

		add_action( 'wp_footer', 'survsnt_footer_html' );
?>