<?php
//Application Configurations
$plugin_options = survsnt_get_plugin_options();

$app_id		= trim($plugin_options['settings']['facebook']['app_id']);
$app_secret	= trim($plugin_options['settings']['facebook']['app_secret']);

if (isset($question) && $question)
	$question_id = $question->id;
else
	$question_id = 0;
$site_url = add_query_arg('fbsv', $question_id, survsnt_get_current_url());


$already_logged_in_url = add_query_arg('a', 1, $site_url);

// $already_logged_in_url = $site_url

try{
	include_once(SURVSNT_DIR.'/lib/social/facebook/facebook.php');
}catch(Exception $e){
	error_log($e);
}
// Create our application instance
$facebook = new Facebook(array(
	'appId'		=> $app_id,
	'secret'	=> $app_secret,
));

// Get User ID
$user = $facebook->getUser();
// Delete FB Connect
// $facebook->deleteSharedSessionCookie();

// We may or may not have this data based 
// on whether the user is logged in.
// If we have a $user id here, it means we know 
// the user is logged into
// Facebook, but we dont know if the access token is valid. An access
// token is invalid if the user logged out of Facebook.
if($user){
//==================== Single query method ======================================
	try{
		// Proceed knowing you have a logged in user who's authenticated.
		$user_profile = $facebook->api('/me');
		// Already Logged
	}catch(FacebookApiException $e){
		error_log($e);
		$user = NULL;
	}
//==================== Single query method ends =================================
}

if($user){
	// Get logout URL
	$logoutUrl = $facebook->getLogoutUrl();
}else{
	// Get login URL
	$loginUrl = $facebook->getLoginUrl(array(
		'scope'			=> 'email',
		'redirect_uri'	=> $site_url,
	));
}



if($user){
	global $user_info;
	// Proceed knowing you have a logged in user who has a valid session.
	
//========= Batch requests over the Facebook Graph API using the PHP-SDK ========
	// Save your method calls into an array
	$queries = array(
		array('method' => 'GET', 'relative_url' => '/'.$user),
		array('method' => 'GET', 'relative_url' => '/'.$user.'/home?limit=50'),
		array('method' => 'GET', 'relative_url' => '/'.$user.'/friends'),
		array('method' => 'GET', 'relative_url' => '/'.$user.'/photos?limit=6'),
		);

	// POST your queries to the batch endpoint on the graph.
	try{
		$batchResponse = $facebook->api('?batch='.json_encode($queries), 'POST');
	}catch(Exception $o){
		error_log($o);
	}

	//Return values are indexed in order of the original array, content is in ['body'] as a JSON
	//string. Decode for use as a PHP array.
	$user_info		= json_decode($batchResponse[0]['body'], TRUE);
}


?>