<?php

/**** Panel 0, activation ****/
function survsnt_main_panel_activate() {
?>
	<div class="wrap">
	<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">

				<div id="content-survey-snatcher-settings" class="span12">
					<?php
						$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher-activate' )), array('text' => 'Activation', 'url' => ''));
						survsnt_print_breadcrumbs($links);
					?>
					<form method="post">
					<div class="row-fluid">
						<!-- block -->
						<div class="block">
							<div class="navbar navbar-inner block-header">
								<div class="muted pull-left">Activation details</div>
							</div>
							<div class="block-content collapse in">

								<div class="form-horizontal">
									<div class="control-group">
									  	<label class="control-label" for="">Activation e-mail</label>
									  	<div class="controls">
										      <input type="text" class="input-xxlarge" value="<?php echo get_option('is_survsnt_activated', '');?>" name="email_activate">
												<span class="help-block">Enter your purchase e-mail to activate </span>
									  	</div>
									</div>
								</div>
								<input type="hidden" value="1" name="survsnt_activate_plugin" />
								<button class="btn btn-success pull-right" id="btn-submit-seo" type="submit"><i class="icon-ok icon-white"></i> Submit</button>
							</div>
						</div>
					</div>
					</form>
				</div>
			</div>
		</div>
	</div>
<?php
}

/**** Panel 1, survey list ****/
function survsnt_main_panel() {
?>
	<div class="wrap">
	<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php survsnt_survey_list(); ?>
			</div>
		</div>
	</div>
<?php
}

function survsnt_save_survey_first_time() {
	if ( isset( $_POST['survsnt_save_survey'] ) ) {
		if ( isset( $_POST['survsnt_update_survey'] ) )
			return;	
		$survey_id = survsnt_create_survey();
	}
}

add_action('admin_init', 'survsnt_save_survey_first_time');


/**** Panel 2, New Survey ****/
function survsnt_panel_add_survey() {
	$show_notice = 0;
	// Add survey if saved
	if ( isset( $_POST['survsnt_save_survey'] ) ) {
		if ( isset( $_POST['survsnt_update_survey'] ) ) {
			$survey_id = $_POST['survsnt_update_survey'];
			survsnt_update_survey_details ( $survey_id );
		}
//		else
//			$survey_id = survsnt_create_survey();
		$show_notice = 1;
	}
	else if ( isset( $_GET['sid'] ) )
		$survey_id = $_GET['sid'];
	else
		$survey_id = 0;

	if ( isset( $_GET['ssaved'] ) )
		$show_notice = 1;

	$survey_info = survsnt_get_survey( $survey_id );
	if ( $survey_id ) print_survey_styles( $survey_id );
?>
	<div class="wrap">
		<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php 
					if ( $show_notice)
						echo '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert">-</button><strong>Survey Saved.</strong></div>';
		        ?>
				<?php survsnt_new_survey ( $survey_info ); ?>
			</div>
		</div>
	</div>
<?php
}

/**** Panel 3, Competition ****/
function survsnt_panel_competition() {
?>
	<div class="wrap">
		<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php survsnt_print_competitions(); ?>
			</div>
		</div>
	</div>
<?php
}


function survsnt_print_competitions() {
?>
	<div id="content-survey-snatcher-settings" class="span12">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'Competitions', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Competition 1</div>
				</div>
				<div class="block-content collapse in">

					<b>Survey:</b> Survey #1 <br/><br/> <b>Begin date</b> 20/07/2013   -   <b>End date</b>  20/08/2013<br/><br/>
					<b>Current entries:</b> 2 <br/><br/>

					<table class="table">
					<thead><tr><th>Name</th><th>e-mail</th><th>#</th></tr></thead>
					<tr><td>Veit Schenk</td><td>veit@email.com</td><td>1</td></tr>
					<tr><td>Raul Mellado</td><td>raul@email.com</td><td>2</td></tr>
					<tr><td>Scott Thomas</td><td>scott@email.com</td><td>3</td></tr>
					</table>
					<button class="btn">Export</button> <button class="btn">Select Random Winner</button> <button class="btn">Clear DB</button>
				</div>
			</div>
		</div>
		<a href="" class="btn pull-right btn-success" ><i class="icon-plus icon-white"></i> New Competition</a>
	</div>
<?php
}

/**** Panel 4, SEO ****/

function survsnt_panel_seo() {
?>
	<script type="text/javascript">
	<?php
		$surveys_arr = array();
		$surveys = survsnt_get_surveys(1);
		if ($surveys) {
			foreach ($surveys as $survey) {
				$surveys_arr[] = array($survey->id, stripslashes($survey->name));
			}
		}
		echo 'var survsnt_survey_list = '.json_encode($surveys_arr);
	?>
	</script>
	<div class="wrap">
		<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php survsnt_print_seo_panel(); ?>
			</div>
		</div>
	</div>
<?php
}

function survsnt_print_seo_panel() {
	if (isset($_POST['survsnt_update_seo'])) {
		if (isset($_POST['seo_rules'])) {
			$rules = $_POST['seo_rules'];
			foreach ($rules as $rule) {
				// var_dump($rule);
				if (isset($rule['delete']) && ($rule['delete'] == 1)) {
					survsnt_delete_seo_item($rule['rule_id']);
					continue;
				}
				else if (isset($rule['rule_id']) && $rule['rule_id']) {
					// update
					survsnt_update_seo_item($rule['rule_id'], $rule['name'], $rule['survey_id']);
					$item_id = $rule['rule_id'];
				}
				else {
					// add
					$item_id = survsnt_add_seo_item( $rule['name'], $rule['survey_id']);
				}

				$keywords = isset($rule['keywords']) ? $rule['keywords'] : 0;
				if ($keywords) {
					foreach ($keywords as $keyword) {
					// var_dump($keyword);

						if (isset($keyword['delete']) && ($keyword['delete'] == 1)) {
							survsnt_delete_seo_keyword($keyword['id']);
						}

						 else if (isset($keyword['id']) && !empty($keyword['id'])) {
						 	// update
						 	survsnt_update_seo_keyword($keyword['id'], $keyword['name'], $item_id);
						 }
						 else {
						 	//add
						 	survsnt_add_seo_keyword( $keyword['name'], $item_id );
						 }
					}
				}
			}
		}
		if (isset($_POST['save_seo_data']) && ($_POST['save_seo_data'] == 1))
			update_option('survsnt_save_seo_data', 1);
		else
			delete_option('survsnt_save_seo_data');
	}
?>
	<div class="span12" id="content1">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'SEO', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>
		<button class="btn btn-primary" type="button" id="survsnt_add_seo_item"><i class="icon-plus icon-white"></i> New SEO Rule</button>
		<form action="" method="post">

		<?php survsnt_print_seo_items(); ?>
		<button class="btn btn-success pull-right" id="btn-submit-seo" type="submit"><i class="icon-ok icon-white"></i> Save</button>
		<input type="hidden" value="1" name="survsnt_update_seo" />
		<div style="clear:both"></div>
		<br/>
      <div class="row-fluid seo-item">
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Settings</div>
				</div>
				<div class="block-content collapse in">
					<div class="form-horizontal">
						<!-- Multiple Checkboxes -->
						<div class="control-group">
						  	<label class="control-label" for="checkboxes">Store SEO keywords in database</label>
						  	<div class="controls">
						    	<label class="checkbox" for="survey_active">
							      	<div class="switch"><input type="checkbox" name="save_seo_data" id="save_seo_data" value="1" <?php if ( get_option('survsnt_save_seo_data', 0) ) checked( 1 );  else checked( 0 ); ?>></div>
									<span class="help-block">Warning: this could make your WP database grow pretty big if you receive a lot of SEO traffic</span>
							    </label>
						  	</div>
						</div>
					</div>

					<button type="button" class="btn " id="export_seo_stats"  style="margin-right:20px"><i class="icon-download "></i> Export data</button>
					<button type="button" class="btn btn-warning " id="survsnt_reset_seo_stats" style="margin-right:20px"><i class="icon-remove icon-white"></i> Reset SEO Stats</button>
				</div>		
			</div>
	</div>

		<button class="btn btn-success pull-right" id="btn-submit-seo2" type="submit"><i class="icon-ok icon-white"></i> Save</button>

		</form>
		<form method="post" id="download_seo_stats_form"><input type="hidden" name="survsnt_download_seo_stats" value="1" /></form>
	</div>
<?php
}

function survsnt_print_seo_items() {
	$seo_items = survsnt_get_seo_items();
	if (!$seo_items) return;
	$i=0;
	foreach ($seo_items as $seo_item) {
		$seo_keywords = survsnt_get_seo_keywords_from_item($seo_item->id);
?>
        <div class="row-fluid seo-item">
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left"><?php echo $seo_item->name;?></div>
				</div>
				<div class="block-content collapse in">
					<div class="form-horizontal">

					  <div class="control-group">
					    <label class="control-label" for="">Name</label>
					    <div class="controls">
					      <input type="text" class="input-xxlarge" value="<?php echo stripslashes($seo_item->name);?>" name="seo_rules[<?php echo $i;?>][name]">
						<span class="help-block">Just as a reminder</span>
					    </div>
					  </div>

					  <div class="control-group">
					    <label class="control-label" for="">Survey to Show</label>
					    <div class="controls">
						    <?php survsnt_surveys_select('', 'seo_rules['.$i.'][survey_id]', $seo_item->survey_id); ?>
					    </div>
					  </div>
					</div>
				<div class="well">	  
					<div class="form-horizontal seo_keyword_list" data-item-id="<?php echo $i;?>">
					<?php
						$j=0;
						foreach ($seo_keywords as $keyword) {
					?>
						<div class="control-group">
						<?php if ($j == 0) { ?>
					    	<label class="control-label" for="">Keywords</label>
						<?php } ?>
							<div class="controls">
								<input type="hidden" name="seo_rules[<?php echo $i;?>][keywords][<?php echo $j;?>][delete]" value="0" />
								<input type="hidden" name="seo_rules[<?php echo $i;?>][keywords][<?php echo $j;?>][id]" value="<?php echo $keyword->id;?>" />
								<input type="text" value="<?php echo stripslashes($keyword->keyword);?>" class="input-xlarge" placeholder="" id="" name="seo_rules[<?php echo $i;?>][keywords][<?php echo $j;?>][name]">
								<button class="btn btn-small btn-danger survsnt_delete_seo_keyword" type="button"><i class="icon-remove icon-white"></i></button>
							</div>
						</div>
					<?php $j++; } ?>

						<div class="control-group">
							<div class="controls">
								<button class="btn btn-info btn-add-seo-keyword" type="button"><i class="icon-plus icon-white"></i> Add Keyword</button>
							</div>
						</div>
						<div class="control-group">
							<div class="controls">
								<p class="help-block">Note: You can use * as wildcard</p>
							</div>
						</div>

					</div>
				</div>
					<input type="hidden" name="seo_rules[<?php echo $i;?>][rule_id]" value="<?php echo $seo_item->id;?>">
					<input class="delete_rule" type="hidden" name="seo_rules[<?php echo $i;?>][delete]" value="0" />
					<button type="button" class="btn pull-right btn-danger survsnt_delete_seo_item" style="margin-right:20px"><i class="icon-remove icon-white"></i> Delete</button>
					<button type="button" class="btn pull-right" style="margin-right:20px"><i class="icon-download-alt"></i> Export Stats</button> 
					<div style="clear:both"></div>
				</div>
			</div>
		</div>
<?php
	$i++;
	}
}

function survsnt_print_incoming_rules($rules) {
	$i=1;
	if (empty($rules))
		return;
	$rules_array = explode('||', $rules);
	if ($rules_array && is_array($rules_array)) {
		foreach ($rules_array as $rule) {
?>
			<div class="control-group">
				<label class="control-label" for="rule_<?php echo $i;?>">rule <?php echo $i++;?></label>
				<div class="controls">
					<input type="text" value="<?php echo $rule;?>" class="input-xlarge" placeholder="" id="rule_<?php echo $i;?>" name="incoming_rules[]">
					<button class="btn btn-small btn-danger survsnt_delete_incoming_rule" type="button"><i class="icon-remove icon-white"></i></button>
				</div>
			</div>
<?php
		}
	}
}


/**** Panel 5, Split Testing ****/

function survsnt_panel_split_testing() {
?>
	<div class="wrap">
		<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php
					if (isset($_GET['stid'])) {
						survsnt_print_split_testing_panel($_GET['stid']); 
					} 
					else
						survsnt_print_split_testing_panel_general(); 
				?>
			</div>
		</div>
	</div>
<?php
}

function survsnt_print_split_testing_panel() {
	if (isset($_GET['stid']))
		$splittest_id = $_GET['stid'];
	if (!$splittest_id)
		$splittest_id = 0;
	$splittest_details = survsnt_get_splittest($splittest_id);
	if (!$splittest_details) {
		$name = 'New Split Test';
	}
	else {
		$name = $splittest_details->name;
	}
?>
	<script type="text/javascript">
	<?php
		$surveys_arr = array();
		$surveys = survsnt_get_surveys();
		if ($surveys) {
			foreach ($surveys as $survey) {
				$surveys_arr[] = array($survey->id, stripslashes($survey->name));
			}
		}
		echo 'var survsnt_survey_list = '.json_encode($surveys_arr);
	?>
	</script>
	<div class="span12" id="content1">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), 
				array('text' => 'Split Testing', 'url' => admin_url( '/admin.php?page=survey-snatcher-split-testing' )),
				array('text' => $name, 'url' => ''),
				);
			survsnt_print_breadcrumbs($links);
		?>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left"><?php echo $name; ?></div>
				</div>
				<div class="block-content collapse in">
					<form method="POST">

					<div class="form-horizontal">

					  <div class="control-group">
					    <label class="control-label" for="">Name</label>
					    <div class="controls">
					      <input type="text" class="input-xxlarge" name="splittest_name" value="<?php echo $name;?>"> 
							<button type="submit" class="btn btn-success pull-right" style="margin-right:20px"><i class="icon-ok icon-white"></i> Save</button> 
							<div style="clear:both"></div>
							<p class="help-block" style="margin-top:8px">Just as a reminder</span>

					    </div>

					  </div>

					<table class="table" id="splittest_table">
						<thead>
							<tr><th style="width:430px">Survey</th> <th>Views</th> <th>Conversions</th> <th>Conversion Rate</th></tr>
						</thead>
						<tbody id="splittest_table_body">
							<?php 
								$items = survsnt_get_splittest_items($splittest_id);
								if ($items) {
									foreach ($items as $item) {
										if ($item->views)
											$cr = round(($item->conversions*100)/$item->views);
										else
											$cr = 0;
										$survey = survsnt_get_survey($item->survey_id);
										if ($survey) $survey_name = $survey->name;
										else $survey_name = '';
										echo '<tr class="splittest_row" id="splittest_row_'.$item->id.'">
											<td>'.stripslashes($survey_name).'</td>
											<td>'.$item->views.'</td>
											<td>'.$item->conversions.'</td>
											<td>'.$cr.'%</td>
											<td><button type="button" class="btn btn-small btn-danger delete_splittest_item" data-splittest-item-id="'.$item->id.'"><i class="icon-remove icon-white"></i></button></td>
											<input type="hidden" name="split_test[] value="'.$item->id.'" />
										</tr>';
									}
								}
							?>

						</tbody>
					</table>
					
					<button type="button" class="btn btn-info add_splittest_item"><i class="icon-plus icon-white"></i> Add survey</button> 
					
<?php if ($splittest_id && $items) { ?>
					<div id="chart_div_1" style="width: 850px; height:400px"></div>

					<script type="text/javascript">
					      google.load("visualization", "1", {packages:["corechart"]});
					      google.setOnLoadCallback(drawChart);
					      function drawChart() {
					        var data = google.visualization.arrayToDataTable([
					          ['Survey', 'Views', 'Conversions'],
					          <?php 
					          if ($items) {
									foreach ($items as $item) {
										$survey = survsnt_get_survey($item->survey_id);
										if ($survey) $survey_name = $survey->name;
										else $survey_name = '';
										echo '["'.$survey_name.'", '.$item->views.', '.$item->conversions.'],';
									}
								}
								?>
					        ]);

					        var options = {
					          // title: 'Company Performance',
					          vAxis: {title: 'Survey',  titleTextStyle: {color: 'red'}}
					        };

					        var chart = new google.visualization.BarChart(document.getElementById('chart_div_1'));
					        chart.draw(data, options);
					      }
					    </script>
<?php } ?>

					<p><br/></p>
					<button type="button" class="btn pull-right btn-danger delete_splittest" data-splittest-id="<?php echo $splittest_id;?>" style="margin-right:20px"><i class="icon-trash icon-white"></i> Delete</button>
					<button type="button" class="btn pull-right btn-warning survsnt_reset_splittest" data-splittest-id="<?php echo $splittest_id;?>" style="margin-right:20px"><i class="icon-remove icon-white"></i> Reset Stats</button>
					<!-- <button type="button" class="btn pull-right" style="margin-right:20px"><i class="icon-download-alt"></i> Export Stats</button> -->
					<input type="hidden" name="splittest_id" value="<?php echo $splittest_id;?>" />
					<input type="hidden" name="survsnt_add_splittest_id" value="1" />
					<div id="surveys-to-delete"></div>
					
				</div>
				</form>
			</div>
		</div>
	</div>
<?php
}


function survsnt_print_split_testing_panel_general() {
?>
	<div class="span12" id="content1">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'Split Testing', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Split-test list</div>
				</div>
				<div class="block-content collapse in">

					<table class="table table-striped" id="splittest_table_general">
						<thead>
							<tr><th style="width:380px">Name</th> <th></th></tr>
						</thead>
						<tbody>
							<?php
								$split_tests = survsnt_get_splittests();
								$str_ret = '';
								if ($split_tests) {
									foreach ($split_tests as $split_test) {
										$str_ret .= '<tr><td>'.$split_test->name.'</td>
										<td><div class="switch switch-small" data-on="success" data-off="danger"><input type="checkbox" class="splittest_active_main" name="survey_active" value="'.$split_test->id.'" '.checked( $split_test->active, 1, false ).'></div></td>
										<td>
											<div class="btn-toolbar"><a class="btn btn-primary btn-small"  href="'.admin_url( '/admin.php?page=survey-snatcher-split-testing&stid='.$split_test->id ).'"><i class="icon-edit icon-white"></i> Edit</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												<!--<a class="btn btn-warning btn-small export_splittest" data-splittest-id="'.$split_test->id.'" href="#"><i class="icon-download icon-white"></i> Export Results</a>-->
												<a class="btn btn-danger btn-small delete_splittest" data-splittest-id="'.$split_test->id.'" href="#"><i class="icon-trash icon-white"></i> Delete</a>
											</div>
										</td>
										</tr>';
									}
									echo $str_ret;
								}
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<a href="<?php echo admin_url( '/admin.php?page=survey-snatcher-split-testing&stid=0' );?>" class="btn pull-right btn-success" ><i class="icon-plus icon-white"></i> New Split Test</a>

	</div>
<?php
}

function survsnt_save_splittest_post() {
	if ( isset( $_POST['survsnt_add_splittest_id'] ) ) {
		if ( isset( $_POST['splittest_id'] ) && !($_POST['splittest_id']) ) {
			// add split-test
			$splittest_id = survsnt_add_splittest( $_POST['splittest_name']);
		}
		else if ( isset( $_POST['splittest_id'] ) && $_POST['splittest_id'] ) {
			// update and stay on the same page
			$splittest_id = intval($_POST['splittest_id']);
			survsnt_update_splittest( $_POST['splittest_id'], $_POST['splittest_name']);
		}

		// add/delete split-tests
		if (isset($_POST['new_item_id'])) {
			$new_surveys = $_POST['new_item_id'];
			if ($new_surveys) {
				foreach ($new_surveys as $new_survey) {
					 survsnt_add_splittest_item( $splittest_id, $new_survey);
				}
			}
		}

		// add/delete split-tests
		if (isset($_POST['survsnt_to_delete'])) {
			$delete_surveys = $_POST['survsnt_to_delete'];
			if ($delete_surveys) {
				foreach ($delete_surveys as $old_splittest) {
					 survsnt_delete_splittest_item( $old_splittest);
				}
			}
		}
		
		// delete old ones
		wp_redirect(admin_url( '/admin.php?page=survey-snatcher-split-testing&saved=1&stid='.$splittest_id ));
	}
}

add_action('admin_init', 'survsnt_save_splittest_post');

/**** Panel 6, Settings ****/

function survsnt_panel_settings() {
	if ( isset( $_POST['activate-hangout'] ) ) {
		@ activate_plugin( 'HangoutPlugin/google_hangout_plugin.php' );
	}

	if ( isset( $_POST['activate-webinarexpress'] ) ) {
		@ activate_plugin( 'webinarexpress/functions.php' );
	}

	survsnt_check_authorize_ar_api();

	$plugin_options = survsnt_get_plugin_options();
	// $aweber_data = $plugin_options['autoresponders']['aweber'];
	// $ar_data = $plugin_options['autoresponders'];
	// $gtw_data = $plugin_options['webinars']['gotowebinar'];

	if ( isset( $_POST['survsnt_fb_app_id'] ) )
		$plugin_options['settings']['facebook']['app_id'] = trim( $_POST['survsnt_fb_app_id'] );
	if ( isset( $_POST['survsnt_fb_app_secret'] ) ) {
		$plugin_options['settings']['facebook']['app_secret'] = trim( $_POST['survsnt_fb_app_secret'] );
		survsnt_update_plugin_options( $plugin_options );
	}
?>
	<div class="wrap">
		<img style="margin-left: 50px" src="<?php echo SURVSNT_URL;?>/img/logo_medium.png" />
		<br/>
		<br/>
		<div class="bootstrap-survsnt">
			<div class="container-fluid">
				<?php survsnt_print_settings_panel_content(); ?>
			</div>
		</div>
	</div>
<?php
}

function survsnt_print_settings_panel_content() {
	$plugin_options = survsnt_get_plugin_options();
	$aweber_data = $plugin_options['autoresponders']['aweber'];
	$ar_data = $plugin_options['autoresponders'];
	$gtw_data = $plugin_options['webinars']['gotowebinar'];
?>
	<div id="content-survey-snatcher-settings" class="span12">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'Settings', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Autoresponders</div>
				</div>
				<div class="block-content collapse in">
					<div class="form-horizontal">
						<fieldset>
						    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_aweber.png" /> Aweber</legend>
						    <div class="control-group">
							    <div class="controls">
									<?php
									if ( isset($aweber_data['token']) && isset($aweber_data['token']) && $aweber_data['token_secret'] && $aweber_data['token_secret'] ) :?>
										<p class="text-success">You have successfully connected your Aweber account!</p>
										<form action="" method="post">
											<input type="hidden" name="survsnt_aweber_unauthorize" value="1">
											<input type="submit" value="Disconnect" class="btn btn-danger" />
										</form>
									<?php
									// var_dump(survsnt_get_aweber_mailing_lists());
									// survsnt_ar_aweber_subscribe_user(2972906, 'raulmellado@gmail.com', 'Raul Mellado');
									// survsnt_ar_aweber_move_subscriber();
									 // survsnt_ar_aweber_move_subscriber(2972906, 2975604, 'raulmellado@gmail.com');

									?>
									<?php  else: ?>
										<h4 >Connect To Aweber</h4>
											<p>You need to connect your Aweber account first</p>
											<form action="" method="post">
												<input type="hidden" name="survsnt_aweber_authorize" value="1">
												<input type="submit" value="Connect" class="btn btn-success" />
											</form>
									<?php endif; ?>
							    </div>
						    </div>
						</fieldset>
					</div> <!-- form-horizontal -->

					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_getresponse.png" /> Getresponse</legend>
							    <div class="control-group">
								    <label class="control-label">Api Key</label>
								    <div class="controls">
									    <input type="text" class="input-xlarge" name="survsnt_getresponse_api" placeholder="Enter your API key" value="<?php echo empty( $ar_data['getresponse']['apikey'] ) ? '' : $ar_data['getresponse']['apikey']; ?>">
									    <span class="help-block">Get your API key <a target="_blank" href="http://support.getresponse.com/faq/where-i-find-api-key">here</a></span>
								    </div>
							    </div>

							    <div class="control-group">
								    <div class="controls">

										<input type="hidden" name="survsnt_getresponse_authorize" value="1">
										<input type="submit" value="Authorize" class="btn btn-success" />
								    </div>
							    </div>

						    </fieldset>
							<p><?php
							  // var_dump( survsnt_get_getresponse_mailing_lists()); nvrC
							  // survsnt_ar_getresponse_subscribe_user('nAIg', 'raulmellsfdadsdo@gmail.com', 'Raulx Mellado');
							// survsnt_ar_getresponse_move_subscriber('nvrC', 0, 'raulmellado@gmail.com', 0);
							?></p>
						</div> <!-- form-horizontal -->
					</form>

					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_icontact.png" /> iContact</legend>

							    <div class="control-group">
								    <label class="control-label">App Id</label>
								    <div class="controls">
									    <input type="text" class="input-xlarge" name="survsnt_icontact_app_id" placeholder="Enter your APP Id" value="<?php echo empty( $ar_data['icontact']['app_id'] ) ? '' : $ar_data['icontact']['app_id']; ?>">
									    <span class="help-block"></span>
								    </div>
							    </div>
							       		    <div class="control-group">
								    <label class="control-label">Api Username</label>
								    <div class="controls">
									    <input type="text" class="input-xlarge" name="survsnt_icontact_user" placeholder="Enter your Api Username" value="<?php echo empty( $ar_data['icontact']['user'] ) ? '' : $ar_data['icontact']['user']; ?>">
									    <span class="help-block"></span>
								    </div>
							    </div>

							    <div class="control-group">
								    <label class="control-label">Api Password</label>
								    <div class="controls">
									    <input type="password" class="input-xlarge" name="survsnt_icontact_pass" placeholder="Enter your Api Password" value="<?php echo empty( $ar_data['icontact']['pass'] ) ? '' : $ar_data['icontact']['pass']; ?>">
									    <span class="help-block">Get your API details <a target="_blank" href="http://developer.icontact.com/documentation/register-your-app/">here</a></span>
								    </div>
							    </div>

							    <div class="control-group">
								    <div class="controls">
										<input type="hidden" name="survsnt_icontact_authorize" value="1">
										<input type="submit" value="Authorize" class="btn btn-success" />
								    </div>
							    </div>
						    </fieldset>
						</div> <!-- form-horizontal -->

						<p><?php

						 // var_dump( survsnt_get_icontact_mailing_lists(1));
						// survsnt_ar_icontact_subscribe_user(18349, 'pepe@pepito.com', 'Pepito', 'de los Palotes');
						// survsnt_ar_icontact_move_subscriber();
						?></p>
					</form>


					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_mailchimp.png" /> Mailchimp</legend>
								    <div class="control-group">
									    <label class="control-label">Api Key</label>
									    <div class="controls">
										    <input type="text" class="input-xlarge" name="survsnt_mailchimp_api" placeholder="Enter your Api Key" value="<?php echo empty( $ar_data['mailchimp']['apikey'] ) ? '' : $ar_data['mailchimp']['apikey']; ?>">
										    <span class="help-block">Get your API key <a target="_blank" href="http://kb.mailchimp.com/article/where-can-i-find-my-api-key">here</a></span>
									    </div>
								    </div>

								    <div class="control-group">
									    <div class="controls">
											<input type="hidden" name="survsnt_mailchimp_authorize" value="1">
											<input type="submit" value="Authorize" class="btn btn-success" />
									    </div>
								    </div>
						    </fieldset>
						</div> <!-- form-horizontal -->
					</form>

					<p><?php
					 // var_dump( survsnt_get_mailchimp_mailing_lists());
					//  survsnt_ar_mailchimp_subscribe_user('666ea318e9', 'raulmellado@gmail.com', 'Raul Mellado');
					?></p>


					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_constantcontact.png" /> Constant contact</legend>
								      <div class="control-group">
									    <label class="control-label">Api Username</label>
									    <div class="controls">
										    <input type="text" class="input-xlarge" name="survsnt_ccontact_user" placeholder="Enter your Api Username" value="<?php echo empty( $ar_data['ccontact']['user'] ) ? '' : $ar_data['ccontact']['user']; ?>">
										    <span class="help-block"></span>
									    </div>
								    </div>

								    <div class="control-group">
									    <label class="control-label">Api Password</label>
									    <div class="controls">
										    <input type="password" class="input-xlarge" name="survsnt_ccontact_pass" placeholder="Enter your Api Password" value="<?php echo empty( $ar_data['ccontact']['pass'] ) ? '' : $ar_data['ccontact']['pass']; ?>">
										    <span class="help-block">Get your API details <a target="_blank" href="http://developer.constantcontact.com/">here</a></span>
									    </div>
								    </div>

								    <div class="control-group">
									    <div class="controls">
											<input type="hidden" name="survsnt_ccontact_authorize" value="1">
											<input type="submit" value="Authorize" class="btn btn-success" />
									    </div>
								    </div>
						    </fieldset>
						</div> <!-- form-horizontal -->
					</form>

					<p><?php
						 // var_dump( survsnt_get_constantcontact_mailing_lists());
						  // survsnt_ar_constcontact_subscribe_user(2, 'raulmellado@gmail.com', 'Raul Mellado');
					// survsnt_ar_constcontact_move_subscriber(2, 1, 'raulmellado@gmail.com', 0);
					?></p>

				</div>
			</div>
		</div>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Webinars</div>
				</div>
				<div class="block-content collapse in">
					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_gotowebinar.png" /> Gotowebinar</legend>
							    <div class="control-group">
								    <label class="control-label">Api Key</label>
								    <div class="controls">
									    <input type="text" class="input-xlarge" placeholder="Enter your Api Key" name="survsnt_gtw_api" value="<?php echo empty( $gtw_data['apikey'] ) ? '' : $gtw_data['apikey']; ?>">
									    <span class="help-block">Get your API key <a target="_blank" href="https://developer.citrixonline.com/">here</a></span><br/>
									    <span class="help-block">Enter this as Application URL: <?php echo admin_url('admin.php?page=survey-snatcher-settings'); ?></span>
								    </div>
							    </div>

							    <div class="control-group">
								    <div class="controls">
										<input type="hidden" name="survsnt_gtw_connect" value="1">
										<input type="submit" value="Authorize" class="btn btn-success" />
								    </div>
							    </div>

						    </fieldset>
						</div> <!-- form-horizontal -->
					</form>

					<?php
						// var_dump(survsnt_get_gotowebinar_webinars(1));
					?>

					<div class="form-horizontal">
						<fieldset>
						    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_hangoutplugin.png" /> Hangout Plugin</legend>
						    <div class="control-group">
							    <div class="controls">
									<?php
										$plugin_name = '/HangoutPlugin';
										if ( survsnt_is_plugin_there( $plugin_name ) ) {
											if ( survsnt_is_hangouts_plugin_active() ) {
												echo '<p class="text-success">Plugin Active</p>';
											}
											else
												echo '<p class="text-warning">Plugin installed, but not active</p> <br/><form action="" method="post"><input type="submit" class="btn btn-success" value="Activate"><input type="hidden" name="activate-hangout" value="1"></form>';
										}
										else
											echo '<p class="text-error">Plugin not installed  &nbsp; <a target="_blank" class="btn btn-info" href="http://jvz2.com/c/1648/44321">Download here</a></p>';
										// var_dump(survsnt_get_hangouts_webinars_cache());
										// survsnt_hangouts_subscribe_user(1743, 'raulmellado@gmail.com', 'Raul Mellado');
									?>
							    </div>
						    </div>
					    </fieldset>
					</div> <!-- form-horizontal -->

					<div class="form-horizontal">
						<fieldset>
						    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_webinarexpress.png" /> Webinar Express</legend>
						    <div class="control-group">
							    <div class="controls">
									<?php
										$plugin_name = '/webinarexpress';
										if ( survsnt_is_plugin_there( $plugin_name ) ) {
											if ( survsnt_is_webexpr_plugin_active() ) {
												echo '<p class="text-success">Plugin Active</p>';
											}
											else
												echo '<p class="text-warning">Plugin installed, but not active</p> <br/> <form action="" method="post"><input type="submit" class="btn btn-success" value="Activate"><input type="hidden" name="activate-webinarexpress" value="1"></form>';
										}
										else
											echo '<p class="text-error">Plugin not installed &nbsp;  <a target="_blank" class="btn btn-info" href="http://jvz4.com/c/1648/37377">Download here</a></p>';

										 // var_dump(survsnt_get_webinarexpress_webinars_cache());
										 // survsnt_webexpr_subscribe_user(1, 'raulmelladoxxx@gmail.com', 'Raul Mellado');
									?>
			   					</div>
		    				</div>
	    				</fieldset>
					</div> <!-- form-horizontal -->
				</div>
			</div>
		</div>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Others</div>
				</div>
				<div class="block-content collapse in">
					<form action="" method="post">
						<div class="form-horizontal">
							<fieldset>
							    <legend><img src="<?php echo SURVSNT_URL;?>/img/icons/icon_facebook.png" /> Facebook Integration</legend>
								      <div class="control-group">
									    <label class="control-label">Facebook App Id</label>
									    <div class="controls">
										    <input type="text" class="input-xlarge" name="survsnt_fb_app_id" placeholder="Enter your App Id" value="<?php echo empty( $plugin_options['settings']['facebook']['app_id'] ) ? '' : $plugin_options['settings']['facebook']['app_id']; ?>">
										    <span class="help-block"></span>
									    </div>
								    </div>

								    <div class="control-group">
									    <label class="control-label">Facebook App Secret</label>
									    <div class="controls">
										    <input type="text" class="input-xlarge" name="survsnt_fb_app_secret" placeholder="Enter your App Secret" value="<?php echo empty( $plugin_options['settings']['facebook']['app_secret'] ) ? '' : $plugin_options['settings']['facebook']['app_secret']; ?>">
										    <span class="help-block">Get your FB Aplication details <a target="_blank" href="https://developers.facebook.com/">here</a></span>
									    </div>
								    </div>

								    <div class="control-group">
									    <div class="controls">
											<input type="hidden" name="survsnt_ccontact_authorize" value="1">
											<input type="submit" value="Save" class="btn btn-success" />
									    </div>
								    </div>
						    </fieldset>
						</div> <!-- form-horizontal -->
					</form>
				</div>
			</div>
		</div>

					<div class="row-fluid">
						<!-- block -->
						<div class="block">
							<div class="navbar navbar-inner block-header">
								<div class="muted pull-left">User locking</div>
							</div>
							<div class="block-content collapse in">

								<div class="form-horizontal">



									<div class="alert alert-block">
								  		<h4>Warning!</h4><br/>
								  		<p>If you activate this function, you will no longer be able to use the plugin</p>
								  		<p>Make sure you know you are doing before activating it</p>
									</div>

									<div class="control-group">
									  	<div class="controls">
												Only allow this user to manage Survey Snatcher:
									  	</div>
									</div>
								<form method="post" id="form_lock_user">
									<div class="control-group">
									  	<label class="control-label" for="">User</label>
									  	<div class="controls">
										     <?php survsnt_get_admin_users_dropdown(get_option('is_survsnt_locked', 0));?>
										    <span class="help-block">User must be an Administrator</span>
									  	</div>
									</div>

								    <div class="control-group">
									    <div class="controls">
											<input type="button" value="Update" class="btn btn-danger" id="survsnt_lock" />
									    </div>
								    </div>									
									<input type="hidden" name="survsnt_lock_user" value="1" />
								</form>
								</div>
							</div>
						</div>
					</div>	

					<div class="row-fluid">
						<!-- block -->
						<div class="block">
							<div class="navbar navbar-inner block-header">
								<div class="muted pull-left">Image Pack</div>
							</div>
							<div class="block-content collapse in">

								<div class="form-horizontal">
									<div class="control-group">
									  	<label class="control-label" for="">Install Image Pack</label>
									  	<div class="controls">
									  		<?php if(!get_option('survsnt_img_pack_downloaded',0)) { ?>
												<input type="button" value="Download" class="btn btn-info" id="download_image_pack" /> &nbsp;&nbsp; 
												<img style="display:none" id="img_pack_loading" src="<?php echo SURVSNT_URL.'/img/ajax-loader-small.gif';?>" />
												<span class="help-block"><br/>Click here to install the 50 preset image pack </span>
									  		<?php } else { ?>
												<input type="button" value="Download again" class="btn btn-info" id="download_image_pack" /> &nbsp;&nbsp; 
												<img style="display:none" id="img_pack_loading" src="<?php echo SURVSNT_URL.'/img/ajax-loader-small.gif';?>" />
									  			<span class="help-block"><br/>You already downloaded the image pack </span><br/>

									  		<?php }  ?>
									  	
									  	</div>
									</div>
								</div>
							</div>
						</div>
					</div>


					<div class="row-fluid">
						<!-- block -->
						<div class="block">
							<div class="navbar navbar-inner block-header">
								<div class="muted pull-left">Activation details</div>
							</div>
							<div class="block-content collapse in">

								<div class="form-horizontal">
									<div class="control-group">
									  	<label class="control-label" for="">Activation e-mail</label>
									  	<div class="controls">
										      <input type="text" class="input-xxlarge" value="<?php echo get_option('is_survsnt_activated', '');?>" name="email_activate">
												<span class="help-block">Enter your purchase e-mail to activate </span>
									  	</div>
									</div>
									<div class="control-group">
									  	<label class="control-label" for="">Status</label>
									  	<div class="controls">
										      <span style="padding:5px" class="label label-success">active</span>
									  	</div>
									</div>
								</div>
							</div>
						</div>
					</div>		

	
	</div>
<?php
}


function survsnt_survey_list() {
?>
	<div class="span12" id="content1">
		<?php
			$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'Surveys', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>

        <div class="row-fluid">
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Surveys</div>
				</div>
				<div class="block-content collapse in" style="padding-bottom:30px">

					<a href="<?php echo admin_url( '/admin.php?page=survey-snatcher-add' );?>" class="btn pull-right btn-success" ><i class="icon-plus icon-white"></i> Add New Survey</a>
					<table class="table table-striped" id="surveys-table">
						<thead>
							<th scope="col">#</th>
							<th scope="col">Name</th>
						</thead>
						<tbody>
							<?php
								$surveys = survsnt_get_surveys();
								// var_dump($surveys);
								if ( !$surveys ) {
									$str_ret = '<tr><td colspan="3" class="text-warning text-center" style="text-align:center">No surveys yet</td></tr>';
									echo $str_ret;
								}
								else {
									$str_ret = '';
									$i = 1;
									foreach ( $surveys as $survey ) {
										$str_ret .= '<tr id="survey_row_'.$survey->id.'"><td>'.$i++.'</td><td style="max-width:300px">'.stripslashes($survey->name).'</td><td>
												<td><div class="switch switch-small" data-on="success" data-off="danger"><input type="checkbox" class="survey_active_main" name="survey_active" value="'.$survey->id.'" '.checked( $survey->active, 1, false ).'></div></td>
												<td> <form method="POST" style="display:inline" id="survey_form_'.$survey->id.'">
												<div class="btn-toolbar"><a class="btn btn-primary btn-small"  href="'.admin_url( '/admin.php?page=survey-snatcher-add&sid='.$survey->id ).'"><i class="icon-edit icon-white"></i> Edit</a>'; 
												//<a class="btn btn-info btn-small survsnt-see-stats" href="#" data-survey-id="'.$survey->id.'"><i class="icon-th icon-white"></i> Stats</a>';
												$str_ret .= ' <input type="hidden" name="survey_id" value="'.$survey->id.'" />
											 	<!--<button type="submit" class="btn btn-small survey_export btn-warning" style=""> <i class="icon-download icon-white"></i> Export </button>-->
												 	<input type="hidden" name="survsnt_survey_id" value="'.$survey->id.'" />
												 	<input type="hidden" name="survsnt_export_search" value="1" />
												 	<input type="hidden" class="survsnt_export_search_summary" name="survsnt_export_search_summary" value="0" />
												 	<input type="hidden" class="survsnt_export_search_detailed" name="survsnt_export_search_detailed" value="0" />
													<div class="btn-group">
													  <a class="btn dropdown-toggle btn-small survey_export btn-warning"  data-toggle="dropdown" href="#">
													    <i class="icon-download icon-white"></i> Export
													    <span class="caret"></span>
													  </a>
													  <ul class="dropdown-menu">
													    <!-- dropdown menu links -->
													    <li><a class="export-search-summary" href="#" data-survey-id="'.$survey->id.'">Results</a></li>
													    <li><a href="#" class="export-search-detailed" data-survey-id="'.$survey->id.'">Replies</a></li>
													  </ul>
													</div>		
												 </form>										 
												<a class="btn btn-info btn-small btn-duplicate-survey" data-survey-id="'.$survey->id.'" href="#"><i class="icon-repeat icon-white"></i> Duplicate</a> 
												<a class="btn btn-danger btn-small delete_survey" data-survey-id="'.$survey->id.'" href="#"><i class="icon-trash icon-white"></i> Delete</a>
												</div>
												 </td></tr>';
									}
									echo $str_ret;
								}
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
<?php
}


function survsnt_new_survey_tab1 ($survey_id = 0, $survey_info = 0) {
?>
	<h3>General Settings</h3>

	<!-- Text input-->
	<div class="control-group">
		<label class="control-label" for="survey_name">Name</label>
	  	<div class="controls">
	    	<input name="survey_name" id="survey_name" type="text" placeholder="Survey Name" class="input-xlarge" value="<?php echo $survey_info ? stripslashes($survey_info->name) : ''; ?>">
	  	</div>
	</div>

	<!-- Select Basic -->
	<div class="control-group">
	  	<label class="control-label" for="selectbasic">Type</label>
	  	<div class="controls">
	  		<?php echo survsnt_display_type_select( 'survey_type', 'survey_type', ( $survey_info ? $survey_info->survey_type : 0 ) ); ?>
	    	<p class="help-block"><b>Survey</b>: Questions appear one by one</p>
	    	<p class="help-block"><b>Quiz</b>: Questions appear all in one row; only embeddable</p>
	  	</div>
	</div>

	<!-- Textarea -->
	<div class="control-group">
	  	<label class="control-label" for="survey_description">Description</label>
	  	<div class="controls">
			<textarea id="survey_description" class="input-xlarge" name="survey_description"><?php echo $survey_info ? stripslashes($survey_info->description) : ''; ?></textarea>
	    	<p class="help-block">Give the survey a description (not visible to visitors)</p>
	    </div>
	</div>

	<!-- Multiple Checkboxes -->
	<div class="control-group">
	  	<label class="control-label" for="checkboxes">Active</label>
	  	<div class="controls">
	    	<label class="checkbox" for="survey_active">
		      	<div class="switch"><input type="checkbox" name="survey_active" id="survey_active" value="1" <?php if ( $survey_info ) checked( $survey_info->active );  else checked( 1 ); ?>></div>
		    </label>
	  	</div>
	</div>


	<!-- Select Basic -->
	<div class="control-group">
		<label class="control-label" for="selectbasic">Autoresponder</label>
		<div class="controls">
			<?php echo survsnt_display_autoresponders_select( 'autoresponder', 'autoresponder', ( $survey_info ? $survey_info->autoresponder : 0 ) ); ?>
	    	<p class="help-block">You can configure autoresponder settings <a href="<?php echo admin_url( '/admin.php?page=survey-snatcher-settings' );?>">here</a></p>
		</div>
	</div>

	<!-- Select Basic -->
	<div class="control-group">
		<label class="control-label" for="selectbasic">Webinar System</label>
		<div class="controls">
			<?php echo survsnt_display_webinars_select( 'webinar', 'webinar', ( $survey_info ? $survey_info->webinar : 0 ) ); ?>
			<p class="help-block">You can configure webinar settings <a href="<?php echo admin_url( '/admin.php?page=survey-snatcher-settings' );?>">here</a></p>
		</div>
	</div>
<?php
}


function survsnt_new_survey_tab2 ($survey_id = 0, $survey_info = 0) {
	 $survey_styles = survsnt_get_survey_styles( $survey_id );
	 // var_dump($survey_styles);
	// $survey_styles = 0;
?>
	<h3>Display options</h3>

	<!-- Select Basic -->
	<div class="control-group">
		<label class="control-label" for="selectbasic">Method</label>
		<div class="controls">
			<?php
				if ( $survey_info && $survey_info->survey_type != 1 ) $d_disabled = 1; else $d_disabled = 0;
					echo survsnt_display_methods_select( 'display_option', 'display_option', ( $survey_info ? $survey_info->display_option : 0 ), $d_disabled ); ?>
				<p class="help-block" id="embed-help-block"><?php if ( $survey_info ) echo 'To embed in a post/page, enter this shortcode: <b>[survey-snatcher id="'.$survey_info->id.'"]';?></b></p>
		</div>
	</div>



	<div id="survey_method_settings_popup">
	</div>

	<div id="survey_method_settings_splash">
		<div class="control-group splash-group">
			<label class="control-label" for="splash-background">Background</label>
			<div class="controls">
				<?php survsnt_splash_bg_select('splash-background', 'splash_settings[background]', $survey_styles['splash']['background']);?>
			</div>
		</div>

		<div class="control-group splash-group">
			<label class="control-label" for="splash-background-color">Background color</label>
			<div class="controls">
				<input 
				<input type="text" class="span2 colorpicker" value="<?php echo $survey_styles['splash']['background-color']; ?>" id="splash_bg_color" name="splash_settings[background-color]"><br/>
			</div>
		</div>

		<div class="control-group splash-group">
			<div id="splash-image-wrapper" style="max-width: 300px;max-height:300px;margin-left:300px;padding:30px">
				<img id="splash-image-background" style="max-width: 300px;max-height:300px;" src="" />
			</div>
		</div>

	</div>

	<div id="survey_method_settings_chat">
		<div class="control-group delay-group">
			<label class="control-label" for="chat-title">Chat Title</label>
			<div class="controls">
				<input class="span4" id="chat-title" name="chat_settings[title]" type="text" value="<?php echo $survey_styles['chat']['title']; ?>">
			</div>
		</div>	
	</div>

	<div id="survey_method_settings_topbar">
		<div class="control-group">
			<label for="topbar_color" class="control-label">Background Color</label>
		  	<div class="controls">
		  		<input type="text" class="span2 colorpicker" value="<?php echo $survey_styles['top_bar']['color']; ?>" id="topbar_bg_color" name="topbar_settings[color]"><br/>
		  	</div>
		</div>

		<div class="control-group">
		 	<label for="topbar_color" class="control-label">Call to Action</label>
		  	<div class="controls">
			  	<?php 
			  		$args = array(
						'textarea_rows' => 3,
						'textarea_name' => 'topbar_settings[text]',
						'teeny' => true,
						'quicktags' => true,
						'media_buttons' => false
					);
					survsnt_html_editor_wrapper(1, $survey_styles['top_bar']['text'], 'topbar_calltoaction_txt', $args );
				?>
		    <p class="help-block" style="padding: 5px 0;">Use shortcode [display_survey]Click here[/display_survey] for the link to display the survey</p>

			</div>
		</div>
	</div>

	<div id="survey_method_settings_sidebar">
		<div class="control-group">
			<label for="sidebar_image" class="control-label">Call to Action Image</label>
			<div class="controls">
				<?php survsnt_sidebar_image_select( 'sidebar_image', 'sidebar_settings[image]', $survey_styles['sidebar']['image'] ); ?>
				<div id="sidebar_custom_image_div">
					<br/>
					<input type="text" name="sidebar_settings[custom]" id="_sidebar_custom_img_bg" style="width: 400px" value="<?php echo $survey_styles['sidebar']['custom'];?>" />
					<input class="btn survsnt-wp-upload" name="_sidebar_custom_img_bg_button" id="_sidebar_custom_img_bg_button" value="Select" style="width: 50px"/>
				</div>
				<img id="sidebar_custom_img" src="<?php echo survsnt_sidebar_img( $survey_styles['sidebar']['image'], $survey_styles['sidebar']['custom'] );?>" />
			</div>
		</div>
	</div>
	<br/>

	<div id="survey_method_settings_trigger">
		<h4>Trigger settings</h4>

		<div class="control-group">
			<label class="control-label" for="checkboxes">Cookie</label>
			<div class="controls">
	   			<label class="checkbox inline" for="use_cookie">Do not show again until after &nbsp;<input type="checkbox" name="use_cookie" id="use_cookie" value="7" <?php if ( $survey_info ) checked( ( $survey_info->cookie!=0 ) );  else checked( 0 ); ?>></label>
				<div class="input-append">
					<input class="span4" id="cookie-value" name="cookie-value" type="text" value="<?php if ( $survey_info ) echo $survey_info->cookie;  else echo '7'; ?>">
					<span class="add-on">days</span>
				</div>
			</div>
		</div>


		<div class="control-group delay-group">
			<label class="control-label" for="appear-delay">Delay</label>
			<div class="controls">
				<div class="input-append">
					<input class="span4" id="appear-delay" name="appear-delay" type="text" value="<?php echo $survey_info ? $survey_info->delay : '0'; ?>">
					<span class="add-on">secs</span>
				</div>
			</div>
		</div>

		<div class="control-group delay-group">
			<label class="control-label" for="scroll-trigger">Trigger only after page scroll</label>
			<div class="controls">
					<input type="checkbox" id="scroll-trigger" name="scroll_settings[trigger]"  value="1" <?php checked($survey_styles['scroll']['trigger']); ?>>
			</div>
		</div>	

		<div class="control-group delay-group" id="scroll-amount">
			<label class="control-label" for="scroll-percentage">Display when the user has scrolled</label>
			<div class="controls">
				<div class="input-append">
					<input class="span4" id="scroll-percentage" name="scroll_settings[percentage]" type="text" value="<?php echo $survey_styles['scroll']['percentage']; ?>">
					<span class="add-on">%</span>
				</div>
			</div>
		</div>	
	</div>	

	<div id="where_to_show_global">
		<h4>Posts/pages</h4>

		<!-- Multiple Checkboxes -->
		<div class="control-group">
			<label class="control-label" for="checkboxes">Show everywhere</label>
			<div class="controls">
				<label class="checkbox" for="show_everywhere">
					<input type="checkbox" name="show_everywhere" id="show_everywhere" value="1" <?php if ( $survey_info ) checked( $survey_info->show_everywhere );  else checked( 1 ); ?>>
				</label>
			</div>
		</div>

		<div id="where_to_show_rest_options">
			<!-- Select Multiple -->
			<div class="control-group">
				<label class="control-label" for="selectmultiple">Posts</label>
				<div class="controls">
					<?php echo survsnt_post_page_select( 'where_to_show_p', 'where_to_show_p', ( $survey_info ? $survey_info->where_to_show : 0 ) ); ?>
					<p class="help-block">Only display in these posts/pages</p>
				</div>
			</div>

			<!-- Select Multiple -->
			<div class="control-group">
				<label class="control-label" for="selectmultiple">Categories</label>
				<div class="controls">
					<?php echo survsnt_cat_select( 'where_to_show_c', 'where_to_show_c', ( $survey_info ? $survey_info->where_to_show : 0 ) ); ?>
					<p class="help-block">Only display in these categories</p>
				</div>
			</div>

			<?php
				if ( $survey_info )
					$where_show_info = survsnt_where_to_show_sub( $survey_info->where_to_show );
				else
					$where_show_info = array( 0, 0, 0, 0, 0 );
			?>

			<!-- Multiple Checkboxes -->
			<div class="control-group">
				<label class="control-label" for="show_in_home">Show in</label>
				<div class="controls">
					<label class="checkbox" for="show_in_home">
						<input type="checkbox" class="where_to_show_el" name="show_in_home" id="show_in_home" value="1" <?php checked( $where_show_info[2] );?> />
						Home Page
					</label>
					<label class="checkbox" for="show_in_category">
						<input type="checkbox" class="where_to_show_el" name="show_in_category" id="show_in_category" value="1" <?php checked( $where_show_info[3] );?>>
						Category page
					</label>
					<label class="checkbox" for="show_in_archive">
						<input type="checkbox" class="where_to_show_el" name="show_in_archive" id="show_in_archive" value="1" <?php checked( $where_show_info[4] );?>>
						Archive page
					</label>
				</div>
			</div>


		</div>
	</div>
<?php
}


function survsnt_new_survey_tab3 ($survey_id = 0, $survey_info = 0) {
?>
	<h3>Questions</h3>
<div class="btn-toolbar">
	<div class="btn-group">
		<button data-toggle="dropdown" class="btn btn-primary dropdown-toggle" data-loading-text="Adding..."><i class="icon-plus icon-white"></i> Add... <span class="caret"></span></button>
		<ul class="dropdown-menu">
			<!-- <li><a href="#" class="survsnt_add_question"><i class="icon-question-sign"></i> Question:</a></li> -->
			<li><a href="#" class="survsnt_add_question"><i class="icon-check"></i> Multiple choice</a></li>
			<li><a href="#" class="survsnt_add_question_open"><i class="icon-comment"></i> Open question</a></li>
			<!-- <li><a href="#" id="survsnt_add_html"><i class="icon-font"></i> HTML Node</a></li> -->

			<li class="divider"></li>
			<!-- <li><a href="#" id="survsnt_add_html">HTML</a></li> -->
			<li><a href="#" id="survsnt_add_optin"><i class=" icon-envelope"></i> End-point</a></li>
		</ul>
	</div>
	<button id="survsnt_adding_gif" style="border:none;background:transparent;display:none" type="button"><img src="<?php echo SURVSNT_URL.'/img/ajax-loader-small.gif';?>" /></button>
	</div>

	<br/><br/>

	<div class="questions_list">
		<div class="accordion" id="survsnt_questions">

			<?php if ( $survey_info ) survsnt_print_current_questions( $survey_info ); ?>

		</div><!-- /accordion -->
	</div>	 <!-- /questions_list -->
<?php
}

function survsnt_new_survey_tab4 ($survey_id = 0, $survey_info = 0) {
?>
	<h3>Survey Stats</h3>
<?php
	if ($survey_id && $survey_info) {
		$times_shown = $survey_info->times_shown;
		$taken = survsnt_survey_get_total_taken($survey_id);
		$conversions = survsnt_survey_get_total_taken($survey_id, 1);
		if ($times_shown)
			$conversion_rate = round(($conversions * 100) / $times_shown, 2);
		else
			$conversion_rate = 0;
	}
	else {
		$times_shown = 0;
		$taken = 0;
		$conversions = 0;
		$conversion_rate = 0;
	}
?>
	<table class="table" id="survey_stats_table">
		<tr><th>Times shown</th><td><?php echo $times_shown;?></td></tr>
		<tr><th>Started</th><td><?php echo $taken;?></td></tr>
		<tr><th>Conversions</th><td><?php echo $conversions;?></td></tr>
		<tr><th>Conversion Rate</th><td><?php echo $conversion_rate;?>%</td></tr>
	</table>

<div id="chart_div_2" style="width: 800px; height:10px"></div>

<div class="button-bar">
<a href="#" data-survey-id="<?php echo $survey_id;?>" class="btn  export-search-summary-inner"><i class="icon-download "></i> Export summary</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="#" data-survey-id="<?php echo $survey_id;?>" class="btn  export-search-detailed-inner"><i class="icon-download-alt "></i> Export replies</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="#" data-survey-id="<?php echo $survey_id;?>" class="btn btn-warning  clear-survey-stats"><i class="icon-remove icon-white"></i> Clear stats</a>
</div>
<!--
<script type="text/javascript">
      google.load("visualization", "1", {packages:["corechart"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['Times shown', 'Started', 'Conversions'],
          [<?php echo $times_shown;?>,  <?php echo $taken;?>,      <?php echo $conversions;?>],
          // ['Survey 2',  20,      10],
        ]);

        var options = {
          // title: 'Company Performance',
          vAxis: {title: 'Year',  titleTextStyle: {color: 'red'}}
        };

        var chart = new google.visualization.BarChart(document.getElementById('chart_div_2'));
        chart.draw(data, options);
      }
    </script>	
    -->
<?php
}

function survsnt_new_survey_tab5 ($survey_id = 0, $survey_info = 0) {
?>
	<h3>Stats</h3>

<div id="chart_div_1" style="width: 800px; height:400px"></div>

<script type="text/javascript">
      google.load("visualization", "1", {packages:["corechart"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['Survey', 'Views', 'Conversions'],
          ['Survey 1',  30,      10],
          // ['Survey 2',  20,      10],
        ]);

        var options = {
          // title: 'Company Performance',
          vAxis: {title: 'Year',  titleTextStyle: {color: 'red'}}
        };

        var chart = new google.visualization.BarChart(document.getElementById('chart_div_1'));
        chart.draw(data, options);
      }
    </script>

<?php
}

function survsnt_new_survey( $survey_info = 0) {
	$survey_id = ( $survey_info ) ? $survey_info->id : 0;
?>
	<form id="survey_form_<?php echo $survey_id;?>" method="POST">
		<input type="hidden" name="survsnt_export_search" value="1" />
		<input type="hidden" name="survsnt_survey_id" value="<?php echo $survey_id;?>" />
	 	<input type="hidden" class="survsnt_export_search_summary" name="survsnt_export_search_summary" value="0" />
	 	<input type="hidden" class="survsnt_export_search_detailed" name="survsnt_export_search_detailed" value="0" />		
	</form>
	<input type="hidden" id="survsnt_survey_id" value="<?php echo $survey_id;?>" />
	<div class="span12" id="content1" >
		<?php
			if ($survey_id)
				$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'Edit Survey', 'url' => '#'), array('text' => $survey_info->name, 'url' => ''));
			else
				$links = array(array('text' => 'Survey Snatcher', 'url' => admin_url( '/admin.php?page=survey-snatcher' )), array('text' => 'New Survey', 'url' => ''));
			survsnt_print_breadcrumbs($links);
		?>

		<div class="row-fluid">
			<!-- block -->
			<div class="block">
				<div class="navbar navbar-inner block-header">
					<div class="muted pull-left">Survey Settings</div>
				</div>
				<div class="block-content collapse in">
					<form method="POST" action="" id="survey_form" class="form-horizontal">

						<div class="tabbable">
							<ul class="nav nav-tabs" id="survsnt-tabs">
								<li class="active" id="survsnt-tab1"><a  href="#tab1" data-toggle="tab"><i class="icon-home icon-blue"></i> General Settings</a></li>
								<li id="survsnt-tab2"><a  href="#tab2" data-toggle="tab"><i class="icon-adjust icon-blue"></i> Display Options</a></li>
								<li id="survsnt-tab4"><a  href="#tab4" data-toggle="tab"><i class="icon-asterisk icon-blue"></i> Stats</a></li>
								<li id="survsnt-tab3"><a  href="#tab3" data-toggle="tab"><i class="icon-question-sign icon-blue"></i> Questions</a></li>
								<!-- <li id="survsnt-tab5"><a  href="#tab5" data-toggle="tab"><i class="icon-align-left icon-blue"></i> Stats</a></li> -->
								<li style="float:right">
									<button class="btn btn-success save-survey" type="button" id="save-survey"><i class="icon-ok icon-white"></i> Save Survey</button>
								</li>
							</ul>
						</div>


						<div class="tab-content" >
							<div id="tab1" class="tab-pane active">
								<?php survsnt_new_survey_tab1 ($survey_id, $survey_info); ?>
							</div> <!-- tab1 -->

							<div id="tab2" class="tab-pane">
								<?php survsnt_new_survey_tab2 ($survey_id, $survey_info); ?>
							</div> <!-- tab2 -->


							<div id="tab3" class="tab-pane" style="min-height:250px">
								<?php survsnt_new_survey_tab3 ($survey_id, $survey_info); ?>
							</div> <!-- tab3 -->


							<div id="tab4" class="tab-pane">
								<?php survsnt_new_survey_tab4 ($survey_id, $survey_info); ?>
							</div>  

						</div> <!-- tab-content -->

						<!-- <input type="button" value="Save Survey" class="btn btn-primary save-survey" style="float:right" /><br/><br/> -->
						<button class="btn btn-success save-survey" type="button" id="save-survey" style="float:right" ><i class="icon-ok icon-white"></i> Save Survey</button>
						<?php if ( $survey_info ) { ?>
							<input type="hidden" value="<?php echo $survey_info->id; ?>" name="survsnt_update_survey" />
						<?php } ?>
						<input type="hidden" value="1" name="survsnt_save_survey" />
					</form>
               	</div>
           	</div>
       	</div>
	</div>
<?php
}

function survsnt_print_current_questions( $survey ) {
	$questions = survsnt_get_survey_questions( $survey->id );
	if ( !$questions ) return;
	$i= 1;
	foreach ( $questions as $question ) {
		if ( $question->type == SURVSNT_QUESTION_TYPE_MULTIPLE )
			survsnt_print_question( $survey->id, $question, $i++, $survey );
		else if ( $question->type == SURVSNT_QUESTION_TYPE_OPEN )
			survsnt_print_open_question( $survey->id, $question, $i++, $survey );
		// else if ( $question->type == SURVSNT_QUESTION_TYPE_HTML )
		// 	survsnt_print_html_block( $survey->id, $question, $i++, $survey );
		else if ( $question->type == SURVSNT_QUESTION_TYPE_ENDPOINT )
			survsnt_print_optin_form( $survey->id, $question, $i++, $survey );
		else
			continue;
	}
}


function survsnt_print_question( $survey_id, $question, $num, $survey, $total_questions=0 ) {
	if ($question) {
		$answers = survsnt_get_question_answers( $question->id );
		$question_styles = survsnt_get_question_styles( $question ); 
		$new_el = 'old';
		$editor_type = 1;
	}
	else {
		// new question, for Ajax
		$question = new stdClass;
		$question->id = $total_questions.'_n';
		$question->title = '';
		$question->text = '';
		$question->content = '';
		$question->next_question = 0;
		$question->type = SURVSNT_QUESTION_TYPE_MULTIPLE;
		$question_styles = survsnt_get_question_styles( 0 ); 
		$new_el = 'new';
		$answers = 0;
		$editor_type = 0;

	}
	$question_styles = $question_styles['questions_design'];
?>
	<!-- Question -->
	<div class="accordion-group survsnt_question_el <?php echo $new_el;?>" id="question_<?php echo $question->id;?>">
		<input type="hidden" class="question_type" value="<?php echo $question->type;?>" />
		<input type="hidden" class="question_id" value="<?php echo $question->id;?>" />
		<input type="hidden" class="delete_question" value="0" />

		<div class="accordion-heading survsnt_question">

			<a class="accordion-toggle" data-toggle="collapse" href="#question_content_<?php echo $question->id;?>"><i class="icon-check icon-blue"></i> <span class="question_number"> <?php echo $num;?></span>. <?php echo stripslashes($question->title); ?></a>
			<div class="dropdown edit">
				<!-- <a href="#" class="survsnt_add_answer" data-question-id="<?php echo $question->id;?>"><i class="icon-plus"></i></a>  -->
				<a data-toggle="collapse" href="#question_content_<?php echo $question->id;?>" href="#"><i class=" icon-chevron-down"></i></a>
				<!-- <a href="#" class="handle"><i class="icon-resize-vertical"></i></a> -->
				<a href="#" class="survsnt_delete_question" data-question-id="<?php echo $question->id;?>"><i class="icon-remove icon-red"></i></a>
			</div>
		</div>
		<!-- /Question -->
		<div id="question_content_<?php echo $question->id;?>" class="accordion-body collapse question_content">
			<div class="accordion-inner">
				<div class="accordion" id="answer_list_<?php echo $num;?>">
					<div class="form-horizontal">
						<div class="control-group">
							<label class="control-label" for="inputEmail">Title</label>
							<div class="controls">
								<input type="text"placeholder="Question Title - For Internal Purposes" class="input-xxlarge question_title" value="<?php echo htmlentities(stripslashes($question->title)); ?>">
							</div>
						</div>
						<div class="control-group">
							<label class="control-label" for="inputEmail">Question Text</label>
							<div class="controls">
								<input type="text"placeholder="Enter the Question Text" class="input-xxlarge question_text_input" value="<?php echo htmlentities(stripslashes($question->text)); ?>">
							</div>
						</div>
						<div class="control-group">
							<label class="control-label" for="inputEmail">Next Question</label>
							<div class="controls">
								<label> <?php survsnt_next_question_select( $survey_id, $question->next_question );?></label>
							</div>
						</div>						
					</div>
					<h5>Preview:</h5>
							<div class="survsnt_html_editor_layer">
								<div style="float:left;width: 580px">
									<div class="survey_design_preview" style="height: <?php if ($question_styles['general_design']['height'] == 'auto') echo 'auto'; echo intval($question_styles['general_design']['height']); ?>px;width: <?php echo intval($question_styles['general_design']['width']); ?>px;-moz-box-sizing:border-box;box-sizing: border-box;
									background-repeat:<?php echo ($question_styles['general_design']['bg_repeat'] == '1' ? 'repeat' : 'no-repeat');?>;background-image:url(<?php echo $question_styles['general_design']['bg_image'];?>)">
										<span><?php echo stripslashes($question->content);?></span>
										<span class="question_title_preview"><?php echo stripslashes($question->text); ?></span>
											<?php 

												// $answers = survsnt_get_question_answers( $question->id );
												if ($answers) { ?>
													<ul class="survsnt_question_list_preview">
												<?php
												foreach ( $answers as $answer ) {
												?>
													<li><input type="radio" value="1" name="survey_answer_preview"> <label for=""><?php echo stripslashes($answer->text);?></label></li>
												<?php } ?>
			 									</ul>
												<?php } ?>

			 							<?php if (empty($question_styles['submit_btn_design']['bg_image'])) { $vis1 = 'block'; $vis2 = 'none';} else { $vis1 = 'none'; $vis2 = 'block'; } ?>
										<input class="submit_button_preview" type="button" value="Next" style="display:<?php echo $vis1; ?>" />
										<div class="submit_button_preview submit_button_preview_image_el" style="display:<?php echo $vis2; ?>"><img src="<?php echo $question_styles['submit_btn_design']['bg_image'];?>" class="submit_button_preview_img" /></div>

										<div style="clear:both"></div>
									</div>
								</div>

								<div style="float:right;" class="settings_div">
									<h4 style="text-align:center;margin-top:-30px">Design</h4>
									<div class="accordion" id="accordion1s_<?php echo $question->id;?>" style="width: 290px">
										<!-- General Design -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseOne_<?php echo $question->id;?>">
													<i class="icon-text-height"></i> Body
												</a>
											</div>
											<div id="collapseOne_<?php echo $question->id;?>" class="accordion-body collapse in">
												<div class="accordion-inner">
													Width: <div class="slider-box-width" style="width: 96px;display:inline-block;margin-top:5px;margin-right:15px; margin-left:15px"></div>
													<input class="span2 input-box-width" style="display:inline-block;margin-right:15px" name="box_width" value="<?php echo intval($question_styles['general_design']['width']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_width_auto" <?php checked( $question_styles['general_design']['width'], 'auto' );?>/> Adjust width to content</label>
													Height: <div class="slider-box-height" style="width: 96px;display:inline-block;margin-top:5px;margin-right:12px; margin-left:15px"></div>
													<input class="span2 input-box-height" style="display:inline-block;margin-right:12px" name="box_height" value="<?php echo intval($question_styles['general_design']['height']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_height_auto" <?php checked( $question_styles['general_design']['height'], 'auto' );?>/> Adjust height to content</label>
													<label>Background Image</label>
													<?php survsnt_background_select('','',$question_styles['general_design']['bg_image_pre']); ?>
													<input type="text" class="questions_preview_bg" id="_questions_preview_bg_<?php echo $question->id;?>" style="width: 110px" value="<?php echo $question_styles['general_design']['bg_image']; ?>" />
													<input class="btn survsnt-wp-upload" name="_questions_preview_bg_button" id="_questions_preview_bg_<?php echo $question->id;?>_button" value="Select" style="width: 60px"/>
													<button type="button" class="btn btn-danger btn-small question_preview_bg_remove" ><i class="icon-remove icon-white"></i></button>
 													<label style="margin-top:2px">Background Color
													<input type="text" class="span3 colorpicker general_preview_el box_bg_color" value="<?php echo $question_styles['general_design']['bg_color']; ?>"><br/></label>
 													<label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label>
													<label>Internal Margin</label>
													<table class="margin_table">
														<tr><td>Top</td><td><input  type="text" class="spinner general_design_spinner general_design_top_margin" value="<?php echo $question_styles['general_design']['margin_top']; ?>" style="width:40px;"></td>
															<td>Bottom</td><td><input type="text" class="spinner general_design_spinner general_design_bottom_margin" value="<?php echo $question_styles['general_design']['margin_bottom']; ?>" style="width:40px"></td>
														</tr>
														<tr><td>Left</td><td><input  type="text" class="spinner general_design_spinner general_design_left_margin" value="<?php echo $question_styles['general_design']['margin_left']; ?>" style="width:40px;"></td>
															<td>Right</td><td><input type="text"  class="spinner general_design_spinner general_design_right_margin" value="<?php echo $question_styles['general_design']['margin_right']; ?>" style="width:40px"></td>
														</tr>														
													</table>
												</div>
											</div>
										</div>

										<!-- Question -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseTwo_<?php echo $question->id;?>">
													<i class="icon-question-sign"></i> Question
												</a>
											</div>
											<div id="collapseTwo_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Font Family</label>
														<?php survsnt_font_family_select('', '', $question_styles['question_design']['font_family'], 'question_font_family_select title_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner title_preview_el title_spinner question_size_select" value="<?php echo $question_styles['question_design']['font_size']; ?>"  name="title_preview_style[font_size]"> <br/>
														<label>Color</label>
														<input type="text" class="span3 colorpicker title_preview_el question_color_select" value="<?php echo $question_styles['question_design']['font_color']; ?>" name="title_preview_style[font_color]"><br/>
														<label>Align</label>
														<?php survsnt_text_align_select('','', $question_styles['question_design']['text_align'], 'question_text_align title_preview_el');?>
														<label>Margins</label>
													<table class="margin_table">
														<tr><td>Top</td><td><input   type="text" class="spinner title_preview_el title_spinner question_design_top_margin" value="<?php echo $question_styles['question_design']['margin_top']; ?>" style="width:40px;"></td>
															<td>Bottom</td><td><input   type="text" class="spinner title_preview_el title_spinner question_design_bottom_margin" value="<?php echo $question_styles['question_design']['margin_bottom']; ?>" style="width:40px"></td>
														</tr>
														<tr><td>Left</td><td><input type="text" class="spinner title_preview_el title_spinner question_design_left_margin" value="<?php echo $question_styles['question_design']['margin_left']; ?>" style="width:40px;"></td>
															<td>Right</td><td><input type="text"  class="spinner title_preview_el title_spinner question_design_right_margin" value="<?php echo $question_styles['question_design']['margin_right']; ?>" style="width:40px"></td>
														</tr>														
													</table>

													</div> <!-- well -->
												</div>
											</div>
										</div>

										<!-- Answers -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseThree_<?php echo $question->id;?>">
													<i class="icon-check"></i> Choices
												</a>
											</div>
											<div id="collapseThree_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Font Family</label>
														<?php survsnt_font_family_select( '', '', $question_styles['answer_design']['font_family'], 'answer_font_family_select answer_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner answer_preview_el answer_spinner answer_size_select" value="<?php echo $question_styles['answer_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

														<label>Color</label>
														<input type="text" class="span3 colorpicker answer_preview_el answer_color_select" value="<?php echo $question_styles['answer_design']['font_color']; ?>"  name="answer_preview_style[font_color]"><br/>

														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input  type="text" class="spinner answer_preview_margin answer_spinner answer_design_top_margin" value="<?php echo $question_styles['answer_design']['margin_top']; ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input  type="text" class="spinner answer_preview_margin answer_spinner answer_design_bottom_margin" value="<?php echo $question_styles['answer_design']['margin_bottom']; ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input type="text" class="spinner answer_preview_margin answer_spinner answer_design_left_margin" value="<?php echo $question_styles['answer_design']['margin_left']; ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text"  class="spinner answer_preview_margin answer_spinner answer_design_right_margin" value="<?php echo $question_styles['answer_design']['margin_right']; ?>" style="width:40px"></td>
															</tr>														
														</table>														
													</div> <!-- well -->
												</div>
											</div>
										</div>

										<!-- Submit Button -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseFour_<?php echo $question->id;?>">
												<i class="icon-folder-close"></i>  Submit button
												</a>
											</div>
											<div id="collapseFour_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Text</label>
														<input type="text" class="submit_btn_preview_el submit_btn_txt_select" value="<?php echo $question_styles['submit_btn_design']['text']; ?>" >
														<label>Font Family</label>
														<?php survsnt_font_family_select( '', '', $question_styles['submit_btn_design']['font_family'], 'submit_btn_font_family_select submit_btn_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_size_select " value="<?php echo $question_styles['submit_btn_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

														<label>Align</label>
														<select name="" class="submit_btn_align_select submit_btn_preview_el"><option value="left">Left</option><option value="right" <?php selected( $question_styles['submit_btn_design']['align'], 'right' );?>>Right</option></select>
														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_top_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_top']); ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_bottom_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_bottom']); ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_left_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_left']); ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_right_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_right']); ?>" style="width:40px"></td>
															</tr>														
														</table>	

														<label> Background Image </label>
														<?php survsnt_submit_next_background_select(1, '','',$question_styles['submit_btn_design']['bg_image_pre']); ?>
														<input type="text" class="submit_btn_bg" id="_submitbutton_bg_<?php echo $question->id;?>" style="width: 100px" value="<?php echo $question_styles['submit_btn_design']['bg_image']; ?>" />
														<input class="btn survsnt-wp-upload" name="_submitbutton_bg_button" id="_submitbutton_bg_<?php echo $question->id;?>_button" value="Select" style="width: 32px"/>
														<button type="button" class="btn btn-danger btn-small question_submit_bg_remove"><i class="icon-remove icon-white"></i></button>													
													</div> <!-- well -->
												</div>
											</div>
										</div>
									</div> <!-- accordion -->
								</div> <!-- float: right -->
								<div style="clear:both"></div>
							</div>
					 	<br/>

					<div class="control-group">
					 	<label for="topbar_color" class="control-label">Introductory Text</label>
					  	<div class="controls">
						  	<?php 
						  		$args = array(
									'textarea_rows' => 5,
									'editor_class' => 'survsnt_html_content survsnt_html_content_for_update',
									'textarea_name' => '',
									'teeny' => false,
									'quicktags' => true,
									'media_buttons' => true
								);
								survsnt_html_editor_wrapper($editor_type, $question->content, 'introduction_txt_'.$question->id, $args );
							?>
					    <p class="help-block" style="padding: 5px 0;">This content will only be visible in the preview once you've saved the survey</p>

						</div>
					</div>

					<!-- <div class="btn-group"> -->
						<button class="btn  survsnt_add_answer btn-small" data-question-id="<?php echo $question->id;?>"><i class="icon-plus"></i> Add Choice </button>
<!-- 						<button class="btn dropdown-toggle btn-small" data-toggle="dropdown">
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu">
							<li><a href="#" class="survsnt_add_answer" data-question-id="<?php echo $question->id;?>"><i class="icon-italic"></i> Text</a></li>
							<li><a href="#"><i class="icon-picture"></i> Image</a></li>
						</ul>
					</div>
 -->
					<h5>Choices:</h5>
					<div class="answers" id="answers_<?php echo $question->id;?>" data-question-num = "<?php echo $num;?>" data-question-id = "<?php echo $question->id;?>">
						<!-- Answers -->
						<?php if ( $answers ) { ?>
							<?php $j=1; foreach ( $answers as $answer ) { 
								survsnt_print_answer($answer, $question, $survey_id, $survey, $j);
								?>
							<?php $j++; } ?>
						<?php } ?>
					</div>	 <!-- /Answers -->
				</div>
			</div>
		</div>
	</div>
<?php
}


function survsnt_print_answer($answer, $question, $survey_id, $survey, $num_a, $total_answers = 0) {
	if ($answer) {
		$new_el = 'old';
	}
	else {
		// new answer, for Ajax
		$answer = new stdClass;
		$answer->id = $total_answers.'_n';
		$answer->title = '';
		$answer->text = '';
		$answer->content = '';
		$answer->next_question = 0;
		$answer->ar_list = 0;
		$answer->ar_tag = '';
		$answer->tag_value = '';
		$answer->webinar = 0;
		$new_el = 'new';
		$answers = 0;
	}

	if ($question) {
	}
	else {
		// new question, for Ajax
		$question = new stdClass;
		$question->id = 'q_n';
		$question->title = '';
		$question->text = '';
		$question->content = '';
		$question->next_question = 0;
		$new_el = 'new';
		$answers = 0;
	}

	if ($survey) {
		$survey->autoresponder = isset($_POST['autoresponder_type']) ? $_POST['autoresponder_type'] : $survey->autoresponder;
		$survey->webinar = isset($_POST['webinar_type']) ? $_POST['webinar_type'] : $survey->webinar;
	}
	else {
		// new question, for Ajax
		$survey = new stdClass;
		$survey->autoresponder = isset($_POST['autoresponder_type']) ? $_POST['autoresponder_type'] : 1;
		$survey->webinar = isset($_POST['webinar_type']) ? $_POST['webinar_type'] : 1;
	}

// var_dump($survey);
?>

		<!-- Answer -->
		<div class="accordion-group survsnt_answer_el <?php echo $new_el;?>" id="answer_<?php echo $answer->id;?>">
			<div class="accordion-heading survsnt_answer">
				<a class="accordion-toggle" data-toggle="collapse" data-parent="#answer_list_<?php echo $question->id;?>" href="#answer-content<?php echo $answer->id;?>-<?php echo $num_a;?>">
					<i class="icon-ok-circle icon-blue"> </i> <span class="num_answer"><?php echo $num_a;?></span>. <?php echo htmlentities(stripslashes($answer->text)); ?>
				</a>
				<div class="dropdown edit">
					<a data-toggle="collapse" href="#answer-content<?php echo $answer->id;?>-<?php echo $num_a;?>" href="#"><i class=" icon-chevron-down"></i></a>
					<a href="#" class="handle"><i class="icon-resize-vertical"></i></a>
					<a href="#" class="survsnt_delete_answer"data-answer-id="<?php echo $answer->id;?>"><i class="icon-remove icon-red"></i></a>
				</div>
			</div>
			<div id="answer-content<?php echo $answer->id;?>-<?php echo $num_a;?>" class="accordion-body collapse">
				<div class="accordion-inner">
					<div class="answer old" id="answer_<?php echo $answer->id;?>">
						<input type="hidden" class="answer_id" value="<?php echo $answer->id;?>" />
						<input type="hidden" class="delete_answer" value="0" />
						<div class="form-inline">
							<div class="control-group">
								<label class="control-label" for="inputEmail">Answer Text</label>
								<div class="controls">
									<input type="text" placeholder="Enter the Answer Text" class="answer_text_input" value="<?php echo htmlentities(stripslashes($answer->text)); ?>">
									<label>Next Question <?php survsnt_next_question_select( $survey_id, $answer->next_question );?></label>
								</div>
							</div>

							<!-- Ver cómo hacemos para que usen un texto para la respuesta, o HTML (ojo a párrafos, etc) -->
						</div>
						<div class="survsnt_advanced">

						<div class="accordion" id="accordion_adv_<?php echo $answer->id;?>">
						  <div class="accordion-group">
						    <div class="accordion-heading">
						      <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion_adv_<?php echo $answer->id;?>" href="#collapseOne_adv_<?php echo $answer->id;?>">
						        Advanced list segmentation metadata
						      </a>
				<div class="dropdown edit">
					<a data-toggle="collapse" href="#collapseOne_adv_<?php echo $answer->id;?>" ><i class=" icon-chevron-down"></i></a>
					</div>											      
						    </div>
							<div id="collapseOne_adv_<?php echo $answer->id;?>" class="accordion-body collapse">
							      <div class="accordion-inner">    											
							<div class="form-inline">
								<label <?php if ( $survey->autoresponder == 6 ) echo 'style="display:none"';?> class="ar_label"> Autoresponder list <?php survsnt_mailing_lists_select( $survey->autoresponder, '', '', $answer->ar_list ); ?></label>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>Webinar <?php survsnt_webinar_gtw_webinars_select( $survey->webinar, '', '', $answer->webinar );?></label>
								<label <?php if ( $survey->autoresponder == 6 ) echo 'style="display:none"';?> class="artag_label">Autoresponder tag <input type="text" class="input-large ar_tag" value="<?php echo $answer->ar_tag;?>" /> <?php /*survsnt_mailing_tags_select( $survey->autoresponder, '', '', $answer->ar_tag, $answer->ar_list );*/ ?></label>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label <?php if ( $survey->autoresponder == 6 ) echo 'style="display:none"';?> class="artagvalue_label"> Tag value <input type="text" class="input-large tag_value" value="<?php echo $answer->tag_value;?>" /></label>
							</div>
						</div>

						</div>
						</div>
						</div>
						</div>

					</div>
				</div> <!-- accordion-inner -->
			</div>
		</div>	<!-- /survsnt_answer_el -->
<?php
}


function survsnt_print_open_question( $survey_id, $question, $num, $survey, $total_questions = 0 ) {
	// $question_styles = survsnt_get_question_styles( $question ); 

	if ($question) {
		 $answers = survsnt_get_question_answers( $question->id );
		$question_styles = survsnt_get_question_styles( $question ); 
		$new_el = 'old';
		$editor_type = 1;
	}
	else {
		// new question, for Ajax
		$question = new stdClass;
		$question->id = $total_questions.'_n';
		$question->title = '';
		$question->text = '';
		$question->content = '';
		$question->next_question = 0;
		$question->type = SURVSNT_QUESTION_TYPE_OPEN;
		$question_styles = survsnt_get_question_styles( 0 ); 
		$new_el = 'new';
		$answers = 0;
		$editor_type = 0;
	}

	$question_styles = $question_styles['open_q_design'];

?>
	<!-- Question -->
	<div class="accordion-group survsnt_question_el <?php echo $new_el;?>" id="question_<?php echo $question->id;?>">
		<input type="hidden" class="question_type" value="<?php echo $question->type;?>" />
		<input type="hidden" class="question_id" value="<?php echo $question->id;?>" />
		<input type="hidden" class="delete_question" value="0" />

		<div class="accordion-heading survsnt_question">

			<a class="accordion-toggle" data-toggle="collapse" href="#question_content_<?php echo $question->id;?>"><i class="icon-comment icon-blue"></i> <span class="question_number"> <?php echo $num;?></span>. <?php echo stripslashes($question->title); ?></a>
			<div class="dropdown edit">
				<!-- <a href="#" class="survsnt_add_answer" data-question-id="<?php echo $question->id;?>"><i class="icon-plus"></i></a>  -->
				<a data-toggle="collapse" href="#question_content_<?php echo $question->id;?>" href="#"><i class=" icon-chevron-down"></i></a>
				<!-- <a href="#" class="handle"><i class="icon-resize-vertical"></i></a> -->
				<a href="#" class="survsnt_delete_question" data-question-id="<?php echo $question->id;?>"><i class="icon-remove icon-red"></i></a>
			</div>
		</div>
		<!-- /Question -->
		<div id="question_content_<?php echo $question->id;?>" class="accordion-body collapse question_content">
			<div class="accordion-inner">
				<div class="accordion" id="answer_list_<?php echo $num;?>">
					<div class="form-horizontal">

						<div class="control-group">
							<label class="control-label" for="">Title</label>
							<div class="controls">
								<input type="text"placeholder="Question Title - For Internal Purposes" class="input-xxlarge question_title" value="<?php echo htmlentities(stripslashes($question->title)); ?>">
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="inputEmail">Question Text</label>
							<div class="controls">
								<input type="text"placeholder="Enter the Question Text" class="input-xxlarge question_text_input" value="<?php echo htmlentities(stripslashes($question->text)); ?>">
							</div>
						</div>

					<div class="control-group">
						<label class="control-label" for="">Next Question</label>
						<div class="controls">
							<label> <?php survsnt_next_question_select( $survey_id, $question->next_question );?></label>
						</div>
					</div>						
					</div>
					<!-- begin design -->
					<h5>Preview:</h5>

							<div class="survsnt_html_editor_layer">
								<div style="float:left;width: 580px">
									<div class="survey_design_preview" style="height: <?php if ($question_styles['general_design']['height'] == 'auto') echo 'auto'; echo intval($question_styles['general_design']['height']); ?>px;width: <?php echo intval($question_styles['general_design']['width']); ?>px;-moz-box-sizing:border-box;box-sizing: border-box;
									background-repeat:<?php echo ($question_styles['general_design']['bg_repeat'] == '1' ? 'repeat' : 'no-repeat');?>;background-image:url(<?php echo $question_styles['general_design']['bg_image'];?>)">
										<div class="survsnt_html_content_preview"><?php echo stripslashes($question->content);?></div>
										<span class="question_title_preview"><?php echo stripslashes($question->text); ?></span>
										<div class="survsnt_html_question_inner">
											<textarea name="open_question_val" class="open_question_val" style="width: <?php echo intval($question_styles['reply_box']['width']); ?>px;height: <?php echo intval($question_styles['reply_box']['height']); ?>px"></textarea>
										</div>
			 							<?php if (empty($question_styles['submit_btn_design']['bg_image'])) { $vis1 = 'block'; $vis2 = 'none';} else { $vis1 = 'none'; $vis2 = 'block'; } ?>
										<input class="submit_button_preview" type="button" value="Next" style="display:<?php echo $vis1; ?>" />
										<div class="submit_button_preview submit_button_preview_image_el" style="display:<?php echo $vis2; ?>"><img src="<?php echo $question_styles['submit_btn_design']['bg_image'];?>" class="submit_button_preview_img" /></div>
										<div style="clear:both"></div>
									</div>
								</div>

								<div style="float:right;" class="settings_div">
									<h4 style="text-align:center;margin-top:-30px">Design</h4>

									<div class="accordion" id="accordion1s_<?php echo $question->id;?>" style="width: 290px">
										<!-- General Design -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseOne_<?php echo $question->id;?>">
													<i class="icon-text-height"></i> Body
												</a>
											</div>
											<div id="collapseOne_<?php echo $question->id;?>" class="accordion-body collapse in">
												<div class="accordion-inner">
													Width: <div class="slider-box-width" style="width: 96px;display:inline-block;margin-top:5px;margin-right:15px; margin-left:15px"></div>
													<input class="span2 input-box-width" style="display:inline-block;margin-right:15px" name="box_width" value="<?php echo intval($question_styles['general_design']['width']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_width_auto" <?php checked( $question_styles['general_design']['width'], 'auto' );?>/> Adjust width to content</label>
													Height: <div class="slider-box-height" style="width: 96px;display:inline-block;margin-top:5px;margin-right:12px; margin-left:15px"></div>
													<input class="span2 input-box-height" style="display:inline-block;margin-right:12px" name="box_height" value="<?php echo intval($question_styles['general_design']['height']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_height_auto" <?php checked( $question_styles['general_design']['height'], 'auto' );?>/> Adjust height to content</label>
													<label>Background Image</label>
													<?php survsnt_background_select('','',$question_styles['general_design']['bg_image_pre']); ?>
													<input type="text" class="questions_preview_bg" id="_questions_preview_bg_<?php echo $question->id;?>" style="width: 110px" value="<?php echo $question_styles['general_design']['bg_image']; ?>" />
													<input class="btn survsnt-wp-upload" name="_questions_preview_bg_button" id="_questions_preview_bg_<?php echo $question->id;?>_button" value="Select" style="width: 60px"/>
													<button type="button" class="btn btn-danger btn-small question_preview_bg_remove" ><i class="icon-remove icon-white"></i></button>
													<label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label>
 													<label style="margin-top:2px">Background Color
													<input type="text" class="span3 colorpicker general_preview_el box_bg_color" value="<?php echo $question_styles['general_design']['bg_color']; ?>"><br/></label>
 													<!-- <label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label> -->
													
													<label>Internal Margin</label>
													<table class="margin_table">
														<tr><td>Top</td><td><input  type="text" class="spinner general_design_spinner general_design_top_margin" value="<?php echo $question_styles['general_design']['margin_top']; ?>" style="width:40px;"></td>
															<td>Bottom</td><td><input type="text" class="spinner general_design_spinner general_design_bottom_margin" value="<?php echo $question_styles['general_design']['margin_bottom']; ?>" style="width:40px"></td>
														</tr>
														<tr><td>Left</td><td><input  type="text" class="spinner general_design_spinner general_design_left_margin" value="<?php echo $question_styles['general_design']['margin_left']; ?>" style="width:40px;"></td>
															<td>Right</td><td><input type="text"  class="spinner general_design_spinner general_design_right_margin" value="<?php echo $question_styles['general_design']['margin_right']; ?>" style="width:40px"></td>
														</tr>														
													</table>													
												</div>
											</div>
										</div>

										<!-- Question -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseTwo_<?php echo $question->id;?>">
													<i class="icon-question-sign"></i> Question
												</a>
											</div>
											<div id="collapseTwo_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Font Family</label>
														<?php survsnt_font_family_select('', '', $question_styles['question_design']['font_family'], 'question_font_family_select title_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner title_preview_el title_spinner question_size_select" value="<?php echo $question_styles['question_design']['font_size']; ?>"  name="title_preview_style[font_size]"> <br/>

														<label>Color</label>
														<input type="text" class="span3 colorpicker title_preview_el question_color_select" value="<?php echo $question_styles['question_design']['font_color']; ?>" name="title_preview_style[font_color]"><br/>
														<label>Align</label>
														<?php survsnt_text_align_select('','', $question_styles['question_design']['text_align'], 'question_text_align title_preview_el');?>
														<label>Margins</label>
													<table class="margin_table">
														<tr><td>Top</td><td><input   type="text" class="spinner title_preview_el title_spinner question_design_top_margin" value="<?php echo $question_styles['question_design']['margin_top']; ?>" style="width:40px;"></td>
															<td>Bottom</td><td><input   type="text" class="spinner title_preview_el title_spinner question_design_bottom_margin" value="<?php echo $question_styles['question_design']['margin_bottom']; ?>" style="width:40px"></td>
														</tr>
														<tr><td>Left</td><td><input type="text" class="spinner title_preview_el title_spinner question_design_left_margin" value="<?php echo $question_styles['question_design']['margin_left']; ?>" style="width:40px;"></td>
															<td>Right</td><td><input type="text"  class="spinner title_preview_el title_spinner question_design_right_margin" value="<?php echo $question_styles['question_design']['margin_right']; ?>" style="width:40px"></td>
														</tr>														
													</table>	

													</div> <!-- well -->
												</div>
											</div>
										</div>

										<!-- Reply box --> 
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseThree_<?php echo $question->id;?>">
													<i class="icon-stop"></i> Reply Box
												</a>
											</div>
											<div id="collapseThree_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													Width: <div class="slider-reply-box-width" style="width: 96px;display:inline-block;margin-top:5px;margin-right:15px; margin-left:15px"></div>
													<input class="span2 reply-box-width" style="display:inline-block;margin-right:15px" name="box_width" value="<?php echo intval($question_styles['reply_box']['width']); ?>"/>  px.<div style="clear:both"></div>
													Height: <div class="slider-reply-box-height" style="width: 96px;display:inline-block;margin-top:5px;margin-right:12px; margin-left:15px"></div>
													<input class="span2 reply-box-height" style="display:inline-block;margin-right:12px" name="box_height" value="<?php echo intval($question_styles['reply_box']['height']); ?>"/>  px.<div style="clear:both"></div>
												</div>
											</div>
										</div>

										<!-- Submit Button -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseFour_<?php echo $question->id;?>">
												<i class="icon-folder-close"></i>  Submit button
												</a>
											</div>
											<div id="collapseFour_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Text</label>
														<input type="text" class="submit_btn_preview_el submit_btn_txt_select" value="<?php echo $question_styles['submit_btn_design']['text']; ?>" >
														<label>Font Family</label>
														<?php survsnt_font_family_select( '', '', $question_styles['submit_btn_design']['font_family'], 'submit_btn_font_family_select submit_btn_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_size_select " value="<?php echo $question_styles['submit_btn_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

														<label>Align</label>
														<select name="" class="submit_btn_align_select submit_btn_preview_el"><option value="left">Left</option><option value="right" <?php selected( $question_styles['submit_btn_design']['align'], 'right' );?>>Right</option></select>
														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_top_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_top']); ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_bottom_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_bottom']); ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_left_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_left']); ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_right_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_right']); ?>" style="width:40px"></td>
															</tr>														
														</table>	
														<label> Background Image </label>
														<?php survsnt_submit_next_background_select(1, '','',$question_styles['submit_btn_design']['bg_image_pre']); ?>
														<input type="text" class="submit_btn_bg" id="_submitbutton_bg_<?php echo $question->id;?>" style="width: 100px" value="<?php echo $question_styles['submit_btn_design']['bg_image']; ?>" />
														<input class="btn survsnt-wp-upload" name="_submitbutton_bg_button" id="_submitbutton_bg_<?php echo $question->id;?>_button" value="Select" style="width: 32px"/>
														<button type="button" class="btn btn-danger btn-small question_submit_bg_remove"><i class="icon-remove icon-white"></i></button>
													</div> <!-- well -->
												</div>
											</div>
										</div>
									</div> <!-- accordion -->
								</div> <!-- float: right -->
								<div style="clear:both"></div>
							</div>

<!-- end design -->
<br/><br/>
					<div class="control-group">
					 	<label for="topbar_color" class="control-label">Introductory Text</label>
					  	<div class="controls">
						  	<?php 
						  		$args = array(
									'textarea_rows' => 5,
									'editor_class' => 'survsnt_html_content',
									'textarea_name' => '',
									'teeny' => false,
									'quicktags' => true,
									'media_buttons' => true
								);
								survsnt_html_editor_wrapper($editor_type, $question->content, 'introduction_txt_'.$question->id, $args );
							?>
					    <p class="help-block" style="padding: 5px 0;">This content will only be visible in the preview once you've saved the survey</p>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php
}


function survsnt_print_optin_form( $survey_id, $question, $num, $survey, $total_questions = 0 ) {
	// $question_styles = survsnt_get_question_styles( $question ); 
 // var_dump($question);
	if ($question) {
		$answers = survsnt_get_question_answers( $question->id );
		$question_styles = survsnt_get_question_styles( $question ); 
		$new_el = 'old';
		$editor_type = 1;
	}
	else {
		// new question, for Ajax
		$question = new stdClass;
		$question->id = $total_questions.'_n';
		$question->title = '';
		$question->text = '';
		$question->content = '';
		$question->redirect_url = '';
		$question->next_question = 0;
		$question->type = SURVSNT_QUESTION_TYPE_ENDPOINT;
		$question_styles = survsnt_get_question_styles( 0 ); 
		$new_el = 'new';
		$answers = 0;
		$editor_type = 0;
	}
	if (!$survey) {
		$survey = new stdClass;
		$survey->autoresponder = isset($_POST['autoresponder_type']) ? $_POST['autoresponder_type'] : 1;
		$survey->webinar = isset($_POST['webinar_type']) ? $_POST['webinar_type'] : 1;
	}
	else {
		$survey->autoresponder = isset($_POST['autoresponder_type']) ? $_POST['autoresponder_type'] : $survey->autoresponder;
		$survey->webinar = isset($_POST['webinar_type']) ? $_POST['webinar_type'] : $survey->webinar;
	}
	$question_styles = $question_styles['optin_design'];	
?>
	<!-- Question -->
	<div class="accordion-group survsnt_question_el <?php echo $new_el;?>" id="question_<?php echo $question->id;?>">
		<input type="hidden" class="question_type" value="4" />
		<input type="hidden" class="question_id" value="<?php echo $question->id;?>" />
		<input type="hidden" class="delete_question" value="0" />

		<div class="accordion-heading survsnt_question">
			<a class="accordion-toggle" data-toggle="collapse" href="#question_content_<?php echo $question->id;?>"><i class="icon-envelope icon-blue"></i> <span class="question_number"> <?php echo $num;?></span>. <?php echo htmlentities(stripslashes($question->title)); ?></a>
			<div class="dropdown edit">
				<a data-toggle="collapse" href="#question_content_<?php echo $question->id;?>" href="#"><i class=" icon-chevron-down"></i></a>
				<!-- <a href="#" class="handle"><i class="icon-resize-vertical"></i></a> -->
				<a href="#" class="survsnt_delete_question" data-question-id="<?php echo $question->id;?>"><i class="icon-remove icon-red"></i></a>
			</div>
		</div>

		<!-- /Question -->
		<div id="question_content_<?php echo $question->id;?>" class="accordion-body collapse question_content">
			<div class="accordion-inner">
				<div class="form-horizontal">
					<div class="control-group">
						<label class="control-label" for="inputEmail">Title</label>
						<div class="controls">
							<input type="text"placeholder="Enter the Block Title" class="input-xxlarge question_title" value="<?php echo htmlentities(stripslashes($question->title)); ?>">
    						<p class="help-block">Just as a reminder (not visible to visitors)</p>
						</div>
					</div>
				</div>

				<br/>
				<div class="tabbable">
					<ul class="nav nav-tabs">
					  <li class="active"><a data-toggle="tab" href="#optin_design_<?php echo $question->id;?>_1"><i class="icon-asterisk"></i> Style</a></li>
					  <li><a data-toggle="tab" href="#optin_design_<?php echo $question->id;?>_2"><i class="icon-tasks"></i> Content</a></li>
					  <li><a data-toggle="tab" href="#optin_design_<?php echo $question->id;?>_3"><i class="icon-wrench"></i> Settings</a></li>
					  <li><a data-toggle="tab" href="#optin_design_<?php echo $question->id;?>_4"><i class="icon-cog"></i> Autoresponder automation</a></li> 
					  <li><a data-toggle="tab" href="#optin_design_<?php echo $question->id;?>_5"><i class="icon-bookmark"></i> AR magic</a></li> 
					</ul>
				</div>

				<div class="tab-content">
					<div class="tab-pane active" id="optin_design_<?php echo $question->id;?>_1">
						<?php survsnt_optin_form_tab1($survey_id, $question, $num, $survey);?>
					</div>

					<div class="tab-pane" id="optin_design_<?php echo $question->id;?>_2">
						<div class="form-horizontal email_optin_content">


							  <div class="control-group">
							    <label class="control-label" for="">Use your own HTML autoresponder code</label>
							    <div class="controls">
							      <input type="checkbox"  class="use_own_autoresponder email_needs_update"  <?php checked($question_styles['optin_form_content']['use_own_autoresponder']); ?>>
							    </div>
							  </div>

						<div class="predefined_autoresponder">
							  <div class="control-group">
							    <label class="control-label" for="">Display Name Box</label>
							    <div class="controls">
							      <input type="checkbox"  class="use_name_in_form email_needs_update"  <?php checked($question_styles['optin_form_content']['use_name']); ?>>
							    </div>
							  </div>

							  <div class="control-group name_placeholder_group">
							    <label class="control-label" for="">Name placeholder</label>
							    <div class="controls">
							      <input type="text"  class="name_placeholder email_needs_update" placeholder="Name text" value="<?php echo $question_styles['optin_form_content']['name_placeholder']; ?>">
							    </div>
							  </div>

							  <div class="control-group">
							    <label class="control-label" for="">E-mail placeholder</label>
							    <div class="controls">
							      <input type="text"  class="email_placeholder email_needs_update" placeholder="Email text" value="<?php echo $question_styles['optin_form_content']['email_placeholder']; ?>">
							    </div>
							  </div>

							  <div class="control-group">
							    <label class="control-label" for="">Display Spam Notice</label>
							    <div class="controls">
							      <input type="checkbox"  class="use_spamnotice_in_form email_needs_update"  <?php checked($question_styles['optin_form_content']['use_spamnotice']); ?>>
							    </div>
							  </div>

							  <div class="control-group spam_notice_group">
							    <label class="control-label" for="">Spam notice</label>
							    <div class="controls">
							      <input type="text" class="spam_notice email_needs_update" placeholder="Spam notice text" value="<?php echo $question_styles['optin_form_content']['spam_notice']; ?>">
							    </div>
							  </div>
						</div>
							  <div class="control-group">
							    <label class="control-label" for="">Body</label>
							    <div class="controls">
									<?php
										$args = array(
											'textarea_rows' => 8,
											'textarea_name' => '',
											'editor_class' => 'survsnt_html_content',
											'teeny' => false,
											'quicktags' => true,
											'media_buttons' => true
										);

										survsnt_html_editor_wrapper($editor_type, $question->content, 'survsnt_html_block_'.$question->id, $args );
									?>
						    		<p class="help-block" style="padding: 5px 0;">This content will only be visible in the preview once you've saved the survey</p>

							    </div>

							  </div>

							  </div>
					</div>

					<div class="tab-pane" id="optin_design_<?php echo $question->id;?>_3">
						<div class="form-horizontal">
							<div class="control-group">
								<div class="controls">
									<label class="checkbox"><input class="stay_on_page" type="checkbox" <?php checked(($question->redirect_url == '')) ;?> value="1"> Stay on the same page </label>
								</div>
							</div>

							<!-- Text input-->
							<div class="control-group">
								<label class="control-label" for="redirect_url">Redirect URL</label>
								<div class="controls">
									<input class="redirect_url input-xxlarge"  type="text" placeholder="http://www.example.com" class="input-xxlarge" value="<?php echo $question->redirect_url;?>">
									<p class="help-block">Redirect the visitor here after completing the survey</p>
								</div>
							</div>



							<div class="control-group">
							    <div class="controls">
							      <label class="checkbox">
							        <input type="checkbox" class="fb_connect email_needs_update" value="1" <?php checked($question_styles['optin_form_settings']['fb_connect'], '1', true) ; ?>> Use Facebook connect
							      </label>
							    </div>
							</div>

							<div class="control-group">
							    <div class="controls">
							      <label class="checkbox">
							        <input type="checkbox" class="social_share email_needs_update" value="1" <?php checked($question_styles['optin_form_settings']['social_share'], '1', true) ;?>> Display Social Media Share Buttons
							      </label>
							    </div>
							</div>
						<div class="social_share_texts">
							<!-- Text input-->
							<div class="control-group">
								<label class="control-label" for="share_fb_txt">Facebook share title</label>
								<div class="controls">
									<input class="fb_share_title input-xxlarge"  type="text" placeholder="Enter text here" class="input-xxlarge" value="<?php echo $question_styles['optin_form_settings']['fb_share_title'];?>">
									<p class="help-block">This is the title of the text that will appear on the visitor's wall</p>
								</div>
							</div>

							<div class="control-group">
								<label class="control-label" for="share_fb_txt">Facebook share text</label>
								<div class="controls">
									<input class="fb_share_txt input-xxlarge"  type="text" placeholder="Enter text here" class="input-xxlarge" value="<?php echo $question_styles['optin_form_settings']['fb_share_txt'];?>">
									<p class="help-block">This is the content of the text that will appear on the visitor's wall</p>
								</div>
							</div>

							<!-- Text input-->
							<div class="control-group">
								<label class="control-label" for="twitter_share_txt">Twitter share text</label>
								<div class="controls">
									<input class="twitter_share_txt input-xxlarge"  type="text" placeholder="Enter text here" class="input-xxlarge" value="<?php echo $question_styles['optin_form_settings']['twitter_share_txt'];?>">
									<p class="help-block">This is the text that will appear in the Tweet</p>
								</div>
							</div>

							<!-- Text input-->
							<div class="control-group">
								<label class="control-label" for="gplus_share_txt">Facebook share text</label>
								<div class="controls">
									<input class="gplus_share_txt input-xxlarge"  type="text" placeholder="Enter text here" class="input-xxlarge" value="<?php echo $question_styles['optin_form_settings']['gplus_share_txt'];?>">
									<p class="help-block">This is the text that will appear on the visitor's Google + Page</p>
								</div>
							</div>							

						</div>

					  	</div>
					</div>


					<div class="tab-pane" id="optin_design_<?php echo $question->id;?>_4">
						<div class="form-horizontal">
							<div class="control-group">
								<label class="control-label" for="">Autoresponder list</label>
								<div class="controls">
								  <?php survsnt_mailing_lists_select( $survey->autoresponder, '', '', $question_styles['optin_form_settings']['ar_list'] ); ?>
								</div>
							</div>

							<div class="control-group">
								<label class="control-label" for="">AR tag</label>
								<div class="controls">
									<input type="text" class="input-large ar_tag" value="<?php echo $question_styles['optin_form_settings']['ar_tag'];?>" />
								  <?php /*survsnt_mailing_tags_select( $survey->autoresponder, '', '', $question_styles['optin_form_settings']['ar_tag'] );*/ ?>
								</div>
							</div>

							<div class="control-group">
							    <label class="control-label" for="">Tag value</label>
							    <div class="controls">
							      <input type="text" class="input-large tag_value" value="<?php echo $question_styles['optin_form_settings']['tag_value'];?>" />
							    </div>
							</div>

							<div class="control-group">
							    <label class="control-label" for="">Webinar</label>
							    <div class="controls">
							      <?php survsnt_webinar_gtw_webinars_select( $survey->webinar, '', '', $question_styles['optin_form_settings']['webinar'] ); ?>
							    </div>
							</div>

					  	</div>
					</div>

					<div class="tab-pane" id="optin_design_<?php echo $question->id;?>_5">
						<div class="form-horizontal">
							<div class="control-group">
								<div class="alert">
								  <button type="button" class="close" data-dismiss="alert">&times;</button>
								  <strong>Warning!</strong> messing up with these settings might have unexpected consequences for your list.
								  <p><br/><a href="#">Click here to learn how this stuff works</a></p>
								</div>							
							</div>

							<div class="control-group">
							    <label class="control-label" for="">Action</label>
							    <div class="controls">
							      	<select class="move_or_copy"><option value="1">Copy</option><option value="2" <?php selected($question_styles['optin_form_settings']['action'], 2);?>>Move</option></select>
							    </div>
							</div>

							<div class="control-group ar_list_from_group">
								<label class="control-label" for="">List FROM</label>
								<div class="controls">
								  <?php survsnt_mailing_lists_select( $survey->autoresponder, '', '', $question_styles['optin_form_settings']['list_from'], 'ar_list_from' ); ?>
								</div>
							</div>

<?php if ($new_el == 'old') { ?>
							<div class="control-group">
							    <div class="controls">
							      	<button type="button" class="btn autoresp_get_url"><i class="icon-share-alt"></i> Get URL </button>
							    </div>
							</div>

							<div class="control-group">
							    <label class="control-label" for="">URL</label>
							    <div class="controls">
							        <input type="text" class="input-xxlarge autoresp_url" />
							        <p class="help-block">Append this to the end of your survey page url</p>
							    </div>
							</div>
<?php } else { ?>
							<div class="control-group">
							    <div class="controls">
							      	<button type="button" class="btn disabled"><i class="icon-share-alt"></i> Get URL </button>
							    </div>
							</div>

							<div class="control-group">
							    <div class="controls">
							      	<p>You need to save the survey first to get the URL</p>
							    </div>
							</div>
<?php } ?>

							  <div class="control-group">
							    <label class="control-label" for="">Thank you page content</label>
							    <div class="controls">
									<?php
										$args = array(
											'textarea_rows' => 8,
											'textarea_name' => '',
											'editor_class' => 'survsnt_magic_thankyou_content',
											'teeny' => false,
											'quicktags' => true,
											'media_buttons' => true
										);

										survsnt_html_editor_wrapper($editor_type, $question_styles['optin_form_settings']['thankyou_page'], 'thankyou_txt_'.$question->id, $args );
									?>
							    </div>
							  </div>

					  	</div>
					</div>

				</div>
			</div>
		</div>
	</div>
<?php
}


/* Optin el design */
function survsnt_optin_form_tab1($survey_id, $question, $num, $survey) {
	if (strstr($question->id, 'n'))
		$question_styles = survsnt_get_question_styles( 0 ); 
	else
		$question_styles = survsnt_get_question_styles( $question ); 

	$question_styles = $question_styles['optin_design'];	
	  // var_dump($question_styles);
	?>
					<h5>Preview:</h5>

	<div class="survsnt_html_editor_layer">
		<div style="float:left;width: 580px">
			<div class="survey_design_preview" style="height: <?php if ($question_styles['general_design']['height'] == 'auto') echo 'auto'; echo intval($question_styles['general_design']['height']); ?>px;width: <?php echo intval($question_styles['general_design']['width']); ?>px;-moz-box-sizing:border-box;box-sizing: border-box;
			background-repeat:<?php echo ($question_styles['general_design']['bg_repeat'] == '1' ? 'repeat' : 'no-repeat');?>;background-image:url(<?php echo $question_styles['general_design']['bg_image'];?>)">
				<div class="survsnt_html_question_inner">
				<div class="survsnt_html_content_preview">
					<?php 
						echo stripslashes($question->content);
						?>
						</div>
					</div>
				<div class="optin_elements_preview">
					<div class="optin_field optin_name_field">
						<label class="name_placeholder_label placeholder_label"><?php echo ($question_styles['optin_form_content']['name_placeholder']); ?></label>
						<input type="text" class="name_placeholder_input" />
					</div>			 							
					<div class="optin_field">
						<label class="email_placeholder_label placeholder_label"><?php echo ($question_styles['optin_form_content']['email_placeholder']); ?></label>
						<input type="text" class="email_placeholder_text" />
					</div>
					<div class="optin_cta">
						<?php if (empty($question_styles['submit_btn_design']['bg_image'])) { $vis1 = 'block'; $vis2 = 'none';} else { $vis1 = 'none'; $vis2 = 'block'; } ?>
					<input class="submit_button_preview" type="button" value="Next" style="display:<?php echo $vis1; ?>" />
					<div class="submit_button_preview submit_button_preview_image_el" style="display:<?php echo $vis2; ?>"><img src="<?php echo $question_styles['submit_btn_design']['bg_image'];?>" class="submit_button_preview_img" /></div>
						<div style="clear:both;width:1px"></div>
					</div>
					<div class="optin_field facebook_connect" style="text-align:center;width:206px">
							OR
							<div class="optin_field" style="padding-top:15px">
								<img src="<?php echo SURVSNT_URL;?>/img/fb_signup.png" />
							</div>			
						</div>
					<div class="nospam">
						<?php echo ($question_styles['optin_form_content']['spam_notice']); ?>
					</div>
					<div style="clear:both;width:1px"></div>
					<div class="survsnt_social_media" style="text-align:center">
						<a href="#"><img src="<?php echo SURVSNT_URL.'/img/social/facebook.png';?>" /></a>&nbsp;&nbsp;&nbsp;
						<a href="#"><img src="<?php echo SURVSNT_URL.'/img/social/twitter.png';?>" /></a> &nbsp;&nbsp;&nbsp;
						<a href="#"><img src="<?php echo SURVSNT_URL.'/img/social/google.png';?>" /> </a>
					</div>
				</div>
			</div>
		</div>

		<div style="float:right;" class="settings_div">
			<h4 style="text-align:center;">Design</h4>

			<div class="accordion" id="accordion1s_<?php echo $question->id;?>" style="width: 290px">
				<!-- General Design -->
				<div class="accordion-group">
					<div class="accordion-heading">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseOne_<?php echo $question->id;?>">
							<i class="icon-text-height"></i> Body
						</a>
					</div>
					<div id="collapseOne_<?php echo $question->id;?>" class="accordion-body collapse in">
						<div class="accordion-inner">
							Width: <div class="slider-box-width" style="width: 96px;display:inline-block;margin-top:5px;margin-right:15px; margin-left:15px"></div>
							<input class="span2 input-box-width" style="display:inline-block;margin-right:15px" name="box_width" value="<?php echo intval($question_styles['general_design']['width']); ?>"/>  px.<div style="clear:both"></div>
							<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_width_auto" <?php checked( $question_styles['general_design']['width'], 'auto' );?>/> Adjust width to content</label>
							Height: <div class="slider-box-height" style="width: 96px;display:inline-block;margin-top:5px;margin-right:12px; margin-left:15px"></div>
							<input class="span2 input-box-height" style="display:inline-block;margin-right:12px" name="box_height" value="<?php echo intval($question_styles['general_design']['height']); ?>"/>  px.<div style="clear:both"></div>
							<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_height_auto" <?php checked( $question_styles['general_design']['height'], 'auto' );?>/> Adjust height to content</label>
							<label>Background Image</label>
							<?php survsnt_background_select('','',$question_styles['general_design']['bg_image_pre']); ?>
							<input type="text" class="questions_preview_bg" id="_questions_preview_bg_<?php echo $question->id;?>" style="width: 110px" value="<?php echo $question_styles['general_design']['bg_image']; ?>" />
							<input class="btn survsnt-wp-upload" name="_questions_preview_bg_button" id="_questions_preview_bg_<?php echo $question->id;?>_button" value="Select" style="width: 60px"/>
							<button type="button" class="btn btn-danger btn-small question_preview_bg_remove" ><i class="icon-remove icon-white"></i></button>
							<label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label>
							<label style="margin-top:2px">Background Color
							<input type="text" class="span3 colorpicker general_preview_el box_bg_color" value="<?php echo $question_styles['general_design']['bg_color']; ?>"><br/></label>
							<!-- <label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label> -->
							
							<label>Internal Margin</label>
							<table class="margin_table">
								<tr><td>Top</td><td><input  type="text" class="spinner general_design_spinner general_design_top_margin" value="<?php echo $question_styles['general_design']['margin_top']; ?>" style="width:40px;"></td>
									<td>Bottom</td><td><input type="text" class="spinner general_design_spinner general_design_bottom_margin" value="<?php echo $question_styles['general_design']['margin_bottom']; ?>" style="width:40px"></td>
								</tr>
								<tr><td>Left</td><td><input  type="text" class="spinner general_design_spinner general_design_left_margin" value="<?php echo $question_styles['general_design']['margin_left']; ?>" style="width:40px;"></td>
									<td>Right</td><td><input type="text"  class="spinner general_design_spinner general_design_right_margin" value="<?php echo $question_styles['general_design']['margin_right']; ?>" style="width:40px"></td>
								</tr>														
							</table>
						</div>
					</div>
				</div>

				<!-- HTML Block Content -->
				<div class="accordion-group">
					<div class="accordion-heading">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseThree_<?php echo $question->id;?>">
							<i class="icon-font"></i> HTML Content
						</a>
					</div>
					<div id="collapseThree_<?php echo $question->id;?>" class="accordion-body collapse">
						<div class="accordion-inner">
							<div class="well">
								<label>Font Family</label>
								<?php survsnt_font_family_select( '', '', $question_styles['content_design']['font_family'], 'content_font_family_select html_content_preview_el' ); ?>
								<br/>
								<label>Font Size (px)</label>
								<input type="text" class="spinner html_content_preview_el html_content_spinner content_size_select" value="<?php echo $question_styles['content_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

								<label>Color</label>
								<input type="text" class="span3 colorpicker html_content_preview_el content_color_select" value="<?php echo $question_styles['content_design']['font_color']; ?>"  name="answer_preview_style[font_color]"><br/>

								<label>Margins</label>
								<table class="margin_table">
									<tr><td>Top</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_top_margin" value="<?php echo $question_styles['content_design']['margin_top']; ?>" style="width:40px;"></td>
										<td>Bottom</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_bottom_margin" value="<?php echo $question_styles['content_design']['margin_bottom']; ?>" style="width:40px"></td>
									</tr>
									<tr><td>Left</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_left_margin" value="<?php echo $question_styles['content_design']['margin_left']; ?>" style="width:40px;"></td>
										<td>Right</td><td><input type="text"  class="spinner content_preview_margin html_content_spinner content_design_right_margin" value="<?php echo $question_styles['content_design']['margin_right']; ?>" style="width:40px"></td>
									</tr>														
								</table>														
							</div> <!-- well -->
						</div>
					</div>
				</div>

				<!-- Form Fields -->
				<div class="accordion-group">
					<div class="accordion-heading">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseFour_<?php echo $question->id;?>">
							<i class="icon-align-justify"></i> Form Fields
						</a>
					</div>
					<div id="collapseFour_<?php echo $question->id;?>" class="accordion-body collapse">
						<div class="accordion-inner">
							<div class="well">
								<label>Font Family</label>
								<?php survsnt_font_family_select( '', '', $question_styles['optin_form_design']['font_family'], 'optin_label_font_family_select html_optin_label_preview_el' ); ?>
								<br/>
								<label>Font Size (px)</label>
								<input type="text" class="spinner html_optin_label_preview_el html_optin_label_spinner optin_label_size_select" value="<?php echo $question_styles['optin_form_design']['font_size']; ?>" name="optin_label_preview_style[font_size]"> <br/>

								<label>Color</label>
								<input type="text" class="span3 colorpicker html_optin_label_preview_el optin_label_color_select" value="<?php echo $question_styles['optin_form_design']['font_color']; ?>"  name="optin_label_preview_style[font_color]"><br/>

 								<label>Margins</label>
								<table class="margin_table">
									<tr><td>Top</td><td><input type="text" class="spinner html_optin_label_margin html_optin_label_spinner optin_label_design_top_margin" value="<?php echo $question_styles['optin_form_design_box']['margin_top']; ?>" style="width:40px;"></td>
										<td>Bottom</td><td><input type="text" class="spinner html_optin_label_margin html_optin_label_spinner optin_label_design_bottom_margin" value="<?php echo $question_styles['optin_form_design_box']['margin_bottom']; ?>" style="width:40px"></td>
									</tr>
									<tr><td>Left</td><td><input type="text" class="spinner html_optin_label_margin html_optin_label_spinner optin_label_design_left_margin" value="<?php echo $question_styles['optin_form_design_box']['margin_left']; ?>" style="width:40px;"></td>
										<td>Right</td><td><input type="text"  class="spinner html_optin_label_margin html_optin_label_spinner optin_label_design_right_margin" value="<?php echo $question_styles['optin_form_design_box']['margin_right']; ?>" style="width:40px"></td>
									</tr>														
								</table>														
 							</div> <!-- well -->
						</div>
					</div>
				</div>

				<!-- Submit Button -->
				<div class="accordion-group">
					<div class="accordion-heading">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseFive_<?php echo $question->id;?>">
						<i class="icon-folder-close"></i>  Submit button
						</a>
					</div>
					<div id="collapseFive_<?php echo $question->id;?>" class="accordion-body collapse">
						<div class="accordion-inner">
							<div class="well">
								<label>Text</label>
								<input type="text" class="submit_btn_preview_el submit_btn_txt_select" value="<?php echo $question_styles['submit_btn_design']['text']; ?>" >
								<label>Font Family</label>
								<?php survsnt_font_family_select( '', '', $question_styles['submit_btn_design']['font_family'], 'submit_btn_font_family_select submit_btn_preview_el' ); ?>
								<br/>
								<label>Font Size (px)</label>
								<input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_size_select" value="<?php echo $question_styles['submit_btn_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

								<label>Align</label>
								<select name="" class="submit_btn_align_select submit_btn_preview_el"><option value="left">Left</option><option value="right" <?php selected( $question_styles['submit_btn_design']['align'], 'right' );?>>Right</option></select>
								<label>Margins</label>
								<table class="margin_table">
									<tr><td>Top</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_top_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_top']); ?>" style="width:40px;"></td>
										<td>Bottom</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_bottom_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_bottom']); ?>" style="width:40px"></td>
									</tr>
									<tr><td>Left</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_left_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_left']); ?>" style="width:40px;"></td>
										<td>Right</td><td><input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_right_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_right']); ?>" style="width:40px"></td>
									</tr>														
								</table>															

								<label> Background Image </label>
								<?php survsnt_submit_next_background_select(2, '','',$question_styles['submit_btn_design']['bg_image_pre']); ?>
								<input type="text" class="submit_btn_bg" id="_submitbutton_bg_<?php echo $question->id;?>" style="width: 100px" value="<?php echo $question_styles['submit_btn_design']['bg_image']; ?>" />
								<input class="btn survsnt-wp-upload" name="_submitbutton_bg_button" id="_submitbutton_bg_<?php echo $question->id;?>_button" value="Select" style="width: 32px"/>
								<button type="button" class="btn btn-danger btn-small question_submit_bg_remove"><i class="icon-remove icon-white"></i></button>													
							</div> <!-- well -->
						</div>
					</div>
				</div>
			</div> <!-- accordion -->
		</div> <!-- float: right -->
		<div style="clear:both"></div>
	</div>
<?php
}



/*
function survsnt_print_html_block( $survey_id, $question, $num, $survey ) {
?>
	<!-- Question -->
	<div class="accordion-group survsnt_question_el old" id="question_<?php echo $question->id;?>">
		<input type="hidden" class="question_type" value="3" />
		<input type="hidden" class="question_id" value="<?php echo $question->id;?>" />
		<input type="hidden" class="delete_question" value="0" />

		<div class="accordion-heading survsnt_question">
			<a class="accordion-toggle" data-toggle="collapse" href="#question_content_<?php echo $question->id;?>"><i class="icon-font icon-blue"></i> <span class="question_number"> <?php echo $num;?></span>. <?php echo $question->text; ?></a>
			<div class="dropdown edit">
				<a data-toggle="collapse" href="#question_content_<?php echo $question->id;?>" href="#"><i class=" icon-chevron-down"></i></a>
				<a href="#" class="handle"><i class="icon-resize-vertical"></i></a>
				<a href="#" class="survsnt_delete_question" data-question-id="<?php echo $question->id;?>"><i class="icon-remove icon-red"></i></a>
			</div>
		</div>
		<!-- /Question -->
		<div id="question_content_<?php echo $question->id;?>" class="accordion-body collapse question_content">
			<div class="accordion-inner">
				<div class="form-horizontal">
					<div class="control-group">
						<label class="control-label" for="inputEmail">Title</label>
						<div class="controls">
							<input type="text"placeholder="Enter the Block Title" class="input-xxlarge question_text_input" value="<?php echo $question->text; ?>">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="inputEmail">Next Question</label>
						<div class="controls">
							<label> <?php survsnt_next_question_select( $survey_id, $question->next_question );?></label>
						</div>
					</div>
				</div>

				<div class="tabbable">
					<ul class="nav nav-tabs" id="survsnt-tabsf">
						<li class="active" ><a  href="#tab1_html_<?php echo $question->id;?>" data-toggle="tab">Presets</a></li>
						<li ><a href="#tab2_html_<?php echo $question->id;?>" data-toggle="tab">Content</a></li>
						<li ><a href="#tab3_html_<?php echo $question->id;?>" data-toggle="tab">Design</a></li>
					</ul>
				</div>

				<div class="tab-content">
					<div id="tab1_html_<?php echo $question->id;?>" class="tab-pane active survsnt_parent_panel">
						<div class="form-horizontal">
							<div class="control-group">
								<label class="control-label" for="">Type</label>
								<div class="controls">
									<select class="html_question_question_subtype" name="">
										<option value="1">Text</option>
										<option value="2">Video</option>
										<option value="3">Custom HTML</option>
									</select>
								</div>
							</div>
						</div>
						<div class="custom_html_tab1_video">
						<div class="form-horizontal">
							<div class="control-group">
								<label class="control-label" for="">Video URL</label>
								<div class="controls">
									<input type="text" placeholder="Ex: http://www.youtube.com/watch?v=5LysTmwDan8" class="input-xxlarge" value="">
		    						<p class="help-block">Supports: Youtube, Vimeo</p>
								</div>
							</div>
						</div>
						</div>						
					</div>
					<div id="tab2_html_<?php echo $question->id;?>" class="tab-pane">
						<?php
							$args = array(
								'textarea_rows' => 8,
								'textarea_name' => '',
								'editor_class' => 'survsnt_html_content',
								'teeny' => false,
								'quicktags' => true,
								'media_buttons' => true
							);
							survsnt_html_editor_wrapper(1, $question->content, 'survsnt_html_block_'.$question->id, $args );
						?>	
					</div>
					<div id="tab3_html_<?php echo $question->id;?>" class="tab-pane">
						<?php survsnt_html_content_tab3($survey_id, $question, $num, $survey); ?>
					</div>					
				</div>
			</div>
		</div>
	</div>
<?php
}

// HTML Node design 
function survsnt_html_content_tab3($survey_id, $question, $num, $survey) {
	$question_styles = survsnt_get_question_styles( $question ); 
	$question_styles = $question_styles['html_design'];	
	  // var_dump($question_styles);
	?>
					<h5>Preview:</h5>

							<div class="survsnt_html_editor_layer">
								<div style="float:left;width: 580px">
									<div class="survey_design_preview" style="height: <?php if ($question_styles['general_design']['height'] == 'auto') echo 'auto'; else echo intval($question_styles['general_design']['height']); ?>px;width: <?php echo intval($question_styles['general_design']['width']); ?>px;-moz-box-sizing:border-box;box-sizing: border-box;
									background-repeat:<?php echo ($question_styles['general_design']['bg_repeat'] == '1' ? 'repeat' : 'no-repeat');?>;background-image:url(<?php echo $question_styles['general_design']['bg_image'];?>)">
										<span class="question_title_preview" style="display:block"><?php echo $question->text; ?></span>
										<div class="survsnt_html_question_inner">
											<div class="survsnt_html_content_preview"><?php 
												echo $question->content;
												?>
												</div>
			 							</div>
			 							<?php if (empty($question_styles['submit_btn_design']['bg_image'])) { $vis1 = 'block'; $vis2 = 'none';} else { $vis1 = 'none'; $vis2 = 'block'; } ?>
										<input class="submit_button_preview" type="button" value="Next" style="display:<?php echo $vis1; ?>" />
										<div class="submit_button_preview submit_button_preview_image_el" style="display:<?php echo $vis2; ?>"><img src="<?php echo $question_styles['submit_btn_design']['bg_image'];?>" class="submit_button_preview_img" /></div>
										<div style="clear:both"></div>
									</div>
								</div>

								<div style="float:right;" class="settings_div">
									<h4 style="text-align:center;margin-top:-30px">Design</h4>

									<div class="accordion" id="accordion1s_<?php echo $question->id;?>" style="width: 290px">
										<!-- General Design -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseOne_<?php echo $question->id;?>">
													<i class="icon-text-height"></i> Body
												</a>
											</div>
											<div id="collapseOne_<?php echo $question->id;?>" class="accordion-body collapse in">
												<div class="accordion-inner">
													Width: <div class="slider-box-width" style="width: 96px;display:inline-block;margin-top:5px;margin-right:15px; margin-left:15px"></div>
													<input class="span2 input-box-width" style="display:inline-block;margin-right:15px" name="box_width" value="<?php echo intval($question_styles['general_design']['width']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_width_auto" <?php checked( $question_styles['general_design']['width'], 'auto' );?>/> Adjust width to content</label>
													Height: <div class="slider-box-height" style="width: 96px;display:inline-block;margin-top:5px;margin-right:12px; margin-left:15px"></div>
													<input class="span2 input-box-height" style="display:inline-block;margin-right:12px" name="box_height" value="<?php echo intval($question_styles['general_design']['height']); ?>"/>  px.<div style="clear:both"></div>
													<label> <input type="checkbox" style="vertical-align:text-bottom" value="1" class="box_height_auto" <?php checked( $question_styles['general_design']['height'], 'auto' );?>/> Adjust height to content</label>
													<label>Background Image</label>
													<?php survsnt_background_select('','',$question_styles['general_design']['bg_image_pre']); ?>													
													<input type="text" class="questions_preview_bg" id="_questions_preview_bg_<?php echo $question->id;?>" style="width: 110px" value="<?php echo $question_styles['general_design']['bg_image']; ?>" />
													<input class="btn survsnt-wp-upload" name="_questions_preview_bg_button" id="_questions_preview_bg_<?php echo $question->id;?>_button" value="Select" style="width: 60px"/>
													<button type="button" class="btn btn-danger btn-small question_preview_bg_remove" ><i class="icon-remove icon-white"></i></button>
													<label> <input type="checkbox" class="box_repeat_bg" value="1" style="vertical-align:text-bottom" <?php checked( $question_styles['general_design']['bg_repeat'], '1' );?>> Repeat image</label>
													<label>Internal Margin</label>
													<table class="margin_table">
														<tr><td>Top</td><td><input  type="text" class="spinner general_design_spinner general_design_top_margin" value="<?php echo $question_styles['general_design']['margin_top']; ?>" style="width:40px;"></td>
															<td>Bottom</td><td><input type="text" class="spinner general_design_spinner general_design_bottom_margin" value="<?php echo $question_styles['general_design']['margin_bottom']; ?>" style="width:40px"></td>
														</tr>
														<tr><td>Left</td><td><input  type="text" class="spinner general_design_spinner general_design_left_margin" value="<?php echo $question_styles['general_design']['margin_left']; ?>" style="width:40px;"></td>
															<td>Right</td><td><input type="text"  class="spinner general_design_spinner general_design_right_margin" value="<?php echo $question_styles['general_design']['margin_right']; ?>" style="width:40px"></td>
														</tr>														
													</table>
												</div>
											</div>
										</div>

										<!-- Title -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseTwo_<?php echo $question->id;?>">
													<i class="icon-question-sign"></i> Title
												</a>
											</div>
											<div id="collapseTwo_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Font Family</label>
														<?php survsnt_font_family_select('', '', $question_styles['question_design']['font_family'], 'question_font_family_select title_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner title_preview_el title_spinner question_size_select" value="<?php echo $question_styles['question_design']['font_size']; ?>"  name="title_preview_style[font_size]"> <br/>

														<label>Color</label>
														<input type="text" class="span3 colorpicker title_preview_el question_color_select" value="<?php echo $question_styles['question_design']['font_color']; ?>" name="title_preview_style[font_color]"><br/>

														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input type="text" class="spinner title_preview_el title_spinner question_design_top_margin" value="<?php echo $question_styles['question_design']['margin_top']; ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input type="text" class="spinner title_preview_el title_spinner question_design_bottom_margin" value="<?php echo $question_styles['question_design']['margin_bottom']; ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input type="text" class="spinner title_preview_el title_spinner question_design_left_margin" value="<?php echo $question_styles['question_design']['margin_left']; ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text"  class="spinner title_preview_el title_spinner question_design_right_margin" value="<?php echo $question_styles['question_design']['margin_right']; ?>" style="width:40px"></td>
															</tr>														
														</table>														
													</div> <!-- well -->
												</div>
											</div>
										</div>

										<!-- HTML Block Content -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseThree_<?php echo $question->id;?>">
													<i class="icon-align-justify"></i> Content
												</a>
											</div>
											<div id="collapseThree_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Font Family</label>
														<?php survsnt_font_family_select( '', '', $question_styles['content_design']['font_family'], 'content_font_family_select html_content_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner html_content_preview_el html_content_spinner content_size_select" value="<?php echo $question_styles['content_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

														<label>Color</label>
														<input type="text" class="span3 colorpicker html_content_preview_el content_color_select" value="<?php echo $question_styles['content_design']['font_color']; ?>"  name="answer_preview_style[font_color]"><br/>

														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_top_margin" value="<?php echo $question_styles['content_design']['margin_top']; ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_bottom_margin" value="<?php echo $question_styles['content_design']['margin_bottom']; ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input type="text" class="spinner content_preview_margin html_content_spinner content_design_left_margin" value="<?php echo $question_styles['content_design']['margin_left']; ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text"  class="spinner content_preview_margin html_content_spinner content_design_right_margin" value="<?php echo $question_styles['content_design']['margin_right']; ?>" style="width:40px"></td>
															</tr>														
														</table>														
													</div> <!-- well -->
												</div>
											</div>
										</div>

										<!-- Submit Button -->
										<div class="accordion-group">
											<div class="accordion-heading">
												<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1s_<?php echo $question->id;?>" href="#collapseFour_<?php echo $question->id;?>">
												<i class="icon-folder-close"></i>  Submit button
												</a>
											</div>
											<div id="collapseFour_<?php echo $question->id;?>" class="accordion-body collapse">
												<div class="accordion-inner">
													<div class="well">
														<label>Text</label>
														<input type="text" class="submit_btn_preview_el submit_btn_txt_select" value="<?php echo $question_styles['submit_btn_design']['text']; ?>" >
														<label>Font Family</label>
														<?php survsnt_font_family_select( '', '', $question_styles['submit_btn_design']['font_family'], 'submit_btn_font_family_select submit_btn_preview_el' ); ?>
														<br/>
														<label>Font Size (px)</label>
														<input type="text" class="spinner submit_btn_preview_el answer_spinner submit_btn_size_select" value="<?php echo $question_styles['submit_btn_design']['font_size']; ?>" name="answer_preview_style[font_size]"> <br/>

														<label>Align</label>
														<select name="" class="submit_btn_align_select submit_btn_preview_el"><option value="left">Left</option><option value="right" <?php selected( $question_styles['submit_btn_design']['align'], 'right' );?>>Right</option></select>
														<label>Margins</label>
														<table class="margin_table">
															<tr><td>Top</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_top_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_top']); ?>" style="width:40px;"></td>
																<td>Bottom</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_bottom_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_bottom']); ?>" style="width:40px"></td>
															</tr>
															<tr><td>Left</td><td><input  type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_left_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_left']); ?>" style="width:40px;"></td>
																<td>Right</td><td><input type="text" class="spinner submit_btn_preview_el submit_btn_spinner submit_btn_right_margin" value="<?php echo intval($question_styles['submit_btn_design']['margin_right']); ?>" style="width:40px"></td>
															</tr>														
														</table>															

														<label> Background Image </label>
<!-- 														<input type="text" class="submit_btn_bg" id="_submitbutton_bg" style="width: 100px" value="<?php echo $question_styles['submit_btn_design']['bg_image']; ?>" />
														<input class="btn survsnt-wp-upload" name="_submitbutton_bg_button" id="_submitbutton_bg_button" value="Select" style="width: 32px"/>
														<button type="button" class="btn btn-danger btn-small question_submit_bg_remove"><i class="icon-remove icon-white"></i></button>
 -->														
														<input type="text" class="submit_btn_bg" id="_submitbutton_bg_<?php echo $question->id;?>" style="width: 100px" value="<?php echo $question_styles['submit_btn_design']['bg_image']; ?>" />
														<input class="btn survsnt-wp-upload" name="_submitbutton_bg_button" id="_submitbutton_bg_<?php echo $question->id;?>_button" value="Select" style="width: 32px"/>
														<button type="button" class="btn btn-danger btn-small question_submit_bg_remove"><i class="icon-remove icon-white"></i></button>
													</div> <!-- well -->
												</div>
											</div>
										</div>
									</div> <!-- accordion -->
								</div> <!-- float: right -->
								<div style="clear:both"></div>
							</div>
<?php
}


*/




function survsnt_where_to_show_sub( $current, $pos=0 ) {
	if ( empty( $current ) ) return array( 0, 0, 0, 0, 0 );
	$current_shown = explode( '|', $current );
	if ( $current_shown[0] )
		$current_posts = explode( ',', $current_shown[0] );
	else
		$current_posts = '';

	if ( $current_shown[1] )
		$current_cats = explode( ',', $current_shown[1] );
	else
		$current_cats = '';

	if ( $current_shown[2] )
		$show_in_home = $current_shown[2];
	else
		$show_in_home = 0;
	if ( $current_shown[3] )
		$show_in_category = $current_shown[3];
	else
		$show_in_category = 0;
	if ( $current_shown[4] )
		$show_in_archive = $current_shown[4];
	else
		$show_in_archive = 0;

	return array( $current_posts, $current_cats, $show_in_home, $show_in_category, $show_in_archive );
}

//



function survsnt_print_breadcrumbs($links) {
?>
	<div class="row-fluid">
		<div class="navbar">
			<div class="navbar-inner">
		        <ul class="breadcrumb">
		            <i class="icon-chevron-left hide-sidebar"></i>
		            <?php
		            	foreach ($links as $link) {
		            		if (empty($link['url'])) {
		            ?>
			            		<li class="active"><?php echo stripslashes($link['text']); ?></span></li>
							<?php } else { ?>
			            		<li><a href="<?php echo $link['url'];?>"><?php echo stripslashes($link['text']); ?></a> <span class="divider">/</span></li>
							<?php
								}
		            	}
		            ?>
		        </ul>
			</div>
		</div>
	</div>
<?php
}
?>