jQuery(document).ready(function( $ ) {

	/* General list of surveys */
	$('.btn-duplicate-survey').click(function(e) {
  		e.preventDefault();
		var new_survey_name=prompt("Please enter the new survey name","New Survey");
		if (new_survey_name!=null && new_survey_name!="")
		{
			jQuery(this).html('<i class="icon-repeat icon-white"></i> Working...')
			survsnt_duplicate_survey(jQuery(this).attr('data-survey-id'), new_survey_name);
		}  		
	});

	$('.delete_survey').click(function(e) {
  		e.preventDefault();
  		// submit form
  		if (confirm('Are you sure?')) {
  			survey_id = jQuery(this).attr('data-survey-id');
			survsnt_delete_survey(survey_id);
		}
	});

	$('.survsnt-see-stats').click(function(e) {
  		e.preventDefault();
  		// submit form
  		this_el = jQuery(this);
  		survey_id = this_el.attr('data-survey-id');
		survsnt_get_stats(survey_id);
	});


	$('.survey_active_main').change(function(e) {
  		e.preventDefault();
  		value = jQuery(this).attr('checked');
  		if (value == 'checked') value = 1;
  		else value = 0;
  		survey_id = jQuery(this).val();
		survsnt_activate_survey_from_list(survey_id, value);
	});

	$('.export-search-summary').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survey_id = jQuery(this).attr('data-survey-id');
		survsnt_export_survey(survey_id, 1)  		
	});

	$('.export-search-detailed').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survey_id = jQuery(this).attr('data-survey-id');
		survsnt_export_survey(survey_id, 2)
	});

	$('#export_seo_stats').click(function(e) {
  		e.preventDefault();
  		// submit form
		survsnt_export_seo_stats();
	});

	$('#survsnt_reset_seo_stats').click(function(e) {
  		e.preventDefault();
  		// submit form
		survsnt_reset_seo_stats();
	});

	$('#survsnt_lock').click(function(e) {
  		e.preventDefault();
  		// submit form
  		if (confirm('Are you sure you want to do this?')) {
  			jQuery('#form_lock_user').submit();
		}
	});

	$('#download_image_pack').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survsnt_download_image_pack();
	});



	$(document).on('click', '.survsnt_delete_seo_keyword', function(e) {
		this_el = jQuery(this);
		survsnt_delete_seo_keyword(this_el);
		// this_el.parent().parent().remove();			
	});

	$(document).on('click', '.survsnt_delete_seo_item', function(e) {
		this_el = jQuery(this);
		survsnt_delete_seo_item(this_el);
		// this_el.parent().parent().remove();			
	});

	$(document).on('click', '#survsnt_add_seo_item', function(e) {
		this_el = jQuery(this);
		survsnt_add_seo_item(this_el);
		// this_el.parent().parent().remove();			
	});

	/* Seo Rules */

	$(document).on('click', '.btn-add-seo-keyword', function(e) {
		// survsnt_html_question_update_content_preview(jQuery(this));
		survsnt_add_seo_keyword(jQuery(this));
	});

	
	/* Split Test */

	$('.splittest_active_main').change(function(e) {
  		e.preventDefault();
  		value = jQuery(this).attr('checked');
  		if (value == 'checked') value = 1;
  		else value = 0;
  		splittest_id = jQuery(this).val();
		survsnt_activate_splittest_from_list(splittest_id, value);
	});

	$('.delete_splittest').click(function(e) {
  		e.preventDefault();
  		// submit form
		if (confirm('Are you sure?')) {
  			splittest_id = jQuery(this).attr('data-splittest-id');
  			survsnt_delete_splittest(splittest_id);
		}
	});

	$(document).on('click', '.delete_splittest_item', function(e) {
		// survsnt_html_question_update_content_preview(jQuery(this));
  		splittest_item_id = jQuery(this).attr('data-splittest-item-id');
		survsnt_delete_splittest_item(splittest_item_id);
	});	
	
	$(document).on('click', '.add_splittest_item', function(e) {
		// survsnt_html_question_update_content_preview(jQuery(this));
  		// splittest_item_id = jQuery(this).attr('data-splittest-item-id');
		survsnt_add_splittest_item();
	});		

	$('.survsnt_reset_splittest').click(function(e) {
  		e.preventDefault();
  		// submit form
		if (confirm('Are you sure? All stats regarding this split-test will be lost')) {
  			splittest_id = jQuery(this).attr('data-splittest-id');
  			survsnt_reset_splittest(splittest_id);
		}
	});



	/* Media Uploader in Plugin Begin */
	var _custom_media = true,
	_orig_send_attachment = wp.media.editor.send.attachment;

	// $('.survsnt-wp-upload').click(function(e) {
	$(document).on('click', '.survsnt-wp-upload', function(e) {
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var button = $(this);
		var id = button.attr('id').replace('_button', '');
		_custom_media = true;
		wp.media.editor.send.attachment = function(props, attachment){
			if ( _custom_media ) {
				// console.log(attachment);
				// return;
				 $("#"+id).val(attachment.url);
				 $("#"+id).trigger('change');
			} else {
				return _orig_send_attachment.apply( this, [props, attachment] );
			};
		}

		wp.media.editor.open(button);
		return false;
	});

	$('.add_media').on('click', function(){
		_custom_media = false;
	});

	/* Media Uploader in Plugin End */

});

/*
function survsnt_ar_list_select() {
	type = jQuery('#autoresponder').val();
	// console.log(type);
	str_ret = '<select class="ar_list">';
	str_ret += update_ar_list_by_type(type, 0);
	str_ret += '</select>';

	return str_ret;
}	

function survsnt_ar_tags_select() {
	str_ret = '<select class="ar_tag">';
	lists = survsnt_vars.aweber_lists;
	str_ret += '<option value="0">-</option>';
	str_ret += '</select>';
	return str_ret;
}

function survsnt_webinars_select() {
	str_ret = '<select class="webinar_list">';
	lists = survsnt_vars.gotowebinar_webinars;
	str_ret += '<option value="0">-</option>';
	n_lists = survsnt_vars.gotowebinar_webinars.length;
	if (n_lists) {
		for (i=0;i<n_lists;i++) {
			str_ret += '<option value="'+lists[i].id+'">'+lists[i].name+'</option>';
		}
	}
	str_ret += '</select>';

	return str_ret;
}	
*/

// rmi353, que hace???
function survsnt_update_tags(list_name, select_object) {
	lists = survsnt_vars.aweber_lists;
	n_lists = lists.length;
	tags = 0;
	if (n_lists) {
		for (i=0;i<n_lists;i++) {
			if (lists[i][0] == list_name) {
				tags = lists[i][1];
			}
		}
	}
	select_object.children('option:not(:first)').remove();
	if (tags) {
		// console.log(tags)
		n_tags = tags.length;
		for (i=0;i<n_tags;i++)
			select_object.append('<option value="'+tags[i]+'">'+tags[i]+'</option>');
	}
}


function survsnt_get_stats(survey_id) {
	var data = {
		action: 'survsnt_get_survey_stats',
		survey_id : survey_id,
	};
	// stats_div = jQuery('#survey_row_'+survey_id+' .survey_stats');
  	jQuery.post(ajaxurl, data, function(response) {
  		stats_div.html(response);
  		stats_div.show();
  	});		
}

/*
	type
		1 : summary
		2 : total
*/
function survsnt_export_survey(survey_id, type) {
	this_form = jQuery('#survey_form_'+survey_id);
	summary_field = this_form.find('.survsnt_export_search_summary')
	detailed_field = this_form.find('.survsnt_export_search_detailed')
	if (type == 1) {
		summary_field.val(1);
		detailed_field.val(0);
	}
	else {
		summary_field.val(0);
		detailed_field.val(1);
	}
	this_form.submit();
}

function survsnt_activate_survey_from_list(survey_id, value) {
	var data = {
		action: 'survsnt_activate_survey',
		survey_id : survey_id,
		value : value
	};

  	jQuery.post(ajaxurl, data, function(response) {
  		// document.location = document.location;
  	});	
}

function survsnt_delete_survey(survey_id) {
	var data = {
		action: 'survsnt_delete_survey',
		survey_id : survey_id,
	};

  	jQuery.post(ajaxurl, data, function(response) {
  		document.location = document.location;
  	});	
}


function survsnt_duplicate_survey(survey_id, new_name) {
	var data = {
		action: 'survsnt_duplicate_survey',
		survey_id : survey_id,
		new_name : new_name
	};

  	jQuery.post(ajaxurl, data, function(response) {
  		document.location = document.location;
  	});	
}


/* Seo Rules */

function survsnt_add_seo_keyword(button_el) {
	id_el = button_el.parent().parent().parent().attr('data-item-id');
	// tot_kws = button_el.parent().parent().parent().length + 1;
	tot_kws = button_el.closest('.seo_keyword_list').find('.control-group').length;

					  
	txt_str = ' <div class="control-group">'+
				' <div class="controls">'+
				'				<input type="hidden" name="seo_rules['+id_el+'][keywords]['+tot_kws+'][delete]" value="0" />'+
				'				<input type="hidden" name="seo_rules['+id_el+'][keywords]['+tot_kws+'][id]" value="0" />'+
				'				<input type="text" value="" class="input-xlarge" placeholder="" id="" name="seo_rules['+id_el+'][keywords]['+tot_kws+'][name]">'+
				'				<button class="btn btn-small btn-danger survsnt_delete_seo_keyword" type="button"><i class="icon-remove icon-white"></i></button>'+
				'			</div>'+
				'			</div>';
	button_el.parent().parent().before(txt_str);
	// console.log('a')
}

function survsnt_delete_seo_keyword(this_el) {
	this_el.prev().prev().prev().val(1);
	console.log(this_el)
	this_el.parent().parent().hide();
}

function survsnt_delete_seo_item(button_el) {
	if (confirm('Are you sure?')) {
		button_el.parents('.seo-item').find('.delete_rule').val(1);
		button_el.parents('.seo-item').hide();
	}
}

function survsnt_add_seo_item() {
	num_els = jQuery('.seo-item').length + 1;
    str_html = '    <div class="row-fluid seo-item">'+
		'	<div class="block">'+
		'		<div class="navbar navbar-inner block-header">'+
		'			<div class="muted pull-left">New SEO Rule</div>'+
		'		</div>'+
		'		<div class="block-content collapse in">'+
		'			<div class="form-horizontal">'+
		'			  <div class="control-group">'+
		'			    <label class="control-label" for="">Name</label>'+
		'			    <div class="controls">'+
		'			      <input class="input-xxlarge type="text" value="" name="seo_rules['+num_els+'][name]">'+
		'				<span class="help-block">Just as a reminder</span>'+
		'			    </div>'+
		'			  </div>'+
		'			  <div class="control-group">'+
		'			    <label class="control-label" for="">Survey</label>'+
		'			    <div class="controls">'+
		'				    <select name="seo_rules['+num_els+'][survey_id]" class="input-xxlarge surveys_select new"></select>'+
		'			    </div>'+
		'			  </div>'+
		'			</div>'+
		'		<div class="well">	  '+
		'			<div class="form-horizontal seo_keyword_list" data-item-id="'+num_els+'">'+
		'				<div class="control-group">'+
		'					<div class="controls">'+
		'						<button class="btn btn-info btn-add-seo-keyword" type="button"><i class="icon-plus icon-white"></i> Add Keyword</button>'+
		'					</div>'+
		'				</div>'+
		'			</div>'+
		'		</div>'+
		'			<input type="hidden" name="seo_rules['+num_els+'][rule_id]" value="">'+
		'			<input class="delete_rule" type="hidden" name="seo_rules['+num_els+'][delete]" value="0" />'+
		'			<button type="button" class="btn pull-right btn-danger survsnt_delete_seo_item" style="margin-right:20px"><i class="icon-remove icon-white"></i> Delete</button>'+
		'			<button type="button" class="btn pull-right" style="margin-right:20px"><i class="icon-download-alt"></i> Export Stats</button> '+
		'			<div style="clear:both"></div>'+
		'		</div>'+
		'	</div>'+
		'</div>';

		jQuery('#btn-submit-seo').before(str_html);
		survsnt_update_seo_select();
}

function survsnt_update_seo_select() {
	if (!survsnt_survey_list.length) return;
	num_surveys = survsnt_survey_list.length;
	str_ret = '';
	for (i=0;i<num_surveys;i++) {
		str_ret += '<option value="'+survsnt_survey_list[i][0]+'">'+survsnt_survey_list[i][1]+'</option>';
	}
	// console.log(str_ret)
	jQuery('.surveys_select.new').each(function( index ) {
		jQuery(this).html(str_ret);
		jQuery(this).removeClass("new");
	});
}

function survsnt_export_seo_stats() {
	jQuery('#download_seo_stats_form').submit();
}

function survsnt_reset_seo_stats() {
	var data = {
		action: 'survsnt_reset_seo_stats'
	};
	if (confirm('Are you sure? All SEO info will be deleted.')) {
  		jQuery.post(ajaxurl, data, function(response) {
  			document.location = document.location;
  		});		
  	}
}


/* Split-tests */

function survsnt_activate_splittest_from_list(splittest_id, value) {
	var data = {
		action: 'survsnt_activate_splittest',
		splittest_id : splittest_id,
		value : value
	};

  	jQuery.post(ajaxurl, data, function(response) {
  		// document.location = document.location;
  	});	
}

function survsnt_delete_splittest(splittest_id) {
	console.log(splittest_id)
	var data = {
		action: 'survsnt_delete_splittest',
		splittest_id : splittest_id,
	};

  	jQuery.post(ajaxurl, data, function(response) {
  		document.location = survsnt_vars.admin_url+'/admin.php?page=survey-snatcher-split-testing';
  		// document.location = document.location;
  	});	
}

function survsnt_delete_splittest_item(splittest_item_id) {
	jQuery('#splittest_row_'+splittest_item_id).remove();
	if (!(jQuery('.splittest_row')).length)
		jQuery('#chart_div_1').hide();
	jQuery('#surveys-to-delete').append('<input type="hidden" name="survsnt_to_delete[]" value="'+splittest_item_id+'" />');
}

function survsnt_add_splittest_item() {
	// jQuery('#splittest_row_'+splittest_item_id).remove();
	num_item = (jQuery('.splittest_row').length + 1)
	item_id = num_item +'_n';

	str = '<tr class="splittest_row" id="splittest_row_'+item_id+'">'+
		'<td><select name="new_item_id[]" class="input-xlarge surveys_select new"></select></td>'+
		'<td>0</td>'+
		'<td>0</td>'+
		'<td>0%</td>'+
		'<td><button type="button" class="btn btn-small btn-danger delete_splittest_item" data-splittest-item-id="'+item_id+'"><i class="icon-remove icon-white"></i></button></td>'+
	'</tr>';
	jQuery('#splittest_table_body').append(str);
	survsnt_update_splittest_select();
}

function survsnt_update_splittest_select() {
	if (!survsnt_survey_list.length) return;
	num_surveys = survsnt_survey_list.length;
	str_ret = '';
	for (i=0;i<num_surveys;i++) {
		str_ret += '<option value="'+survsnt_survey_list[i][0]+'">'+survsnt_survey_list[i][1]+'</option>';
	}
	// console.log(str_ret)
	jQuery('.surveys_select.new').each(function( index ) {
		jQuery(this).html(str_ret);
		jQuery(this).removeClass("new");
	});
}

function survsnt_reset_splittest(splittest_id) {
	var data = {
		action: 'survsnt_clear_splittest_stats',
		splittest_id : splittest_id
	};

	jQuery.post(ajaxurl, data, function(response) {
		// document.location = document.location;
		document.location = document.location;
	});		
}

function survsnt_download_image_pack() {
	jQuery('#img_pack_loading').show();
	
	var data = {
		action: 'survsnt_download_image_pack'
	};

	jQuery.post(ajaxurl, data, function(response) {
		// document.location = document.location;
		document.location = document.location;
	});		
}