<?php
function survsnt_font_family_select($id='', $name='', $value=0, $class="font_family_select") {
	$fonts = array( 
		array('', 'Theme default'), 
		array('Arial', 'Arial'), 
		// array('Arial Black', 'Arial Black'), 
		array('Comic Sans MS', 'Comic Sans'), 
		// array('Helvetica', 'Helvetica'), 
		array('Georgia', 'Georgia'), 
		array('Impact', 'Impact'), 
		array('Tahoma', 'Tahoma'), 
		array('Times New Roman', 'Times New Roman'), 
		array('Verdana', 'Verdana' )
	);
	if (empty($id) && empty($name))
		$str_ret = '<select class="'.$class.'">';
	else
		$str_ret = '<select class="'.$class.'" name="'.$name.'" id="'.$id.'">';

	if (!$fonts) return '';
	$str_ret .= '<option value="0">-</option>';

	foreach($fonts as $font) {
		 // $val = $question->id;
		$str_ret .= '<option style="font-family:'.$font[0].'" value="'.$font[0].'"'.selected($font[0], $value, false).'>'.$font[1].'</option>';
	}
	$str_ret .= '</select>';

	echo $str_ret;		
}

function survsnt_background_select($id='', $name='', $value=0, $class="predefined_bg_select") {
	if( !get_option('survsnt_img_pack_downloaded',0) ) 
		$images = array();
	else {

	$images = array( 
		array('1', 'Shapes 1'), 
		array('2', 'Shapes 2'), 
		array('3', 'Shapes 3'), 
		array('4', 'Shapes 4'), 
		array('5', 'Shapes 5'), 
		array('6', 'Shapes 6'), 
		array('7', 'Shapes 7'), 
		array('8', 'Shapes 8'), 
		array('9', 'Shapes 9'), 
		array('10', 'Shapes 10'), 
		array('11', 'Shapes 11'), 
		array('12', 'Shapes 12'), 
		array('13', 'Shapes 13'), 
		array('14', 'Shapes 14'),
		array('15', 'Shapes 15'),
		array('16', 'Shapes 16'),
		array('17', 'Shapes 17'),
		array('18', 'Shapes 18'),
		array('19', 'Shapes 19'),
		array('20', 'Shapes 20'),
		array('21', 'Vintage 1'),
		array('22', 'Vintage 2'),
		array('23', 'Vintage 3'),
		array('24', 'Vintage 4'),
		array('25', 'Vintage 5'),
		array('26', 'Vintage 6'),
		array('27', 'Vintage 7'),
		array('28', 'Vintage 8'),
		array('29', 'Vintage 9'),
		array('30', 'Vintage 10'),
		array('31', 'People 1'),
		array('32', 'People 2'),
		array('33', 'People 3'),
		array('34', 'People 4'),
		array('35', 'People 5'),
		array('36', 'People 6'),
		array('37', 'People 7'),
		array('38', 'People 8'),
		array('39', 'People 9'),
		array('40', 'People 10'),
		array('41', 'Kids 1'),
		array('42', 'Kids 2'),
		array('43', 'Kids 3'),
		array('44', 'Kids 4'),
		array('45', 'Kids 5'),
		array('46', 'Kids 6'),
		array('47', 'Kids 7'),
		array('48', 'Kids 8'),
		array('49', 'Kids 9'),
		array('50', 'Kids 10')
		);

	}


	if (empty($id) && empty($name))
		$str_ret = '<select class="'.$class.'">';
	else
		$str_ret = '<select class="'.$class.'" name="'.$name.'" id="'.$id.'">';

	if (!$images) return '';
	$str_ret .= '<option value="0">-</option>';

	foreach($images as $image) {
		 // $val = $question->id;
		$str_ret .= '<option style="image-family:'.$image[0].'" value="'.$image[0].'"'.selected($image[0], $value, false).'>'.$image[1].'</option>';
	}
	$str_ret .= '</select>';

	echo $str_ret;		
}


function survsnt_splash_bg_select($id='', $name='', $value=0, $class="splash_background") {
	if( !get_option('survsnt_img_pack_downloaded',0) ) 
		$images = array();
	else {
		$images = array( 
			// array('', 'None'), 
			array('1', 'People 1'), 
			array('2', 'People 2'), 
			array('3', 'People 3'), 
			array('4', 'People 4'), 
			array('5', 'People 5'), 
			array('6', 'People 6'), 
			array('7', 'People 7'), 
			array('8', 'People 8'), 
			array('9', 'People 9'), 
			array('10', 'People 10'), 
			array('11', 'Kids 1'), 
			array('12', 'Kids 2'), 
			array('13', 'Kids 3'), 
			array('14', 'Kids 4'), 
			array('15', 'Kids 5'), 
			array('16', 'Kids 6'), 
			array('17', 'Kids 7'), 
			array('18', 'Kids 8'), 
			array('19', 'Kids 9'), 
			array('20', 'Kids 10')
		);
	}
	if (empty($id) && empty($name))
		$str_ret = '<select class="'.$class.'">';
	else
		$str_ret = '<select class="'.$class.'" name="'.$name.'" id="'.$id.'">';

	// if (!$images) return '';
	$str_ret .= '<option value="0">Plain Color</option>';
	if ($images) {
		foreach($images as $image) {
			 // $val = $question->id;
			$str_ret .= '<option style="image-family:'.$image[0].'" value="'.$image[0].'"'.selected($image[0], $value, false).'>'.$image[1].'</option>';
		}
	}
	$str_ret .= '</select>';

	echo $str_ret;	
}

function survsnt_submit_next_background_select($type, $id='', $name='', $value=0, $class="predefined_next_select") {
	$images = array();
	switch ($type) {
		case 1:
			// next
			for ($i=1;$i<17;$i++) {
				$images[] = array('next/a'.$i.'.png', 'Arrow '.$i);
			}
			break;
		case 2:
			// next
			for ($i=1;$i<16;$i++) {
				$images[] = array('submit/a'.$i.'.png', 'Button '.$i);
			}
			break;
		default:
			break;

	}
	// $images = array( 
	// 	array('a1.png', 'Arrow 1'), 
	// 	array('a2.png', 'Arrow 2'), 
	// 	array('a3.png', 'Arrow 3') 
	// );

	if (empty($id) && empty($name))
		$str_ret = '<select class="'.$class.'">';
	else
		$str_ret = '<select class="'.$class.'" name="'.$name.'" id="'.$id.'">';

	// if (!$images) return '';
	$str_ret .= '<option value="0">-</option>';
	if ($images) {
		foreach($images as $image) {
			 // $val = $question->id;
			$str_ret .= '<option style="image-family:'.$image[0].'" value="'.$image[0].'"'.selected($image[0], $value, false).'>'.$image[1].'</option>';
		}
	}
	$str_ret .= '</select>';

	echo $str_ret;		
}


function survsnt_text_align_select($id='', $name='', $value=0, $class="text_alignment") {
	$alignments = array( 
		// array('', 'None'), 
		array('left', 'Left'), 
		array('right', 'Right'), 
		array('center', 'Center'), 
		array('justify', 'Justify')
	);

	if (empty($id) && empty($name))
		$str_ret = '<select class="'.$class.'">';
	else
		$str_ret = '<select class="'.$class.'" name="'.$name.'" id="'.$id.'">';

	if (!$alignments) return '';
	// $str_ret .= '<option value="0">Plain Color</option>';

	foreach($alignments as $alignment) {
		 // $val = $question->id;
		$str_ret .= '<option style="alignment-family:'.$alignment[0].'" value="'.$alignment[0].'"'.selected($alignment[0], $value, false).'>'.$alignment[1].'</option>';
	}
	$str_ret .= '</select>';

	echo $str_ret;	
}

function survsnt_update_survey_styles($survey_id) {
// if (!isset($_POST['topbar_settings']))
// 	return;

	$topbar_settings_style = $_POST['topbar_settings'];
	$topbar_settings = array(
		'color' => $topbar_settings_style['color'],
		'text' => $topbar_settings_style['text']
		);

	$sidebar_settings_style = $_POST['sidebar_settings'];
	// var_dump($sidebar_settings_style);
	$sidebar_settings = array(
		'image' => intval($sidebar_settings_style['image']),
		'custom' => $sidebar_settings_style['custom']
		);

	$chat_settings_style = $_POST['chat_settings'];
	$chat_settings = array(
		'title' => $chat_settings_style['title']
		);

	$splash_settings_style = $_POST['splash_settings'];
	// var_dump($splash_settings_style);
	$splash_settings = array(
		'background' => $splash_settings_style['background'],
		'background-color' => (isset($splash_settings_style['background-color']) && !empty($splash_settings_style['background-color'])) ? $splash_settings_style['background-color'] : ''
		);


	$scroll_settings_style = $_POST['scroll_settings'];
	// var_dump($scroll_settings_style);
	$scroll_settings = array(
		'percentage' => intval($scroll_settings_style['percentage']),
		'trigger' => (isset($scroll_settings_style['trigger']) && $scroll_settings_style['trigger']) ? 1 : 0
	);

	$survey_style = array(
		'top_bar' => $topbar_settings,
		'sidebar' => $sidebar_settings,
		'splash' => $splash_settings,
		'scroll' => $scroll_settings,
		'chat' => $chat_settings
	);
// var_dump($survey_style);
	return survsnt_update_survey_style($survey_id, serialize($survey_style));
}


function survsnt_sidebar_image_select($id='', $name='', $value=0) {
	$images = array( 
		array(1, 'Design #1'), 
		array(2, 'Design #2'), 
		array(3, 'Design #3'), 
		array(4, 'Design #4'), 
		array(5, 'Design #5'), 
		array(6, 'Design #6'), 
		array(7, 'Design #7'), 
		array(8, 'Design #8'), 
		array(9, 'Design #9'), 
		array(10, 'Design #10'), 
		array(11, 'Design #11'), 
		array(12, 'People 1'), 
		array(13, 'People 2'), 
		array(14, 'People 3'), 
		array(15, 'Kids 1'), 
		array(16, 'Kids 2'), 
		array(17, 'Kids 3'), 
		array(18, 'Kids 4'), 
		array(19, 'Custom')
	);
	if (empty($id) && empty($name))
		$str_ret = '<select class="font_selector">';
	else
		$str_ret = '<select class="font_selector" name="'.$name.'" id="'.$id.'">';

	if (!$images) return '';

	foreach($images as $image) {
		$str_ret .= '<option value="'.$image[0].'"'.selected($image[0], $value, false).'>'.$image[1].'</option>';
	}
	$str_ret .= '</select>';

	echo $str_ret;		
}


function survsnt_next_question_select($survey_id, $value=0) {
	$questions = survsnt_get_survey_questions($survey_id);
	$str_ret = '<select class="next_question_select">';
	// if (!$questions) return '';
	$i=1;
	$str_ret .= '<option value="0">-</option>';
	if ($questions) {
		foreach($questions as $question) {
			 $val = $question->position;
			 // $val = $question->id;
			// $str_ret .= '<option value="'.$val.'"'.selected($val, $value, false).'>'.$i++.'</option>';
			$str_ret .= '<option value="'.$val.'"'.selected($val, $value, false).'>'.$val.'. '.survsnt_shorten_txt($question->title, 60).'</option>';
		}
	}
	$str_ret .= '</select>';

	echo $str_ret;
}

function survsnt_shorten_txt($str, $length=15) {
	//return 'acortado';
	if (strlen($str) > $length)
		//$str = substr($str, 0, $length).'...';
		$str = substr($str, 0, $length/*,'UTF-8'*/).'...';
	///
	return $str;
}

function survsnt_display_methods_select($id='', $name='', $val=0, $disabled = 0) {
	$methods = array(
		array('id' => 1, 'name' => 'Popup'),
		array('id' => 2, 'name' => 'Top Bar'),
		array('id' => 3, 'name' => 'Side'),
		array('id' => 4, 'name' => 'Exit Popup'),
		array('id' => 5, 'name' => 'Chat'),
		array('id' => 6, 'name' => 'Full Page Splash'),
		// array('id' => 7, 'name' => 'Scroll Down'),
		array('id' => 8, 'name' => 'Embed')/*,
		array('id' => 9, 'name' => 'Viral Rating')*/
		);

		// , 'Top Bar', 'Side', 'Exit Popup', 'Chat', 'Full Page Splash', 'Scroll down', 'Embed');
	$str_ret = '<select name="'.$name.'" id="'.$id.'" '.($disabled ? ' disabled="disabled" ' : '').'>';
	// $str_ret .= '<option value="0">-</option>';

	foreach ($methods as $pos => $method) {
		$str_ret .= '<option value="'.$method['id'].'"'.selected($val, $method['id'], false).'>'.$method['name'].'</option>';
	}

	$str_ret .= '</select>';
	return $str_ret;
}

function survsnt_display_type_select($id='', $name='', $val=0) {
	$methods = array('Survey', 'Quiz');
	$str_ret = '<select name="'.$name.'" id="'.$id.'" >';

	foreach ($methods as $pos => $method) {
		$str_ret .= '<option value="'.($pos+1).'"'.selected($val, ($pos+1), false).'>'.$method.'</option>';
	}

	$str_ret .= '</select>';
	return $str_ret;
}

function survsnt_display_autoresponders_select($id='', $name='', $val=0) {
	$methods = array('Aweber', 'GetResponse', 'Mailchimp', 'iContact', 'Constant Contact', 'Generic');
	$str_ret = '<select name="'.$name.'" id="'.$id.'" >';

	foreach ($methods as $pos => $method) {
		$str_ret .= '<option value="'.($pos+1).'"'.selected($val, ($pos+1), false).'>'.$method.'</option>';
	}

	$str_ret .= '</select>';
	return $str_ret;
}

function survsnt_display_webinars_select($id='', $name='', $val=0) {
	$methods = array('GotoWebinar', 'Hangouts Plugin', 'Webinar Express');
	$str_ret = '<select name="'.$name.'" id="'.$id.'" >';

	foreach ($methods as $pos => $method) {
		if (($pos == 1) && (!survsnt_is_hangouts_plugin_active())) continue;
		else if (($pos == 2) && (!survsnt_is_webexpr_plugin_active())) continue;
		$str_ret .= '<option value="'.($pos+1).'"'.selected($val, ($pos+1), false).'>'.$method.'</option>';
	}

	$str_ret .= '</select>';
	return $str_ret;
}

function survsnt_post_page_select($id='', $name='', $sel=0) {
	// $sel = '1,2,5,6|3,4,6';
	$current_posts = array();
	$current_cats  = array();

	if ($sel) {
		$current_shown = explode('|', $sel);
		if ($current_shown[0])
			$current_posts = explode(',', $current_shown[0]);
		if ($current_shown[1])
			$current_cats = explode(',', $current_shown[1]);
	}

	$str_ret = '<select name="where_to_show_p[]" id="where_to_show_p" multiple style="height: 150px; width: 260px;" class="where_to_show_el">';
	
	$str_ret .= '<optgroup label="Posts">';
	$posts = get_posts();
	if ($posts) {
		foreach ($posts as $post) {
			$str_ret .= '<option value="'.$post->ID.'"'.selected(in_array($post->ID, $current_posts), true, false).'>'.$post->post_title.'</option>';
		}
	}
	$str_ret .= '</optgroup>';

	$str_ret .= '<optgroup label="Pages">';
	$posts = get_pages();
	if ($posts) {
		foreach ($posts as $post) {
			$str_ret .= '<option value="'.$post->ID.'"'.selected(in_array($post->ID, $current_posts), true, false).'>'.$post->post_title.'</option>';
		}
	}
	$str_ret .= '</optgroup>';

	$str_ret .= '</select>';
	return $str_ret;
}

function survsnt_cat_select($id='', $name='', $sel=0) {
	// $sel = '1,2,5,6|3,4,6';
	$current_posts = array();
	$current_cats  = array();

	if ($sel) {
		$current_shown = explode('|', $sel);
		if ($current_shown[0])
			$current_posts = explode(',', $current_shown[0]);
		if ($current_shown[1])
			$current_cats = explode(',', $current_shown[1]);
	}

	$str_ret = '<select name="where_to_show_c[]" id="where_to_show_c" multiple style="height: 150px; width: 260px;" class="where_to_show_el">';
	
	$posts = get_categories();
	if ($posts) {
		foreach ($posts as $post) {
			$str_ret .= '<option value="cat_'.$post->term_id.'"'.selected(in_array($post->term_id, $current_cats), true, false).'>'.$post->name.'</option>';
		}
	}

	$str_ret .= '</select>';
	return $str_ret;
}


function survsnt_create_survey() {
	$name = isset($_POST['survey_name']) ? $_POST['survey_name'] : '';
	$description = isset($_POST['survey_description']) ? $_POST['survey_description'] : '';
	$survey_active = isset($_POST['survey_active']) ? $_POST['survey_active'] : 0;
	$display_option = isset($_POST['display_option']) ? $_POST['display_option'] : 0;

	$show_everywhere = isset($_POST['show_everywhere']) ? $_POST['show_everywhere'] : 0;
	$where_to_show_p = isset($_POST['where_to_show_p']) ? $_POST['where_to_show_p'] : 0;
	$where_to_show_c = isset($_POST['where_to_show_c']) ? $_POST['where_to_show_c'] : 0;
	$show_in_home = isset($_POST['show_in_home']) ? $_POST['show_in_home'] : 0;
	$show_in_category = isset($_POST['show_in_category']) ? $_POST['show_in_category'] : 0;
	$show_in_archive = isset($_POST['show_in_archive']) ? $_POST['show_in_archive'] : 0;
	$where_to_show_str = survsnt_posts_to_string($where_to_show_p, $where_to_show_c, $show_in_home, $show_in_category, $show_in_archive);

	$survey_type = isset($_POST['survey_type']) ? $_POST['survey_type'] : 1;
	// $cookie = isset($_POST['cookie']) ? $_POST['cookie'] : 0;
	if (isset($_POST['use_cookie'])) {
		if (isset($_POST['cookie-value']))
			$cookie = $_POST['cookie-value'];
		else
			$cookie = 0;
	}
	else 
		$cookie = 0;

	$redirect_url = isset($_POST['redirect_url']) ? $_POST['redirect_url'] : '';
	$autoresponder = isset($_POST['autoresponder']) ? $_POST['autoresponder'] : 1;
	$webinar = isset($_POST['webinar']) ? $_POST['webinar'] : 1;
	$delay = isset($_POST['appear-delay']) ? $_POST['appear-delay'] : 0;
	$exit_popup = isset($_POST['exit_popup']) ? $_POST['exit_popup'] : 0;

	$survey_styles = isset($_POST['survey_styles']) ? $_POST['survey_styles'] : '';

	if (isset($_POST['incoming_rules'])) {
		$rules = implode('||', $_POST['incoming_rules']);
	}
	else
		$rules = '';

//	$survey_styles = survsnt_get_survey_styles_post();
	$survey_id = survsnt_add_survey($name, $description, $survey_active, $display_option, $survey_type, $cookie, $delay, 
		$show_everywhere, $where_to_show_str, $redirect_url, $autoresponder, $webinar, $exit_popup/*, serialize($survey_styles)*/);

	$post_object = stripslashes_deep($_POST['survsnt_survey_data']);
	$json_object = json_decode($post_object);

	if ($json_object)
		survsnt_update_survey_questions($survey_id, $json_object->items);

	survsnt_update_survey_styles($survey_id);
	wp_redirect(admin_url( '/admin.php?page=survey-snatcher-add&ssaved=1&sid='.$survey_id )); 
}

function survsnt_update_survey_details ($survey_id) {
	$name = isset($_POST['survey_name']) ? $_POST['survey_name'] : '';
	$description = isset($_POST['survey_description']) ? $_POST['survey_description'] : '';
	$survey_active = isset($_POST['survey_active']) ? $_POST['survey_active'] : 0;
	$display_option = isset($_POST['display_option']) ? $_POST['display_option'] : 0;
	
	$show_everywhere = isset($_POST['show_everywhere']) ? $_POST['show_everywhere'] : 0;
	$where_to_show_p = isset($_POST['where_to_show_p']) ? $_POST['where_to_show_p'] : 0;
	$where_to_show_c = isset($_POST['where_to_show_c']) ? $_POST['where_to_show_c'] : 0;
	$show_in_home = isset($_POST['show_in_home']) ? $_POST['show_in_home'] : 0;
	$show_in_category = isset($_POST['show_in_category']) ? $_POST['show_in_category'] : 0;
	$show_in_archive = isset($_POST['show_in_archive']) ? $_POST['show_in_archive'] : 0;
	$where_to_show_str = survsnt_posts_to_string($where_to_show_p, $where_to_show_c, $show_in_home, $show_in_category, $show_in_archive);
	

	$survey_type = isset($_POST['survey_type']) ? $_POST['survey_type'] : 1;
	// $cookie = isset($_POST['cookie']) ? $_POST['cookie'] : 0;
	if (isset($_POST['use_cookie'])) {
		if (isset($_POST['cookie-value']))
			$cookie = $_POST['cookie-value'];
		else
			$cookie = 0;
	}
	else 
		$cookie = 0;

	$redirect_url = isset($_POST['redirect_url']) ? $_POST['redirect_url'] : '';
	$autoresponder = isset($_POST['autoresponder']) ? $_POST['autoresponder'] : 1;
	$webinar = isset($_POST['webinar']) ? $_POST['webinar'] : 1;

	$delay = isset($_POST['appear-delay']) ? $_POST['appear-delay'] : 0;
	$exit_popup = isset($_POST['exit_popup']) ? $_POST['exit_popup'] : 0;

	$survey_styles = isset($_POST['survey_styles']) ? $_POST['survey_styles'] : '';


	if (isset($_POST['incoming_rules'])) {
		$rules = implode('||', $_POST['incoming_rules']);
	}
	else
		$rules = '';


	if (isset($_POST['survsnt_survey_data'])) {
		$post_object = stripslashes_deep($_POST['survsnt_survey_data']);
		$json_object = json_decode($post_object);
	}
	else
		$json_object = 0;

	survsnt_update_survey($survey_id, $name, $description, $survey_active, $display_option, $survey_type, $cookie, $delay, 
		$show_everywhere, $where_to_show_str, $redirect_url, $autoresponder, $webinar, $exit_popup/*, serialize($survey_styles)*/);
	
	if ($json_object)
		survsnt_update_survey_questions($survey_id, $json_object->items);
	 survsnt_update_survey_styles($survey_id);
}

function survsnt_is_plugin_there($plugin_dir) {
	$plugins = get_plugins($plugin_dir);
	if ($plugins) return true;
	return false;
}

function survsnt_surveys_select($id='', $name='', $value=0) {
	$surveys = survsnt_get_surveys(1);
	$str_ret = '<select class="surveys_select input-xxlarge" name="'.$name.'">';
	$i=1;
	$str_ret .= '<option value="0">-</option>';
	if ($surveys) {
		foreach($surveys as $survey) {
			 $val = $survey->id;
			 // $val = $question->id;
			// $str_ret .= '<option value="'.$val.'"'.selected($val, $value, false).'>'.$i++.'</option>';
			$str_ret .= '<option value="'.$val.'"'.selected($val, $value, false).'>'.$survey->name.'</option>';
		}
	}
	$str_ret .= '</select>';

	echo $str_ret;
}

function survsnt_html_editor_wrapper($type, $content ='', $element_id='', $args = array() ) {
	if ($type == 1)
		return wp_editor( $content, $element_id, $args );
	else {
		echo '<textarea id="'.$element_id.'" class="'.$args['editor_class'].'">'.$content.'</textarea>';
		return 1;
	}
}


function survsnt_get_survey_stats() {
	echo "hola";
	exit();
}

function survsnt_get_admin_users_dropdown($val =0) {
    $blogusers = get_users('role=administrator');
    echo '<select name="admin_users" id="admin_users">';
    echo '<option value="0">-</option>';
    foreach ($blogusers as $user) {
    	// var_dump($user);
         echo '<option '.selected($user->ID, $val, false).' value="' . $user->ID . '">' . $user->user_login . '</option>';
    }
    echo '</select>';
}

?>