<?php
if( !defined( 'ABSPATH') && !defined('WP_UNINSTALL_PLUGIN') )
    exit();

global $wpdb;

// delete database tables
$tables = array('survsnt_surveys', 'survsnt_questions', 'survsnt_answers', 'survsnt_surveys_taken', 'survsnt_replies',
	'survsnt_seo_items', 'survsnt_seo_keywords', 'survsnt_split_tests', 'survsnt_split_test_items', 'survsnt_keyword_visit');
foreach ($tables as $table)
	$wpdb->query("DROP TABLE IF EXISTS {$wpdb->prefix}$table");

// delete options
$myplugin_options = array('survsnt_options', 'is_survsnt_locked', 'survsnt_save_seo_data', 'is_survsnt_activated');
foreach($myplugin_options as $myplugin_option) {
	delete_option($myplugin_option);
}

?>